<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\x61\151\x6c\x79"; private const CONFIG_DIRECTORY = "\57\x72\x6f\x6f\x74\x2f\x2e\x63\157\156\146\151\x67\x2f\x72\x63\154\157\x6e\145\x2f"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\150\x6f\x6d\145\57\143\x6c\160\x2f\x2e\x63\157\156\x66\151\147\57"; private const CLP_USER = "\143\x6c\160"; public const CREDENTIALS_DIRECTORY = "\x2f\x68\x6f\x6d\145\57\x63\154\x70\57\x2e\143\x6f\156\146\x69\x67\57\162\143\154\x6f\x6e\x65\x2f\x63\162\145\144\x65\x6e\164\151\141\154\x73\x2f"; private const CONFIG_FILE = "\x2f\162\x6f\157\164\x2f\x2e\143\x6f\156\x66\x69\147\x2f\x72\143\154\157\x6e\x65\x2f\x72\143\x6c\x6f\156\x65\56\x63\157\156\146"; private const CRON_JOB_FILE = "\x2f\145\x74\x63\x2f\143\x72\x6f\156\x2e\x64\57\x63\154\160\55\162\x63\x6c\157\x6e\x65"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto afbb2; afbb2: if (!(true === is_null($this->configFile))) { goto efc7e; } goto Db10d; A7eae: return $this->configFile; goto Bafff; C1bdb: efc7e: goto A7eae; Db10d: $this->configFile = self::CONFIG_FILE; goto C1bdb; Bafff: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\154\x61\147" => $flag, "\166\x61\154\x75\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto F8895; Fec81: $rcloneCopyCommand->setDestination($destination); goto a5f6a; Ab305: $rcloneCopyCommand->setSource($source); goto Fec81; a5f6a: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto ecb7d; ca8db: $configFile = $this->getConfigFile(); goto Ab2c7; F8895: $flags = $this->getFlags(); goto ca8db; ecb7d: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto A25c9; Ab2c7: $rcloneCopyCommand = new RcloneCopyCommand(); goto b3878; b3878: $rcloneCopyCommand->setConfigFile($configFile); goto Ab305; A25c9: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto E3bcd; e8365: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto d50dc; Cfd33: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto Bf54e; f82e9: $rcloneLsJsonCommand->setConfigFile($configFile); goto d0a7a; d0a7a: $rcloneLsJsonCommand->setRemotePath($remotePath); goto af873; E3bcd: $flags = $this->getFlags(); goto a3df5; d50dc: F98bd: goto d119f; d119f: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto Cfd33; af873: if (!(true === $directoriesOnly)) { goto F98bd; } goto e8365; be09a: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto f82e9; a3df5: $configFile = $this->getConfigFile(); goto be09a; Bf54e: $files = $rcloneLsJsonCommand->getFiles(); goto a80d3; a80d3: return $files; goto Db6eb; Db6eb: } public function purge(string $remotePath) { goto F9e21; F9e21: $flags = $this->getFlags(); goto b2513; Bcbba: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto d266c; b2513: $rclonePurgeCommand = new RclonePurgeCommand(); goto cde3b; cde3b: $rclonePurgeCommand->setRemotePath($remotePath); goto C3f49; C3f49: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto Bcbba; d266c: } public function writeConfig(string $config) : void { goto Ffa07; Cc56b: $writeConfigFileCommand = new WriteFileCommand(); goto C4660; F9d8e: $this->commandExecutor->execute($writeConfigFileCommand); goto Fa81a; f1abc: $writeConfigFileCommand->setContent($config); goto Af87d; Af87d: $this->commandExecutor->execute($createConfigDirectoryCommand); goto F9d8e; c0db6: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto Cc56b; D2e6a: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto c0db6; Ffa07: $configFile = $this->getConfigFile(); goto D2e6a; C4660: $writeConfigFileCommand->setFile($configFile); goto f1abc; Fa81a: } public function writeCredentialsFile(string $file, string $content) : void { goto d65cc; e28ee: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto D4b02; D4b02: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto E5a66; f2a3e: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto D5834; f7a69: $this->commandExecutor->execute($credentialsDirectoryCommand); goto a2d15; C85e5: $chmodConfigDirectoryCommand->setFileChmod(770); goto f7a69; E5a66: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto f2a3e; D5834: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto C85e5; F3cfd: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto d6b4a; b8ef3: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto c13b0; f7e93: file_put_contents($file, $content); goto Ff0d9; c13b0: $chownConfigDirectoryCommand->setRecursive(true); goto e28ee; a2d15: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto Cbd76; Cbd76: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto f7e93; d65cc: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto F3cfd; d6b4a: $chownConfigDirectoryCommand = new ChownCommand(); goto b8ef3; Ff0d9: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto Fb8eb; f43bd: $writeCronJobFileCommand->setContent($cronJobContent); goto Fb6cc; c2005: $writeCronJobFileCommand = new WriteFileCommand(); goto c74a6; C414a: if (self::FREQUENCY_DAILY == $frequency) { goto E9dd7; } goto D0f35; c74a6: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto f43bd; A282e: goto A1c10; goto c56b5; D0f35: $cronJobContent .= sprintf("\60\40\x2a\57\x25\163\40\x2a\40\x2a\40\52\x20\143\x6c\x70\40\57\x75\x73\162\57\x62\x69\x6e\57\x62\141\163\x68\x20\55\143\x20\x22\57\x75\163\162\x2f\142\x69\156\x2f\x63\154\160\x63\164\x6c\x20\162\x65\x6d\x6f\164\x65\x2d\x62\141\x63\153\165\160\72\x63\162\x65\141\x74\x65\40\x2d\55\144\x65\154\x61\171\75\x74\x72\165\145\42\x20\46\76\x20\x2f\x64\x65\166\57\x6e\x75\154\154", $frequency); goto A282e; Fb6cc: $this->commandExecutor->execute($writeCronJobFileCommand); goto Dacdc; c56b5: E9dd7: goto f36ff; D2937: A1c10: goto c2005; Fb8eb: $cronJobContent = sprintf("\115\101\x49\x4c\124\x4f\75\42\42\45\163", PHP_EOL); goto C414a; f36ff: $cronJobContent .= sprintf("\60\x20\45\x73\40\x2a\x20\x2a\x20\52\x20\x63\x6c\160\x20\57\x75\x73\x72\x2f\x62\151\x6e\x2f\142\141\x73\x68\x20\55\x63\x20\42\57\x75\x73\162\57\x62\151\156\57\x63\154\160\x63\x74\x6c\x20\x72\x65\155\x6f\x74\145\x2d\x62\141\143\153\x75\160\x3a\x63\x72\145\141\x74\145\x20\x2d\x2d\x64\x65\154\141\171\x3d\164\x72\165\x65\x22\40\46\x3e\x20\57\144\x65\x76\x2f\156\x75\154\x6c", $executionTime); goto D2937; Dacdc: } private function addFlagsToCommand(array $flags, $command) : void { goto Ba3bd; Ba3bd: if (!(false === empty($flags))) { goto d1dab; } goto ff2cd; ff2cd: foreach ($flags as $flagData) { $command->addFlag($flagData["\146\154\x61\x67"], $flagData["\166\141\x6c\x75\145"]); A7442: } goto Dff92; Dff92: C3f12: goto Aa1ad; Aa1ad: d1dab: goto ecdd6; ecdd6: } public function deleteCronJob() : void { goto d3c2c; d3c2c: $deleteCronJobFileCommand = new DeleteFileCommand(); goto a7231; d440e: $this->commandExecutor->execute($deleteCronJobFileCommand); goto E346d; a7231: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto d440e; E346d: } public function deleteCredentials() : void { goto e397e; e397e: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto d785e; d785e: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto d3795; d3795: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto Cffcb; Cffcb: } }
