<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto d5d0e; Ddc56: $this->databaseUserEntityManager = $databaseUserEntityManager; goto A6060; d5d0e: $this->siteEntityManager = $siteEntityManager; goto d51f8; ee5f1: parent::__construct(); goto Ff07b; b960c: $this->validator = $validator; goto ee5f1; A6060: $this->databaseServerEntityManager = $databaseServerEntityManager; goto b960c; d51f8: $this->databaseEntityManager = $databaseEntityManager; goto Ddc56; Ff07b: } protected function configure() : void { goto a7635; a3656: $this->addOption("\x64\157\155\141\151\156\x4e\141\155\145", null, InputOption::VALUE_REQUIRED); goto c00dd; c00dd: $this->addOption("\x64\141\x74\141\x62\x61\x73\145\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto a7d53; a7635: $this->setName("\x64\142\x3a\x61\144\x64"); goto F00d7; F00d7: $this->setDescription("\143\154\x70\x63\x74\154\x20\144\x62\x3a\141\144\144\x20\55\55\144\x6f\155\x61\151\156\x4e\141\x6d\x65\x3d\x77\167\x77\56\x64\157\155\x61\x69\156\x2e\143\x6f\x6d\40\x2d\55\144\x61\x74\141\x62\x61\x73\145\x4e\141\x6d\145\x3d\x6d\x79\x2d\x64\141\164\141\x62\141\x73\x65\40\55\x2d\144\141\164\x61\142\141\163\145\125\x73\145\x72\x4e\x61\x6d\145\x3d\x6a\157\x68\156\40\55\x2d\144\x61\164\x61\142\141\163\x65\x55\x73\x65\162\120\x61\163\x73\167\157\x72\144\x3d\47\x21\x73\145\x63\x72\145\x74\x50\x61\163\x73\x77\157\162\x64\x21\x27"); goto a3656; F3037: $this->addOption("\144\x61\164\x61\x62\x61\x73\145\x55\x73\145\162\120\x61\x73\163\167\157\x72\144", null, InputOption::VALUE_REQUIRED); goto E4758; a7d53: $this->addOption("\144\x61\164\141\x62\141\163\145\125\163\145\x72\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto F3037; E4758: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Dd049; B993d: $constraints = new ConstraintViolationList(); goto f0b4e; E33fb: $databaseEntity->setSite($siteEntity); goto E22ab; Aa28f: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto c5afb; e7a10: $databaseEntity = $this->databaseEntityManager->createEntity(); goto A2f35; c6b69: throw new \Exception(sprintf("\104\157\155\141\151\156\116\x61\155\145\x20\x22\x25\163\x22\x20\144\x6f\145\163\40\x6e\x6f\164\x20\x65\x78\151\x73\x74\x2e", $domainName)); goto f26e5; Dd049: $this->validateInput($input); goto A6f4c; Bf5dc: $databaseUserEntity->setDatabase($databaseEntity); goto Fcebb; A2f35: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto b39af; C51aa: $databaseManager->createDatabase($databaseEntity); goto b6c7f; A6f4c: $domainName = trim($input->getOption("\x64\x6f\x6d\x61\x69\x6e\x4e\141\x6d\145")); goto Db88c; Ba742: $databaseUserName = trim($input->getOption("\x64\141\x74\141\x62\x61\163\145\x55\x73\145\162\116\x61\155\x65")); goto E7817; f0b4e: $constraints->addAll($databaseConstraints); goto b5126; Fdc7e: a0d84: goto a76fd; b5126: $constraints->addAll($databaseUserConstraints); goto Be35c; E514e: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto d8c97; E216a: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto C51aa; D030a: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto B79a1; a76fd: return BaseCommand::FAILURE; goto a9404; b6c7f: $databaseManager->createUser($databaseUserEntity); goto B788f; f62c3: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto C2fc8; } goto B993d; b39af: $databaseEntity->setName($databaseName); goto E33fb; B788f: $this->siteEntityManager->updateEntity($siteEntity); goto Dc689; aed36: $databaseConstraints = $this->validator->validate($databaseEntity); goto F29f5; D3a15: return BaseCommand::SUCCESS; goto B1018; Dc689: $output->writeln(sprintf("\74\151\x6e\146\x6f\x3e\104\141\164\x61\142\x61\163\x65\74\x2f\151\x6e\146\x6f\76\x20\74\x63\157\x6d\x6d\x65\156\x74\76\x25\163\x3c\57\143\157\155\x6d\x65\x6e\164\76\40\74\x69\x6e\146\157\x3e\150\141\163\40\x62\x65\x65\x6e\x20\141\144\x64\x65\x64\x2e\x3c\x2f\x69\x6e\x66\157\x3e", $databaseName)); goto D3a15; Fcebb: $databaseEntity->addUser($databaseUserEntity); goto F3d5b; d56e0: C2fc8: goto E216a; Ab4cc: goto E8a1b; goto d56e0; F3d5b: $siteEntity->addDatabase($databaseEntity); goto aed36; ac28d: $databaseUserEntity->setUserName($databaseUserName); goto Aa28f; B1018: E8a1b: goto Fdc7e; B79a1: if (!(false === is_null($activeDatabaseServerEntity))) { goto a0d84; } goto e7a10; c5afb: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto Bf5dc; d8c97: if (!(true === is_null($siteEntity))) { goto E837d; } goto c6b69; Db88c: $databaseName = trim($input->getOption("\x64\141\x74\x61\142\x61\x73\145\x4e\141\x6d\x65")); goto Ba742; f26e5: E837d: goto D030a; E7817: $databaseUserPassword = trim($input->getOption("\144\x61\164\x61\142\141\x73\145\x55\163\x65\x72\120\x61\163\163\x77\157\162\144")); goto E514e; F29f5: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto f62c3; Be35c: return $this->renderConstraints($constraints, $output); goto Ab4cc; E22ab: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto ac28d; a9404: } catch (\Exception $e) { goto dc754; e3562: return BaseCommand::FAILURE; goto Da9e5; dc754: $errorMessage = $e->getMessage(); goto e7e3e; e7e3e: $output->writeln(sprintf("\x3c\145\x72\x72\x6f\x72\76\45\163\x3c\57\145\x72\x72\157\x72\x3e", $errorMessage)); goto e3562; Da9e5: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\141\x6d\x65", "\x64\x61\164\141\142\x61\163\x65\116\x61\x6d\x65", $constraints); $this->changePropertyPath("\x75\x73\145\162\x4e\141\155\145", "\144\x61\x74\141\142\141\x73\145\125\163\145\162\x4e\141\x6d\x65", $constraints); } }
