<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto Aa157; dd812: $this->databaseEntityManager = $databaseEntityManager; goto d404b; Aa157: $this->siteEntityManager = $siteEntityManager; goto dd812; Da934: $this->commandExecutor = new CommandExecutor(); goto b55a5; b55a5: $this->validator = $validator; goto Cb0f1; Cb0f1: parent::__construct(); goto B47fc; d404b: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Da934; B47fc: } protected function configure() : void { goto B3b74; Ebf68: $this->addOption("\x69\x67\156\x6f\162\145\x44\x61\164\x61\142\x61\163\145\163", null, InputOption::VALUE_OPTIONAL); goto c5ca9; c5ca9: $this->addOption("\x72\x65\164\x65\156\164\151\157\156\x50\x65\162\x69\x6f\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto Dfad8; Fe1c1: $this->setDescription("\x63\154\x70\x63\164\154\40\x64\x62\x3a\x62\141\143\153\165\x70\40\x2d\55\x69\147\x6e\x6f\x72\145\x44\141\164\x61\x62\x61\x73\145\x73\x3d\47\144\x62\x31\x2c\x64\142\x32\x27\40\x2d\x2d\x72\145\164\x65\156\164\151\157\156\x50\145\x72\151\157\144\x3d\67"); goto Ebf68; B3b74: $this->setName("\x64\x62\x3a\x62\x61\x63\153\x75\160"); goto Fe1c1; Dfad8: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto E9fa7; A5063: $this->retentionPeriod = (int) $input->getOption("\x72\x65\164\145\x6e\164\151\x6f\156\x50\x65\x72\151\x6f\144"); goto E74dc; Da56f: return BaseCommand::SUCCESS; goto E957a; E9fa7: $this->validateInput($input); goto c91d3; c91d3: $ignoredDatabases = explode("\x2c", $input->getOption("\x69\147\x6e\x6f\162\x65\x44\x61\x74\141\142\x61\x73\x65\x73")); goto A5063; D3854: e545d: goto A5c0b; c66ca: foreach ($siteEntities as $siteEntity) { goto C8545; F4cbc: foreach ($databaseEntities as $databaseEntity) { goto E57f7; E3eed: a3693: goto Bfb89; E57f7: $databaseName = $databaseEntity->getName(); goto D8078; f563a: $this->createDatabaseDump($databaseEntity); goto E3eed; Bfb89: Ca931: goto C83d9; D8078: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto a3693; } goto f563a; C83d9: } goto d459c; C8545: $databaseEntities = $siteEntity->getDatabases(); goto A4051; A4051: if (!count($databaseEntities)) { goto Cb999; } goto F4cbc; d459c: f3ae3: goto ae4d2; Db620: D81e4: goto Fe775; ae4d2: Cb999: goto Db620; Fe775: } goto D3854; E74dc: $siteEntities = $this->siteEntityManager->findAll(); goto Ed0eb; Ed0eb: if (!count($siteEntities)) { goto D2a5a; } goto c66ca; A5c0b: D2a5a: goto Da56f; E957a: } catch (\Exception $e) { goto Ea264; C172f: return BaseCommand::FAILURE; goto bf966; ae8d3: $output->writeln(sprintf("\74\x65\162\162\157\x72\76\45\163\x3c\57\145\x72\x72\x6f\x72\76", $errorMessage)); goto C172f; Ea264: $errorMessage = $e->getMessage(); goto ae8d3; bf966: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto F32b8; B6f6b: $siteEntity = $databaseEntity->getSite(); goto Cb945; B2b73: $databaseExporter->createOutputDirectory(); goto B5086; C72fa: $databaseExporter = new DatabaseExporter($databaseEntity); goto ae0e2; ae0e2: $databaseExporter->setFile($outputFile); goto B2b73; f3e0a: $databaseName = $databaseEntity->getName(); goto Bd73f; A8c1a: $this->cleanUpBackups($databaseEntity); goto F4551; Bd73f: $backupDirectory = sprintf("\x2f\x68\157\x6d\x65\x2f\45\163\57\x62\x61\143\x6b\165\x70\x73\x2f\144\141\x74\x61\x62\x61\163\x65\163\57", $siteUser); goto e5d2f; F32b8: $dateTime = new \DateTime("\x6e\157\167", new \DateTimeZone("\x55\124\x43")); goto B6f6b; e5d2f: $outputDirectory = sprintf("\x25\x73\57\45\x73\x2f\x25\163\57", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\x59\55\155\55\x64")); goto C3db0; B2189: $this->resetPermissions($databaseEntity); goto A8c1a; Cb945: $siteUser = $siteEntity->getUser(); goto f3e0a; B5086: $databaseExporter->export(); goto B2189; C3db0: $outputFile = sprintf("\45\x73\x2f\45\x73", rtrim($outputDirectory, "\x2f"), sprintf("\45\163\137\45\x73\x2e\163\161\x6c\56\x67\x7a", $databaseName, $dateTime->getTimestamp())); goto C72fa; F4551: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto adda3; E317d: $backupDirectoryChmodCommand->setFileChmod(760); goto A0126; Ea331: $backupDirectoryChownCommand->setRecursive(true); goto A828c; e043a: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto E317d; dc7b2: $backupDirectoryChownCommand->setFile($backupDirectory); goto Ea331; A0126: $this->commandExecutor->execute($backupDirectoryChownCommand); goto B8353; D210d: $backupDirectory = sprintf("\x2f\150\157\155\145\x2f\x25\x73\57\142\141\143\x6b\165\x70\x73\57\144\141\164\141\142\x61\x73\145\x73\57", $siteUser); goto f7f19; b6f12: $siteUser = $siteEntity->getUser(); goto D210d; a9173: $backupDirectoryChownCommand->setGroup($siteUser); goto C07bb; B8353: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto cb99e; f7f19: $backupDirectoryChownCommand = new ChownCommand(); goto dc7b2; eadea: $backupDirectoryChmodCommand->setFile($backupDirectory); goto e043a; adda3: $siteEntity = $databaseEntity->getSite(); goto b6f12; A828c: $backupDirectoryChownCommand->setUser($siteUser); goto a9173; C07bb: $backupDirectoryChmodCommand = new FindChmodCommand(); goto eadea; cb99e: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto eaa8c; eaa8c: $siteEntity = $databaseEntity->getSite(); goto B590e; E3d45: $databaseBackupDirectory = sprintf("\57\x68\157\x6d\145\57\x25\163\57\x62\141\143\x6b\x75\160\163\x2f\x64\141\164\x61\x62\x61\163\145\163\x2f", $siteUser); goto f7ff2; f7ff2: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto B8233; cbba4: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto e6d78; e6d78: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto af078; B8233: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto cbba4; B590e: $siteUser = $siteEntity->getUser(); goto E3d45; af078: } }
