<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto C714f; fafe6: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Edad0; Dc6b1: $this->databaseUserEntityManager = $databaseUserEntityManager; goto fafe6; Edad0: $this->validator = $validator; goto e88ef; C714f: $this->siteEntityManager = $siteEntityManager; goto A63ef; e88ef: parent::__construct(); goto A8dde; A63ef: $this->databaseEntityManager = $databaseEntityManager; goto Dc6b1; A8dde: } protected function configure() : void { goto a2952; f31ea: $this->addOption("\144\141\164\x61\x62\141\x73\145\116\141\155\145", null, InputOption::VALUE_REQUIRED); goto Ae719; a2952: $this->setName("\x64\142\x3a\144\x65\154\145\x74\x65"); goto e8547; e8547: $this->setDescription("\143\x6c\160\143\x74\154\x20\144\142\x3a\144\145\154\145\164\145\40\55\55\x64\141\x74\141\142\x61\163\145\x4e\x61\155\145\x3d\155\x79\x2d\x64\x61\164\141\x62\x61\163\x65"); goto f31ea; Ae719: $this->addOption("\x66\157\x72\x63\145", "\x66", InputOption::VALUE_NONE); goto C6d65; C6d65: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ba72a; d0713: return BaseCommand::SUCCESS; goto f80db; D4bf1: $answer = $helper->ask($input, $output, $question); goto Bed9f; C9488: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto ae667; Babff: $databaseName = trim($input->getOption("\144\x61\x74\x61\142\x61\x73\145\x4e\141\155\145")); goto Ebd81; Ebd81: $force = $input->getOption("\146\157\162\x63\x65") === true; goto F5b8d; Acc95: A26a0: goto d7701; E1a43: return BaseCommand::SUCCESS; goto Acc95; F5b8d: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto d6429; d7701: c2a8c: goto B65ec; B65ec: $siteEntity = $databaseEntity->getSite(); goto C9488; bb6ae: a35cd: goto efe54; b57f5: throw new \Exception(sprintf("\x44\x61\x74\x61\x62\x61\x73\145\x20\x22\x25\x73\x22\40\144\x6f\x65\x73\40\x6e\x6f\x74\x20\145\170\151\x73\164\56", $databaseName)); goto bb6ae; bb4ec: $siteEntity->removeDatabase($databaseEntity); goto Ffe1d; ba72a: $this->validateInput($input); goto Babff; ae667: $databaseManager = new DatabaseManager($databaseServerEntity); goto D733d; Fa80b: $question = new ConfirmationQuestion(sprintf("\x3c\x69\156\146\x6f\x3e\103\x6f\156\x66\151\162\155\x20\x74\x6f\x20\144\145\154\x65\x74\145\x20\164\150\x65\x20\144\x61\164\141\x62\141\x73\145\x3a\40\45\163\x3c\57\151\156\x66\157\76\x20\x3c\143\x6f\155\155\x65\156\x74\76\x28\x79\x65\x73\57\156\x6f\51\x3a\74\x2f\143\x6f\155\155\x65\156\164\76\x20", $databaseName), false, "\57\136\x28\171\145\163\x29\x2f\x69"); goto D4bf1; efe54: if (!(false === $force)) { goto c2a8c; } goto e73ee; d6429: if (!(true === is_null($databaseEntity))) { goto a35cd; } goto b57f5; Ffe1d: $this->siteEntityManager->updateEntity($siteEntity); goto D6254; Bed9f: if (!(false === $answer)) { goto A26a0; } goto E1a43; e73ee: $helper = $this->getHelper("\161\x75\x65\163\x74\151\157\156"); goto Fa80b; D6254: $output->writeln(sprintf("\74\151\x6e\146\x6f\x3e\104\x61\x74\141\x62\141\x73\145\x3c\x2f\x69\156\146\157\x3e\x20\74\x63\157\155\155\x65\x6e\x74\x3e\x25\163\x3c\57\x63\x6f\155\155\145\x6e\164\76\40\74\x69\x6e\146\157\76\150\141\x73\x20\142\x65\145\156\40\144\x65\154\145\164\x65\x64\x2e\x3c\x2f\x69\x6e\x66\x6f\x3e", $databaseName)); goto d0713; D733d: $databaseManager->deleteDatabase($databaseEntity, true); goto bb4ec; f80db: } catch (\Exception $e) { goto Be470; Be470: $errorMessage = $e->getMessage(); goto fe974; fe974: $output->writeln(sprintf("\74\145\162\x72\x6f\x72\x3e\45\163\74\x2f\145\162\x72\157\162\76", $errorMessage)); goto Bc4cd; Bc4cd: return BaseCommand::FAILURE; goto C7f8a; C7f8a: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\x6d\145", "\144\x61\x74\x61\x62\141\x73\145\116\141\155\x65", $constraints); $this->changePropertyPath("\x75\163\145\x72\x4e\141\x6d\145", "\x64\x61\164\x61\142\141\163\x65\125\163\145\162\116\x61\x6d\145", $constraints); } }
