<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\x72\157\157\164"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto D817b; ca4be: $this->commandExecutor = new CommandExecutor(); goto a7b8d; a3997: $this->databaseServerEntityManager = $databaseServerEntityManager; goto F0eeb; b813b: $this->databaseEntityManager = $databaseEntityManager; goto a3997; D817b: $this->siteEntityManager = $siteEntityManager; goto b813b; F0eeb: $this->sshUserEntityManager = $sshUserEntityManager; goto ca4be; a7b8d: parent::__construct(); goto c0e41; c0e41: } protected function configure() : void { goto c7784; B6b18: $this->setDescription("\143\x6c\160\143\164\154\40\x64\142\x3a\151\x6d\160\157\162\x74\40\55\x2d\x64\x61\164\x61\142\x61\163\x65\116\141\x6d\145\75\x6d\x79\x2d\x64\141\164\x61\142\141\x73\x65\x20\x2d\x2d\x66\x69\x6c\x65\x3d\x64\165\x6d\160\56\x73\x71\x6c\x2e\x67\172"); goto a9b41; c7784: $this->setName("\x64\142\72\x69\155\160\157\x72\x74"); goto B6b18; Ca7c7: $this->addOption("\x66\x69\x6c\145", null, InputOption::VALUE_REQUIRED); goto Aaddf; a9b41: $this->addOption("\144\141\x74\141\142\x61\163\x65\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto Ca7c7; Aaddf: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ec57d; E2dae: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto E2f38; d49f7: if (!(false === str_contains($importFile, "\57"))) { goto E49f6; } goto ae257; ff440: $siteUser = self::SYSTEM_USER_ROOT; goto B95ad; b1eea: f141d: goto Ad64d; Ddab3: E49f6: goto Adac5; F6e80: return BaseCommand::SUCCESS; goto b1eea; d1cfc: if (false === is_null($databaseEntity)) { goto C6eeb; } goto Ec45e; C30c5: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto f141d; } goto F2895; b8ffc: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto C30c5; Ed7fc: $databaseName = $input->getOption("\144\141\164\141\x62\141\163\x65\116\x61\155\x65"); goto f7b49; F2895: $databaseImporter = new DatabaseImporter($databaseEntity); goto e4139; Adac5: $this->checkIfFileExists($importFile); goto D289d; ae257: $importFile = sprintf("\45\x73\57\45\163", rtrim(getcwd(), "\x2f"), $importFile); goto Ddab3; e4139: $databaseImporter->import($importFile); goto A57c6; d1cb7: d62fd: goto f53d1; b01c9: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto E77ca; a38b5: goto fdecb; goto E08f0; Ec45e: throw new \Exception(sprintf("\104\x61\164\x61\142\x61\x73\x65\x20\42\45\163\x22\40\x64\x6f\x65\163\40\x6e\x6f\164\x20\145\x78\151\x73\x74\56", $databaseName)); goto a38b5; D289d: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto d1cfc; b6e0d: if (false === is_null($siteEntity)) { goto Ab4ae; } goto b01c9; ea883: $siteUser = $siteEntity->getUser(); goto d1cb7; B95ad: a7a9c: goto b8ffc; f53d1: goto E54b3; goto D675f; E2f38: $isSuperUser = false; goto b3208; Ad64d: fdecb: goto A43d5; A13da: E54b3: goto E2dae; d2eb7: $siteUser = $siteEntity->getUser(); goto A13da; d8c62: $siteEntity = $sshUserEntity->getSite(); goto ea883; E08f0: C6eeb: goto ac9bf; E77ca: if (!(false === is_null($sshUserEntity))) { goto d62fd; } goto d8c62; D675f: Ab4ae: goto d2eb7; A57c6: $output->writeln(sprintf("\74\151\x6e\x66\157\x3e\111\155\x70\157\x72\164\40\x69\x6e\164\157\x20\x64\x61\x74\141\x62\x61\x73\x65\x3c\x2f\x69\156\146\157\x3e\40\74\143\157\155\155\x65\156\x74\76\45\x73\74\57\143\157\155\155\145\x6e\x74\x3e\x20\74\151\156\x66\x6f\76\x77\141\x73\40\163\x75\x63\x63\x65\163\x73\146\165\x6c\56\x3c\x2f\x69\156\x66\157\76", $databaseName)); goto F6e80; E7054: $siteUser = null; goto b6e0d; b3208: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto a7a9c; } goto C5614; db69c: $systemUserName = self::SYSTEM_USER_ROOT; goto d57f5; d57f5: C9b31: goto d49f7; d556e: $systemUserName = $_SERVER["\123\125\104\x4f\x5f\125\123\x45\122"] ?? ''; goto F28f3; ec57d: $this->validateInput($input); goto Ed7fc; A43d5: return BaseCommand::FAILURE; goto f21eb; f7b49: $importFile = $input->getOption("\146\151\x6c\x65"); goto d556e; ac9bf: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto E7054; F28f3: if (!("\x64\145\x76" == $_ENV["\101\120\x50\x5f\105\x4e\x56"])) { goto C9b31; } goto db69c; C5614: $isSuperUser = true; goto ff440; f21eb: } catch (\Exception $e) { goto Ad6cc; bde40: return BaseCommand::FAILURE; goto cebe6; Ad6cc: $errorMessage = $this->maskString($e->getMessage()); goto eaa43; eaa43: $output->writeln(sprintf("\74\145\162\162\157\162\76\x25\x73\74\57\x65\x72\162\x6f\162\76", $errorMessage)); goto bde40; cebe6: } } private function checkIfFileExists(string $importFile) { try { goto Fd2bd; a1062: $checkIfFileExistsCommand->setFile($importFile); goto bb5ac; Fd2bd: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto a1062; bb5ac: $this->commandExecutor->execute($checkIfFileExistsCommand); goto B0acf; B0acf: } catch (\Exception $e) { throw new \Exception(sprintf("\x46\151\x6c\145\x20\42\45\x73\x22\x20\x64\157\145\163\40\156\157\164\40\145\170\x69\x73\164\56", $importFile)); } } }
