<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use App\Command\SiteCommand as SiteCommand; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\LetsEncrypt\DomainValidationException; use App\Entity\Certificate as CertificateEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; class LetsEncryptRenewCertificatesCommand extends SiteCommand { const RENEW_DAYS_BEFORE_EXPIRATION = 7; protected function configure() : void { $this->setName("\x6c\x65\164\x73\x2d\x65\156\x63\x72\171\x70\164\72\162\x65\x6e\x65\x77\x3a\x63\x65\x72\x74\151\x66\x69\143\141\164\x65\163"); $this->setDescription("\143\x6c\160\143\x74\154\x20\x6c\x65\x74\163\x2d\145\156\x63\x72\x79\x70\164\72\x72\x65\156\x65\167\72\x63\x65\x72\164\x69\x66\151\143\x61\x74\145\163"); } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto f844e; f8c4b: if (!count($siteEntities)) { goto Cb599; } goto Da2ad; f844e: $siteEntities = $this->siteEntityManager->findAll(); goto f8c4b; d414e: Cb599: goto F7a14; F7a14: return SiteCommand::SUCCESS; goto Fde58; a380e: e4d9e: goto d414e; Da2ad: foreach ($siteEntities as $siteEntity) { goto f7c2b; f7c2b: $certificateEntity = $siteEntity->getCertificate(); goto Daa3f; Daa3f: if (!(CertificateEntity::TYPE_LETS_ENCRYPT == $certificateEntity->getType())) { goto d132f; } goto D9a30; B0221: d132f: goto b317d; D9a30: $this->renewCertificate($output, $certificateEntity); goto B0221; b317d: D44d2: goto D09ef; D09ef: } goto a380e; Fde58: } catch (\Exception $e) { goto Ee696; A2484: $output->writeln(sprintf("\74\x65\162\162\x6f\162\x3e\x25\163\x3c\57\x65\162\162\x6f\162\x3e", $errorMessage)); goto Dbf34; Dbf34: return SiteCommand::FAILURE; goto d2486; Ee696: $errorMessage = $e->getMessage(); goto A2484; d2486: } } private function renewCertificate(OutputInterface $output, CertificateEntity $certificateEntity) { goto f0e7d; bb852: Ded9e: goto e051e; ea0f6: $daysToExpire = round(($expiresAt->getTimestamp() - $now->getTimestamp()) / 86400, 0); goto adbd5; f0e7d: $now = new \DateTime("\x6e\x6f\167"); goto b319e; b319e: $expiresAt = $certificateEntity->getExpiresAt(); goto ea0f6; adbd5: if (!($daysToExpire <= self::RENEW_DAYS_BEFORE_EXPIRATION)) { goto Ded9e; } goto abbb7; abbb7: try { goto b0548; adf6c: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto E6270; Dcf60: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto a5af2; Ef774: $distinguishedNameDomains = $domains; goto Da30b; D1502: $letsEncryptClient = new LetsEncryptClient($privateKey); goto B0062; Eb81a: $siteUpdater->installCertificate($certificateEntity); goto Fda51; Bc7d4: $certificateEntity->setCertificate($certificate->getCertificate()); goto B80ab; b3cc2: $output->writeln(sprintf("\74\x69\x6e\x66\x6f\x3e\x25\163\x3c\x2f\151\x6e\x66\x6f\76", $renewingSuccessMessage)); goto f0ffa; ae340: if (true === empty($validationErrors)) { goto c5133; } goto bb08f; B80ab: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto Eb81a; F533f: $letsEncryptPrivateKey = $this->getConfigValue("\154\x65\x5f\x70\162\151\x76\x61\x74\145\x5f\x6b\x65\171"); goto Beb3d; daffb: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto Af223; E6270: $siteUpdater = $this->getSiteUpdater($site); goto e5edd; bf459: $domainValidationException->setValidationErrors($validationErrors); goto E98ac; f0ffa: f8dd0: goto f25f2; A4cb5: c5133: goto Ef774; d2904: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto Bc7d4; e5edd: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Dcf60; Bfe22: $renewingSuccessMessage = sprintf("\103\145\x72\x74\151\146\x69\143\x61\164\x65\40\162\x65\156\145\167\x69\156\x67\40\146\x6f\162\x20\x74\150\145\x20\144\157\x6d\141\x69\156\40\42\45\x73\x22\40\167\x61\x73\40\163\165\143\x63\145\163\x73\146\165\154\x2e", $domainName); goto b3cc2; B0062: $letsEncryptClient->registerAccount(); goto adf6c; E98ac: throw $domainValidationException; goto C66ea; Cc0eb: $site = $this->getSite($domainName); goto a152e; Af223: $rsaKeyGenerator = new RsaKeyGenerator(); goto F875a; Da30b: $commonName = array_shift($distinguishedNameDomains); goto daffb; Fda51: $siteEntity->setCertificate($certificateEntity); goto Afef7; E668f: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto a2938; d3c5a: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto E8d4f; Beb3d: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto D1502; b0548: $siteEntity = $certificateEntity->getSite(); goto E9060; Afef7: $this->siteEntityManager->updateEntity($siteEntity); goto Bfe22; E8d4f: $certificateEntity->setCsr($certificate->getCsr()); goto d2904; a2938: $csr = $csrGenerator->generate(); goto d3c5a; a5af2: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto ae340; C66ea: goto f8dd0; goto A4cb5; a152e: $domains = $certificateEntity->getDomains(); goto F533f; F875a: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto E668f; bb08f: $domainValidationException = new DomainValidationException("\104\x6f\x6d\x61\x69\x6e\x20\166\141\154\x69\144\141\x74\151\157\156\x20\x66\x61\x69\x6c\145\x64"); goto bf459; E9060: $domainName = $siteEntity->getDomainName(); goto Cc0eb; f25f2: } catch (\Exception|DomainValidationException $e) { goto fc2fa; Edccb: b9db7: goto c6cdb; b9d9d: D2534: goto E9a7b; B6cc3: goto e8430; goto Edccb; fc2fa: if ($e instanceof DomainValidationException) { goto b9db7; } goto ff7e3; c61a8: $subject = sprintf("\x4c\x65\164\x27\x73\x20\x45\x6e\143\x72\x79\160\164\x20\103\145\x72\x74\x69\146\151\x63\141\x74\145\40\x72\x65\156\145\x77\x20\146\x61\151\x6c\x65\x64\72\40\x25\x73\56", $domainName); goto A3871; e9544: e8430: goto c61a8; d428f: foreach ($e->getValidationErrors() as $domainName => $validationError) { $validationErrors[] = sprintf("\x25\163\x3a\40\45\163", $domainName, $validationError); e6803: } goto b9d9d; c6cdb: $validationErrors = []; goto d428f; ff7e3: $errorMessage = $e->getMessage(); goto B6cc3; E9a7b: $errorMessage = implode("\54\40", $validationErrors); goto e9544; A3871: $this->addNotification($subject, $errorMessage); goto db17b; db17b: } finally { if (!(true === isset($siteUpdater))) { goto e4ce0; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); e4ce0: } goto bb852; e051e: } private function addNotification(string $subject, string $errorMessage) : void { goto E7e53; E7e53: $notification = new Notification(); goto Bc27c; Bc27c: $notification->setSubject($subject); goto b534e; e90f6: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto B7d50; b534e: $notification->setMessage($errorMessage); goto e90f6; B7d50: NotificationQueue::addNotification($notification); goto dd2af; dd2af: } }
