<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto f5b5a; Cf5dd: $this->validator = $validator; goto C69a1; f5b5a: $this->siteEntityManager = $siteEntityManager; goto A25b1; A25b1: $this->commandExecutor = new CommandExecutor(); goto E69db; E69db: $this->logger = $logger; goto Cf5dd; C69a1: parent::__construct(); goto A595a; A595a: } protected function configure() : void { goto C34f7; B6581: $this->setDescription("\x63\154\160\x63\x74\x6c\x20\x72\x65\x6d\157\x74\x65\x2d\x62\141\x63\x6b\x75\x70\x3a\x63\162\x65\x61\164\x65"); goto c4737; C34f7: $this->setName("\162\145\155\x6f\164\x65\55\x62\141\143\153\x75\160\72\143\162\x65\x61\164\x65"); goto B6581; c4737: $this->addOption("\x64\145\154\141\171", null, InputOption::VALUE_OPTIONAL, false); goto D8112; D8112: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto e3577; ddcab: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); c5f09: } goto Efdc0; bd626: return BaseCommand::SUCCESS; goto E7211; ef42e: Ca66d: goto ddcab; fe864: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto a1ef3; } goto Ebd66; E8d53: $this->backupDatabases(clone $input, clone $output); goto Aaf59; C3cb2: a1ef3: goto bd626; Efdc0: C1d6a: goto F35c6; D92ea: $delay = (bool) $input->getOption("\144\x65\x6c\141\171"); goto C0f3d; C0f3d: $this->refreshDropboxAccessToken($delay); goto ef42e; Aaf59: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Ca66d; } goto D92ea; E118b: if (!count($siteEntities)) { goto c01ee; } goto E8d53; Ebd66: $siteEntities = $this->siteEntityManager->findAll(); goto E118b; bb9f4: $this->storageProvider = $this->getConfigValue("\162\145\155\x6f\164\x65\137\x62\x61\x63\x6b\x75\160\137\x73\x74\x6f\x72\x61\147\x65\x5f\x70\162\157\166\151\x64\x65\x72"); goto fe864; B7ba6: $isEnabled = (bool) $this->getConfigValue("\x72\x65\155\x6f\x74\145\137\x62\x61\x63\x6b\x75\160\x5f\145\156\x61\142\x6c\145\144"); goto bb9f4; F35c6: c01ee: goto e4722; e3577: $this->validateInput($input); goto B7ba6; e4722: $this->cleanBackups(); goto C3cb2; E7211: } catch (\Exception $e) { goto cff3c; de527: return BaseCommand::FAILURE; goto e592e; cff3c: $errorMessage = $e->getMessage(); goto f83d8; f83d8: $output->writeln(sprintf("\74\145\x72\162\157\x72\x3e\x25\x73\74\x2f\x65\x72\x72\x6f\162\x3e", $errorMessage)); goto de527; e592e: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto f0532; f0532: $application = $this->getApplication(); goto fce53; a2e71: $exitCode = $command->run($input, $output); goto acea5; fce53: $command = $application->find("\144\x62\x3a\142\x61\143\153\165\x70"); goto a2e71; acea5: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto cc1f8; ef49b: C7127: goto Fbce0; c3d59: try { try { goto E94b4; a2ba3: if (!(false === empty($siteExcludes))) { goto b2be0; } goto Edc1d; cba0b: $siteSettingsFile = sprintf("\57\150\x6f\x6d\x65\57\45\x73\x2f\163\151\164\145\55\x73\x65\x74\164\151\x6e\147\x73\56\x6a\163\157\156", $siteUser); goto Db906; A3942: $tarCreator = new TarCreator(); goto B4009; Fbb49: b2be0: goto ee164; bb6f3: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto Cd822; ee164: $siteUser = $siteEntity->getUser(); goto C2c4b; C7aff: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto b0c97; ee242: goto a2edc; goto e0a1e; b0c97: $email = $this->getConfigValue("\162\145\x6d\157\164\x65\x5f\142\141\143\153\165\160\137\x65\155\x61\151\154"); goto d4203; d4203: $rclone->addFlag("\55\55\144\162\151\x76\x65\x2d\x69\155\160\145\x72\x73\x6f\x6e\141\164\x65", $email); goto ee242; e0a1e: } goto E4c0e; Db906: $siteVhostFile = sprintf("\x2f\x68\x6f\x6d\145\x2f\45\163\57\163\x69\164\145\x2d\x76\x68\x6f\x73\x74", $siteUser); goto Cc4b5; E4c0e: f23d5: goto a8238; Aa7c4: $rclone->copy($destinationFile, $destination); goto Fc08c; a69de: $homeDirectory = sprintf("\57\150\x6f\x6d\x65\57\45\163\57", $siteUser); goto f7d5f; E94b4: $excludes = ["\56\163\x73\150", "\x74\x6d\160", "\x6c\157\147\x73"]; goto Da594; B4009: $tarCreator->create($sources, $destinationFile, $excludes); goto d4576; f7d5f: $vhostFile = sprintf("\x2f\x65\164\x63\57\x6e\147\x69\x6e\170\57\x73\x69\164\x65\x73\x2d\x65\x6e\x61\142\154\145\x64\x2f\45\163\x2e\143\157\156\146", $domainName); goto fc586; Cd822: $sources = [$homeDirectory, $vhostFile]; goto A3942; a8238: a2edc: goto Aa7c4; Aee59: $rclone = new Rclone(); goto C7aff; Da594: $siteExcludes = $this->getSiteExcludes($siteEntity); goto a2ba3; Edc1d: $excludes = array_merge($excludes, $siteExcludes); goto Fbb49; Cc4b5: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto bb6f3; d4576: $destination = $this->getDestination($siteEntity); goto Aee59; fc586: $destinationFile = sprintf("\57\x68\157\x6d\145\x2f\45\163\x2f\x74\155\x70\x2f\142\141\143\153\165\160\56\164\141\x72", $siteUser); goto cba0b; C2c4b: $domainName = $siteEntity->getDomainName(); goto a69de; Fc08c: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto a78cc; Ae557: $deleteFileCommand->setFile($file); goto A5b41; A5b41: $this->commandExecutor->execute($deleteFileCommand, 60); goto dff3d; a78cc: $deleteFileCommand = new DeleteFileCommand(); goto Ae557; dff3d: F99a4: goto Ffc57; Ffc57: } e485b: } } catch (\Exception $e) { goto e7dde; e7dde: $errorMessage = $e->getMessage(); goto B95e4; B95e4: $subject = sprintf("\122\145\x6d\x6f\x74\145\x20\102\x61\x63\x6b\x75\x70\x20\146\141\151\154\x65\144\72\40\x25\163", $domainName); goto ceaae; ceaae: $this->addNotification($subject, $errorMessage); goto Db5a8; Db5a8: } goto ef49b; Ed0b4: if (!(false === $isSiteExcluded)) { goto C7127; } goto c3d59; cc1f8: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto Ed0b4; Fbce0: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto d6308; b0822: $settings = ["\164\171\160\145" => $siteType, "\x64\157\155\141\151\156\116\x61\155\x65" => $siteEntity->getDomainName(), "\x72\157\x6f\x74\x44\151\162\145\143\164\157\162\171" => $siteEntity->getRootDirectory(), "\163\151\164\x65\x55\163\145\x72" => $siteEntity->getUser(), "\160\x61\x67\x65\x53\x70\x65\x65\144" => $siteEntity->getPageSpeedSettings()]; goto A29e2; D7e78: fa2cc: goto ace3f; d6308: $siteType = $siteEntity->getType(); goto b0822; ace3f: a67e2: goto B3b3e; cee0c: $writeFileCommand->setContent($fileContent); goto b7dc2; B3b3e: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto f5826; a2b9c: $writeFileCommand->setFile($siteSettingsFile); goto cee0c; b7dc2: $this->commandExecutor->execute($writeFileCommand, 15); goto e421d; f5826: $writeFileCommand = new WriteFileCommand(); goto a2b9c; A29e2: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto Fa2ae; c8f23: $nodejsSettings = ["\x76\145\x72\x73\151\x6f\156" => $nodejsSettingsEntity->getNodejsVersion(), "\x70\x6f\162\164" => $nodejsSettingsEntity->getPort()]; goto C2a93; d91bb: goto a67e2; goto Cc4f1; Fa2ae: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto c8f23; C2a93: $settings["\x6e\157\144\145\x6a\163\x53\145\164\x74\x69\156\147\x73"] = $nodejsSettings; goto d91bb; Cc4f1: case SiteEntity::TYPE_PHP: goto Db339; f7bee: $settings["\160\150\x70\x53\x65\164\x74\x69\156\x67\x73"] = $phpSettings; goto Cfe67; Cfe67: goto a67e2; goto B5cc6; Fbb62: $phpSettings = ["\166\145\162\163\151\x6f\x6e" => $phpSettingsEntity->getPhpVersion(), "\155\x65\155\157\x72\x79\114\151\x6d\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\155\x61\170\105\x78\145\x63\x75\x74\x69\x6f\156\124\x69\x6d\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\155\x61\170\111\x6e\x70\x75\x74\124\x69\x6d\145" => $phpSettingsEntity->getMaxInputTime(), "\155\x61\x78\x49\156\160\x75\164\x56\141\x72\163" => $phpSettingsEntity->getMaxInputVars(), "\x70\x6f\x73\164\115\141\x78\123\x69\172\x65" => $phpSettingsEntity->getPostMaxSize(), "\165\160\x6c\x6f\x61\x64\115\141\x78\106\x69\154\145\123\151\x7a\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\141\144\x64\151\164\151\157\x6e\x61\x6c\x43\157\x6e\x66\151\147\x75\162\141\164\151\157\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto f7bee; Db339: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto Fbb62; B5cc6: case SiteEntity::TYPE_PYTHON: goto F380e; F380e: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto e7c02; e7c02: $pythonSettings = ["\x76\145\162\163\151\157\156" => $pythonSettingsEntity->getPythonVersion(), "\x70\x6f\x72\x74" => $pythonSettingsEntity->getPort()]; goto ae5e9; ae5e9: $settings["\160\171\164\150\x6f\x6e\x53\x65\164\x74\151\x6e\x67\x73"] = $pythonSettings; goto e9153; e9153: goto a67e2; goto c5831; c5831: case SiteEntity::TYPE_REVERSE_PROXY: goto A48ab; Ff682: goto a67e2; goto c9605; A48ab: $reverseProxySettings = ["\x75\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto Ceabf; Ceabf: $settings["\x72\x65\x76\x65\162\x73\x65\x50\x72\157\170\x79\x53\145\164\164\x69\156\x67\x73"] = $reverseProxySettings; goto Ff682; c9605: } goto D7e78; e421d: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto d0cbf; c67cf: $writeFileCommand = new WriteFileCommand(); goto e6283; cd38a: $writeFileCommand->setContent($vhost); goto e2d8e; d0cbf: $vhost = $siteEntity->getVhostTemplate(); goto c67cf; e6283: $writeFileCommand->setFile($siteVhostFile); goto cd38a; e2d8e: $this->commandExecutor->execute($writeFileCommand, 15); goto Dc373; Dc373: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto A5765; c3509: $siteUser = $siteEntity->getUser(); goto C81ed; Ea0c2: $excludes = $this->getExcludes(); goto f4d32; A5765: $isSiteExcluded = false; goto Ea0c2; efe39: foreach ($excludes as $exclude) { goto Cd518; F56d8: Ec191: goto b3687; Cd518: $exclude = rtrim($exclude, "\57"); goto Ff719; b3687: C84b6: goto b7f05; Ff719: if (!($homeDirectory == $exclude)) { goto Ec191; } goto C22d0; B0626: goto d357d; goto F56d8; C22d0: $isSiteExcluded = true; goto B0626; b7f05: } goto d9065; Ed629: F7b59: goto F2dfc; f4d32: if (!(false === empty($excludes))) { goto F7b59; } goto c3509; d9065: d357d: goto Ed629; C81ed: $homeDirectory = sprintf("\57\150\x6f\x6d\x65\57\45\163", $siteUser); goto efe39; F2dfc: return $isSiteExcluded; goto c6499; c6499: } private function getExcludes() : array { goto b9637; d2599: return $this->excludes; goto B53e1; Be2aa: E6216: goto d2599; B9f9a: $this->excludes = json_decode($excludes); goto e98ff; e98ff: e4bbe: goto Be2aa; a8742: if (!(false === empty($excludes))) { goto e4bbe; } goto B9f9a; C7b12: $excludes = $this->getConfigValue("\x72\145\x6d\157\164\x65\137\142\141\143\x6b\165\160\x5f\x65\170\x63\x6c\165\144\145\x73"); goto a8742; b9637: if (!(true === empty($this->excludes))) { goto E6216; } goto C7b12; B53e1: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto e458b; df389: return $siteExcludes; goto b2fa8; e458b: $siteExcludes = []; goto E6724; f9aa5: if (!(false === empty($excludes))) { goto F7967; } goto Ac96d; Ac96d: $siteUser = $siteEntity->getUser(); goto d1eea; e0a7b: F7967: goto df389; Ee537: foreach ($excludes as $exclude) { goto C60e2; Fb3de: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\x2f"); goto dc1bc; Ccca4: A0ca9: goto B8bd2; C60e2: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto ff78b; } goto Adc41; C993c: if (!(false === empty($exclude))) { goto Ec8ab; } goto Fb3de; Daad5: ff78b: goto Ccca4; dc1bc: Ec8ab: goto Daad5; Adc41: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto C993c; B8bd2: } goto ab7bd; ab7bd: dd73e: goto e0a7b; E6724: $excludes = $this->getExcludes(); goto f9aa5; d1eea: $homeDirectory = sprintf("\57\150\157\x6d\x65\57\x25\163\x2f", $siteUser); goto Ee537; b2fa8: } private function getServerDateTime() : \DateTime { goto Fe11f; f85b0: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\x43")); goto ca066; Fe11f: if (!(true === is_null($this->serverDateTime))) { goto D2611; } goto F757b; Bcc11: return $this->serverDateTime; goto C8e98; bbd05: D2611: goto Bcc11; Db45e: fb12d: goto bbd05; ca066: if (!(false === empty($timezone))) { goto fb12d; } goto c1d45; c1d45: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto Db45e; e382f: $this->serverDateTime = new \DateTime("\156\x6f\x77"); goto f85b0; F757b: $timezone = $this->getConfigValue("\x74\151\155\145\x7a\x6f\x6e\145"); goto e382f; C8e98: } private function getDestination(SiteEntity $siteEntity) : string { goto cbeea; B526c: $siteUser = $siteEntity->getUser(); goto fc415; fc415: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\x74\x65\137\x62\x61\143\153\165\x70\137\163\x74\157\x72\141\x67\x65\137\144\x69\162\x65\143\164\157\162\x79"); goto e8b8d; E8852: b4f7b: goto E15f6; E15f6: return $destination; goto C6995; f4f91: Baa28: goto d6028; e8b8d: $serverDateTime = $this->getServerDateTime(); goto c6b83; B654c: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\145\155\x6f\164\145\137\142\141\143\153\x75\160\x5f\142\165\143\x6b\145\164"); goto d876f; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\x65\x6d\x6f\x74\145\x5f\142\141\143\x6b\165\x70\137\x73\160\141\143\x65"); goto d876f; } goto f4f91; Ac527: $destination = ltrim($destination, "\57"); goto E8852; c6b83: $destination = sprintf("\x25\x73\57\x25\x73\x2f\x25\x73\x2f\x25\163\x2f\x68\157\155\145\x2f\45\x73\57", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\x2f"), $serverDateTime->format("\131\x2d\x6d\x2d\144"), $serverDateTime->format("\x48\x2e\x69"), $siteUser); goto b827b; b827b: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto b4f7b; } goto Ac527; cbeea: $destination = ''; goto B654c; d6028: d876f: goto B526c; C6995: } private function cleanBackups() : void { goto B75b8; Cb77b: try { goto B933d; C97d8: $remotePath = ''; goto Cf2c1; Db8dd: if (!(false === empty($directories))) { goto C0850; } goto ce2f2; d95bb: $deleteDateTime = clone $dateTime; goto Ffa36; B933d: $dateTime = new \DateTime(); goto d95bb; dd980: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto bf6f0; } goto e1db0; Cd694: Db59f: goto C2213; ce2f2: foreach ($directories as $directory) { goto Cd63d; Af8b5: $purgeRemotePath = sprintf("\45\163\57\45\163\57", rtrim(ltrim($remotePath, "\x2f"), "\x2f"), $directoryName); goto Fe0a7; A3a87: $rclone->purge($purgeRemotePath); goto b2ec6; e6c80: if (!(false === is_null($directoryName))) { goto D5a0a; } goto f625a; Bd4b0: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto A91c8; Fe0a7: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto E5aec; } goto Bd4b0; F19a7: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto c194b; } goto Af8b5; C27a9: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto f67ce; } goto B2c84; b725a: f67ce: goto A3a87; Cd63d: $directoryName = $directory["\x4e\x61\x6d\x65"] ?? null; goto e6c80; B2c84: $purgeRemotePath = sprintf("\x2f\45\163", ltrim($purgeRemotePath, "\x2f")); goto b725a; f625a: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto f3c2b; b6098: e80fd: goto Fa64f; A91c8: E5aec: goto C27a9; e9fa2: D5a0a: goto b6098; b2ec6: c194b: goto A47aa; f3c2b: if (!(true === $isValidDate)) { goto C9749; } goto F19a7; A47aa: C9749: goto e9fa2; Fa64f: } goto Baa34; E1e69: bf6f0: goto a8cdf; a8cdf: $directories = (array) $rclone->lsJson($remotePath, true); goto Db8dd; Baa34: B3ec0: goto e5e73; Dbff4: $deleteDateTime->setTime(0, 0, 0, 0); goto C97d8; c00e7: $deleteDateTime->setTimezone(new \DateTimeZone("\x55\x54\x43")); goto Dbff4; e1db0: $remotePath = ltrim($remotePath, "\x2f"); goto E1e69; Cf2c1: $rclone = new Rclone(); goto cc280; Eec1e: $remotePath = sprintf("\x25\x73\57\45\x73\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\x2f"), "\x2f")); goto dd980; e5e73: C0850: goto b393c; cc280: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\145\x6d\157\x74\x65\137\x62\141\143\153\165\160\137\142\x75\143\153\x65\x74"); goto f5b9c; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\x65\155\x6f\x74\145\137\x62\141\143\153\165\160\x5f\163\160\x61\x63\x65"); goto f5b9c; case StorageProvider::GOOGLE_DRIVE: goto Ba979; Ba979: $email = $this->getConfigValue("\x72\145\155\x6f\x74\145\x5f\142\141\143\x6b\x75\x70\x5f\x65\x6d\x61\x69\154"); goto Fd7a7; Fd7a7: $rclone->addFlag("\x2d\x2d\x64\162\151\x76\x65\55\x69\x6d\160\x65\x72\x73\x6f\156\141\x74\x65", $email); goto c0ff0; c0ff0: goto f5b9c; goto c1662; c1662: } goto Cd694; Ffa36: $deleteDateTime->modify(sprintf("\55\45\x73\x20\144\141\x79\x73", $retentionPeriod)); goto c00e7; C2213: f5b9c: goto Eec1e; b393c: } catch (\Exception $e) { goto b072a; f154a: $this->addNotification($subject, $errorMessage); goto d3fc8; b072a: $errorMessage = $e->getMessage(); goto Cacee; Cacee: $subject = sprintf("\122\145\x6d\x6f\164\145\40\102\141\x63\x6b\x75\160\40\x63\154\145\141\x6e\x75\x70\x20\146\x61\x69\154\x65\144\56"); goto f154a; d3fc8: } goto D34a6; d3be5: $storageDirectory = $this->getConfigValue("\162\145\155\x6f\x74\x65\x5f\142\x61\x63\153\165\160\x5f\x73\164\x6f\x72\141\x67\145\137\144\x69\x72\145\x63\x74\x6f\162\x79"); goto F847a; F847a: if (!($retentionPeriod && false === empty($storageDirectory))) { goto Ed188; } goto Cb77b; D34a6: Ed188: goto Cd726; B75b8: $retentionPeriod = (int) $this->getConfigValue("\x72\145\155\x6f\164\x65\137\x62\x61\143\153\x75\x70\x5f\x72\145\x74\x65\x6e\164\x69\x6f\x6e\x5f\160\x65\162\x69\x6f\x64"); goto d3be5; Cd726: } private function refreshDropboxAccessToken(bool $delay) { try { goto ddae8; bc759: Bf084: goto f9f64; f9f64: $refreshToken = $this->getConfigValue("\162\x65\x6d\x6f\x74\145\x5f\142\x61\143\153\165\160\x5f\x72\145\x66\162\145\163\x68\137\x74\x6f\153\x65\156"); goto ee0f5; Bd188: A0f66: goto F7c9d; C93fd: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto D1328; ee0f5: $dropboxClient = new DropboxClient(); goto a69f4; ddae8: if (!(true === $delay)) { goto Bf084; } goto Cc626; A749d: $rcloneConfigTemplate->setToken($token); goto C93fd; Cabdd: if (false === empty($token)) { goto A0f66; } goto C96ad; eee55: $rclone->writeConfig($rcloneConfig); goto c52f6; Cc626: sleep(rand(5, 60)); goto bc759; F7c9d: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto A749d; D1328: $rcloneConfig = $rcloneConfigBuilder->build(); goto ad549; ad549: $rclone = new Rclone(); goto eee55; c32ac: goto e5e8b; goto Bd188; a69f4: $token = $dropboxClient->getAccessToken($refreshToken); goto Cabdd; C96ad: throw new \Exception("\101\143\143\x65\163\163\x20\124\157\153\x65\156\40\x63\x61\x6e\x6e\x6f\x74\x20\142\x65\40\x65\x6d\160\164\171\x2e"); goto c32ac; c52f6: e5e8b: goto D07c2; D07c2: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\x65\146\x72\x65\x73\x68\x69\x6e\x67\x20\104\162\157\160\x62\157\170\x20\x41\x63\x63\145\x73\163\40\124\157\153\x65\156\40\106\141\151\x6c\145\144", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto b2177; acce7: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto E11ae; F7c54: $notification->setSubject($subject); goto C6f37; E11ae: NotificationQueue::addNotification($notification); goto dbb8b; C6f37: $notification->setMessage($errorMessage); goto acce7; b2177: $notification = new Notification(); goto F7c54; dbb8b: } }
