<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\x6f\144\145\x6a\x73"; protected function configure() : void { goto F36de; dc5e1: $this->addOption("\x73\x69\164\145\x55\163\x65\162", null, InputOption::VALUE_REQUIRED); goto E324d; ab54a: $this->setComment("\101\144\144\x69\156\x67\x20\x61\x20\x4e\157\x64\145\56\x6a\x73\40\123\x69\164\145"); goto E348e; E324d: $this->addOption("\x73\151\x74\145\x55\x73\145\162\120\141\x73\163\167\x6f\162\144", null, InputOption::VALUE_REQUIRED); goto D2d34; a5139: $this->addOption("\x6e\x6f\144\x65\152\163\x56\145\162\163\x69\x6f\156", null, InputOption::VALUE_REQUIRED); goto F557a; E348e: $this->addOption("\144\157\x6d\141\151\x6e\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto a5139; e51c0: $this->setDescription("\143\154\x70\x63\164\x6c\40\163\151\164\x65\72\x61\144\x64\72\156\157\144\145\152\163\x20\x2d\55\x64\x6f\x6d\x61\x69\156\x4e\141\x6d\145\x3d\167\167\x77\x2e\144\x6f\x6d\x61\x69\156\56\x63\157\155\x20\x2d\55\x6e\157\144\145\x6a\163\126\x65\x72\x73\151\157\x6e\x3d\x32\x32\x20\x2d\55\x61\160\160\x50\157\x72\164\x3d\x33\x30\x30\60\x20\55\55\163\151\x74\x65\x55\163\x65\x72\x3d\152\x6f\150\x6e\40\x2d\55\163\x69\x74\x65\125\163\145\x72\x50\141\163\163\x77\157\x72\x64\x3d\47\41\x73\145\143\x72\x65\164\120\x61\163\x73\167\x6f\x72\144\x21\x27"); goto ab54a; F557a: $this->addOption("\141\x70\160\x50\x6f\162\x74", null, InputOption::VALUE_REQUIRED); goto dc5e1; F36de: $this->setName("\x73\x69\x74\x65\72\x61\x64\x64\72\156\x6f\144\x65\x6a\163"); goto e51c0; D2d34: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto e9983; ca982: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto B4f64; B544e: $nodejsSite->setDomainName($domainName); goto ff747; Fc591: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto c284e; B77d5: $rootDirectory = $domainName; goto A50d8; af811: if (!(true === is_null($subdomain) || "\x77\167\167" == $subdomain)) { goto Ec2cf; } goto d0078; d0078: if (true === isset($_ENV["\x41\120\x50\x5f\x48\124\x54\x50\x33"]) && "\x74\x72\165\x65" === $_ENV["\x41\x50\x50\137\110\124\x54\120\63"]) { goto d10a9; } goto cb7f1; d7187: b3eeb: goto c01d8; Fa162: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto ca982; decfe: $siteEntity->setDomainName($domainName); goto D2e2d; c3465: $siteEntity->setVhostTemplate($vhostTemplate); goto e5175; A64e2: goto E1245; goto b1d0a; Bdf73: $nodejsSiteCreator->createLogrotateFile(); goto Ffe17; C7b33: $nodejsSiteCreator->createUser(); goto df362; Ed278: throw new \Exception(sprintf("\126\150\x6f\163\x74\x20\124\x65\x6d\160\x6c\x61\164\x65\x20\42\45\x73\42\x20\x64\x6f\145\x73\40\x6e\x6f\164\40\x65\x78\x69\x73\164\x2e", $vhostTemplate)); goto Cdad8; c284e: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto bb449; A50d8: $nodejsVersion = (int) $input->getOption("\x6e\x6f\144\x65\x6a\x73\126\145\162\163\151\x6f\x6e"); goto d8fbb; a786c: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto Bebf2; f2833: $certificateEntity->setCertificate($selfSignedCertificate); goto aef94; fa42d: $nodejsSiteCreator->installNodejs(); goto C8f97; E5899: $siteUser = trim($input->getOption("\x73\151\164\x65\x55\x73\x65\x72")); goto Ef201; D2e2d: $siteEntity->setRootDirectory($rootDirectory); goto b8532; E204d: $constraints->addAll($nodejsSettingsConstraints); goto e783b; F7c84: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto cd182; Ef201: $siteUserPassword = trim($input->getOption("\163\151\x74\x65\x55\x73\145\x72\120\141\163\163\167\x6f\x72\144")); goto Bd5b7; B4f64: $nodejsSettingsEntity->setPort($appPort); goto B41a5; e0e82: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto C8d47; d4789: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto f2116; ff747: $nodejsSite->setRegistrableDomain($registrableDomain); goto F072c; F3d67: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto e8b51; e86ab: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto F7c84; D0c8b: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto Ef1ca; Bd5b7: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto f392f; A6504: $subdomain = $resolvedDomainName->subDomain()->toString(); goto a3137; Bebf2: if (!(false === empty($redirectionVhostTemplate))) { goto f0a27; } goto E462f; e529c: if (!(true === is_null($subdomain))) { goto ff637; } goto A9701; Dcffc: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto F3d67; Aadf0: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto decfe; Beb06: $constraints = new ConstraintViolationList(); goto Ec7b5; C8f97: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto aa6e7; df362: $nodejsSiteCreator->createRootDirectory(); goto Bdf73; f769f: $csr = $csrGenerator->generate(); goto b92ee; D862e: $subjectAlternativeNames[] = $registrableDomain; goto f1db0; Cdad8: goto aeaf0; goto F14e1; B41a5: $nodejsSettingsEntity->setSite($siteEntity); goto a1470; Ac9e1: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto ccba7; E462f: $vhostTemplate = sprintf("\x25\x73\45\163", $redirectionVhostTemplate, $vhostTemplate); goto e0696; f392f: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto A6504; Db39d: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto C6a59; } goto Beb06; bb449: $vhostTemplate->resetProcessors(); goto D0c8b; Da487: if (!(false === is_null($subdomain) && "\x77\x77\167" == $subdomain)) { goto C3692; } goto D862e; a19b6: goto b3eeb; goto A61db; C6df8: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto A5f38; D3655: $nodejsSite = new NodejsSite(); goto B717a; B717a: $nodejsSite->setUser($siteEntity->getUser()); goto a7710; E86cc: $siteEntity->setUserPassword($siteUserPassword); goto af811; F97ab: return SiteCommand::SUCCESS; goto d7187; f1db0: C3692: goto C6df8; B5359: $vhostTemplate->build(); goto e86ab; A5f38: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto f769f; a3137: $subdomain = false === empty($subdomain) ? $subdomain : null; goto e0e82; e28d7: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto f2833; cd182: $this->siteEntityManager->updateEntity($siteEntity); goto f9d4f; b1d0a: d10a9: goto c3a8d; E8ff8: $domainName = mb_strtolower(trim($input->getOption("\x64\x6f\x6d\141\151\156\x4e\141\x6d\x65"))); goto fe05b; facdb: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto C7b33; aa6e7: $nodejsSiteCreator->createNginxVhost(); goto ec558; D01d5: $certificateEntity->setCsr($csr); goto e28d7; d4f1f: $certificateEntity->setSite($siteEntity); goto Bd459; aef94: $siteEntity->setCertificate($certificateEntity); goto D3655; a1470: $siteConstraints = $this->validator->validate($siteEntity); goto Ab82f; fe05b: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto B77d5; b92ee: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto e03d4; A61db: C6a59: goto Ee8f8; e0696: f0a27: goto a96dc; d8fbb: $appPort = (int) $input->getOption("\x61\160\x70\120\x6f\x72\164"); goto E5899; cb7f1: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\56\57\56\56\57\x72\145\163\x6f\165\x72\143\x65\163\57\156\147\x69\156\x78\57\x76\x68\157\x73\164\137\164\145\155\160\154\x61\164\x65\57\x72\x65\144\x69\x72\145\x63\164"); goto A64e2; Ef991: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto facdb; b8532: $siteEntity->setUser($siteUser); goto E86cc; D61ba: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto B5359; Ef1ca: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto D61ba; Ab82f: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto Db39d; e5175: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto Fa162; Db960: $nodejsSiteCreator->resetPermissions(); goto Fc591; C8d47: if (false === is_null($vhostTemplateEntity)) { goto F0e67; } goto Ed278; e783b: return $this->renderConstraints($constraints, $output); goto a19b6; A3d90: ff637: goto Da487; F072c: $nodejsSite->setSubdomain($subdomain); goto Dcffc; f2116: $subjectAlternativeNames = []; goto e529c; Ec7b5: $constraints->addAll($siteConstraints); goto E204d; Ffe17: $nodejsSiteCreator->createNvmDirectory(); goto fa42d; e03d4: $certificateEntity->setDefaultCertificate(true); goto Ad9ef; e9983: $this->validateInput($input); goto E8ff8; a7710: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto B544e; c01d8: aeaf0: goto c2bd1; Bd459: $rsaKeyGenerator = new RsaKeyGenerator(); goto d4789; f9d4f: $output->writeln(sprintf("\x3c\151\156\146\157\x3e\123\x69\164\145\74\57\151\x6e\146\157\76\40\74\x63\157\x6d\x6d\145\x6e\164\76\x25\163\x3c\57\x63\157\155\x6d\x65\156\164\76\x20\x3c\x69\156\146\x6f\x3e\150\141\x73\x20\x62\x65\145\x6e\x20\141\x64\x64\145\144\x2e\x3c\x2f\151\156\146\157\76", $domainName)); goto F97ab; e8b51: $nodejsSite->setCertificate($certificateEntity); goto Ef991; A9701: $subjectAlternativeNames[] = sprintf("\167\167\x77\x2e\x25\x73", $domainName); goto A3d90; Ee8f8: $certificateEntity = $this->certificateEntityManager->createEntity(); goto d4f1f; a96dc: Ec2cf: goto c3465; A1e8c: E1245: goto a786c; c3a8d: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\57\56\x2e\x2f\x72\145\163\x6f\x75\x72\x63\x65\x73\x2f\156\147\151\x6e\x78\x2f\x76\150\157\163\164\137\164\145\x6d\x70\154\141\x74\145\57\162\145\x64\x69\x72\x65\143\164\55\x68\164\x74\x70\x33"); goto A1e8c; F14e1: F0e67: goto Ac9e1; ec558: $nodejsSiteCreator->reloadNginxService(); goto Db960; ccba7: $siteEntity = $this->siteEntityManager->createEntity(); goto Aadf0; Ad9ef: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto D01d5; c2bd1: } catch (\Exception $e) { goto Dde36; fb75e: $output->writeln(sprintf("\x3c\145\162\162\x6f\162\x3e\45\x73\x3c\x2f\x65\x72\162\157\x72\x3e", $errorMessage)); goto fe785; fe785: return SiteCommand::FAILURE; goto bdd43; Dde36: $errorMessage = $e->getMessage(); goto fb75e; bdd43: } } }
