<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Site\ReverseProxySite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\ReverseProxyTemplate as ReverseProxyVhostTemplate; use App\Site\Creator\ReverseProxySite as ReverseProxySiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddReverseProxyCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x52\145\x76\145\162\x73\x65\x50\x72\x6f\170\171"; protected function configure() : void { goto e65c1; fb536: $this->setDescription("\143\x6c\x70\143\164\x6c\x20\x73\151\164\145\x3a\141\144\144\72\162\x65\166\x65\162\x73\x65\x2d\x70\x72\x6f\x78\x79\x20\55\x2d\x64\157\x6d\x61\151\156\x4e\x61\x6d\145\75\x77\x77\167\56\144\x6f\155\141\151\x6e\x2e\143\x6f\x6d\x20\x2d\x2d\162\x65\x76\x65\162\x73\145\x50\x72\157\170\x79\125\162\x6c\75\47\150\164\164\160\x3a\x2f\x2f\61\x32\67\x2e\x30\x2e\x30\x2e\x31\x3a\70\x30\x30\x30\x27\x20\x2d\55\163\151\164\x65\x55\x73\x65\162\x3d\x6a\x6f\150\x6e\x20\55\55\x73\x69\164\x65\x55\x73\x65\x72\120\141\x73\x73\167\157\162\x64\x3d\47\x21\163\x65\143\x72\145\x74\x50\x61\163\163\167\x6f\162\144\41\47"); goto Ead4d; e65c1: $this->setName("\163\151\164\x65\x3a\x61\x64\144\72\x72\145\166\145\x72\163\145\55\160\162\157\170\171"); goto fb536; fc852: $this->addOption("\163\x69\164\x65\x55\163\145\x72\x50\141\163\163\167\x6f\x72\x64", null, InputOption::VALUE_REQUIRED); goto bac62; Ead4d: $this->setComment("\x41\x64\x64\151\156\147\x20\x61\x20\x52\x65\166\145\162\163\x65\x20\x50\x72\157\170\171"); goto b7625; f5b47: $this->addOption("\162\145\x76\145\x72\163\145\x50\x72\157\170\x79\x55\162\x6c", null, InputOption::VALUE_REQUIRED); goto E270c; E270c: $this->addOption("\x73\151\x74\x65\x55\163\x65\x72", null, InputOption::VALUE_REQUIRED); goto fc852; b7625: $this->addOption("\x64\x6f\x6d\x61\151\156\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto f5b47; bac62: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto D5144; Ba4f6: $siteEntity->setVhostTemplate($vhostTemplate); goto Baf95; C80cb: ccb01: goto A6b61; ac4bb: $siteEntity = $this->siteEntityManager->createEntity(); goto Ff788; ef9d6: dec0b: goto Dc80b; Bd6f0: $vhostTemplate->build(); goto Dec80; e44c0: $reversProxySiteCreator->createNginxVhost(); goto E4475; e662d: bed7e: goto a7cd7; a32a6: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto Bd6f0; C18f8: $rsaKeyGenerator = new RsaKeyGenerator(); goto D4711; Af719: $vhostTemplate = sprintf("\x25\x73\45\163", $redirectionVhostTemplate, $vhostTemplate); goto d7942; E1864: $siteEntity->setDomainName($domainName); goto D3950; e360f: C8590: goto Ba4f6; Abbd4: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto E9401; D3950: $siteEntity->setUser($siteUser); goto b7968; Ade0e: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto C98dc; B6507: $siteUserPassword = trim($input->getOption("\163\x69\164\x65\125\x73\145\162\x50\141\163\163\x77\157\162\x64")); goto aa0c7; Dec80: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto ea07a; D4711: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto d39ef; Abea2: $subdomain = $resolvedDomainName->subDomain()->toString(); goto A7a61; A2315: $reverseProxySite->setRegistrableDomain($registrableDomain); goto c4ab2; D7fcb: goto e9bd8; goto C80cb; a50f6: $reversProxySiteCreator->resetPermissions(); goto ea419; fdf51: $reverseProxySite->setUserPassword($siteEntity->getUserPassword()); goto f2c84; Fd398: if (!(true === is_null($subdomain))) { goto Bb0d2; } goto D6308; E9dae: Beba3: goto c7a2c; e0f62: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto B7070; Df65c: $csr = $csrGenerator->generate(); goto b0a68; C1258: Aff2e: goto ae4cd; D5144: $this->validateInput($input); goto C6349; e0008: $output->writeln(sprintf("\x3c\x69\156\146\157\76\123\x69\x74\x65\x3c\57\x69\x6e\x66\x6f\76\x20\74\143\157\155\155\x65\156\164\76\x25\163\x3c\x2f\143\x6f\x6d\155\145\156\164\76\40\74\151\156\146\x6f\76\150\141\x73\x20\142\x65\145\156\40\141\144\144\145\144\56\74\x2f\151\156\x66\x6f\x3e", $domainName)); goto Efe40; C7f61: $reverseProxySite->setUser($siteEntity->getUser()); goto fdf51; e6256: goto Beba3; goto e662d; a12b5: $reversProxySiteCreator->createPrivateKeyAndCertificate(); goto e44c0; fd7b1: if (!(false === empty($redirectionVhostTemplate))) { goto d740f; } goto Af719; A3ac4: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Abea2; Ff788: $siteEntity->setType(SiteEntity::TYPE_REVERSE_PROXY); goto E1864; c2f9a: $subjectAlternativeNames[] = $registrableDomain; goto c95e9; c4ab2: $reverseProxySite->setSubdomain($subdomain); goto b0d5c; bed57: $siteEntity->setRootDirectory($rootDirectory); goto cb465; d39ef: $subjectAlternativeNames = []; goto Fd398; cec34: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\x2f\x2e\56\x2f\x72\145\x73\x6f\165\x72\143\145\x73\x2f\x6e\x67\x69\x6e\170\x2f\x76\x68\x6f\163\x74\137\164\x65\155\160\154\141\164\145\x2f\162\145\144\x69\x72\145\143\x74"); goto e6256; e54a9: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto Ed7c1; b0a68: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto bcb92; c95e9: Fbbf5: goto fff20; D6308: $subjectAlternativeNames[] = sprintf("\x77\x77\167\x2e\x25\x73", $domainName); goto Fabd6; f2c84: $reverseProxySite->setDomainName($domainName); goto A2315; Efe40: return SiteCommand::SUCCESS; goto C1258; A6b61: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto ac4bb; d7942: d740f: goto e360f; ae4cd: e9bd8: goto eb082; A9fc5: if (!(false === is_null($subdomain) && "\167\167\x77" == $subdomain)) { goto Fbbf5; } goto c2f9a; cb465: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto Dd4fe; b7968: $siteEntity->setUserPassword($siteUserPassword); goto bed57; Fabd6: Bb0d2: goto A9fc5; bb01d: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Df65c; e27b0: $rootDirectory = $domainName; goto bf1d3; aa0c7: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto A3ac4; D499a: throw new \Exception(sprintf("\126\150\x6f\x73\164\40\124\145\155\x70\154\x61\x74\145\x20\x22\45\163\x22\40\x64\157\x65\163\40\x6e\157\164\x20\x65\170\x69\x73\164\56", $vhostTemplate)); goto D7fcb; F2da7: $reverseProxySite = new ReverseProxySite(); goto C7f61; bcb92: $certificateEntity->setDefaultCertificate(true); goto e0f62; Dd4fe: if (!(true === is_null($subdomain) || "\167\x77\x77" == $subdomain)) { goto C8590; } goto efc11; E9401: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto a32a6; a7cd7: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\56\57\56\56\57\x72\x65\x73\x6f\165\162\x63\145\163\x2f\x6e\147\x69\x6e\170\x2f\166\x68\157\163\164\137\164\145\155\160\x6c\x61\x74\145\57\x72\x65\144\151\162\x65\x63\x74\x2d\150\x74\x74\160\x33"); goto E9dae; E9c95: $reversProxySiteCreator->createRootDirectory(); goto cf172; a5609: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto e27b0; Cdda0: $reverseProxySite->setVhostTemplate($siteEntity->getVhostTemplate()); goto F03d8; e58ac: $certificateEntity->setSite($siteEntity); goto C18f8; cf172: $reversProxySiteCreator->createLogrotateFile(); goto a12b5; A7a61: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Ea19f; E4475: $reversProxySiteCreator->reloadNginxService(); goto a50f6; Dc80b: $certificateEntity = $this->certificateEntityManager->createEntity(); goto e58ac; Ea19f: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto ab644; Baf95: $siteConstraints = $this->validator->validate($siteEntity); goto bfe1f; ab644: if (false === is_null($vhostTemplateEntity)) { goto ccb01; } goto D499a; Fbb77: goto Aff2e; goto ef9d6; F03d8: $reversProxySiteCreator = new ReverseProxySiteCreator($reverseProxySite); goto A3ca9; bf1d3: $reverseProxyUrl = trim($input->getOption("\162\145\166\145\x72\x73\x65\x50\x72\x6f\170\x79\125\162\154")); goto bd625; ec259: $reverseProxySite->setCertificate($certificateEntity); goto dac11; fff20: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto bb01d; ae434: $constraints = new ConstraintViolationList(); goto Ac983; c7a2c: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto fd7b1; C6349: $domainName = mb_strtolower(trim($input->getOption("\x64\x6f\x6d\x61\151\x6e\116\141\x6d\145"))); goto a5609; A3ca9: $reversProxySiteCreator->createUser(); goto E9c95; Fbf9a: return $this->renderConstraints($constraints, $output); goto Fbb77; bd625: $siteUser = trim($input->getOption("\x73\151\164\x65\x55\163\x65\x72")); goto B6507; Cb907: $siteEntity->setCertificate($certificateEntity); goto F2da7; Ac983: $constraints->addAll($siteConstraints); goto Fbf9a; ea419: $vhostTemplate = new ReverseProxyVhostTemplate($reverseProxySite); goto Ade0e; b0d5c: $reverseProxySite->setRootDirectory($siteEntity->getRootDirectory()); goto ec259; bfe1f: if (0 == count($siteConstraints)) { goto dec0b; } goto ae434; ea07a: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto b0ba4; B7070: $certificateEntity->setCsr($csr); goto e54a9; efc11: if (true === isset($_ENV["\x41\x50\120\x5f\110\124\124\120\x33"]) && "\x74\x72\x75\145" === $_ENV["\101\x50\120\137\110\x54\124\120\x33"]) { goto bed7e; } goto cec34; C98dc: $vhostTemplate->resetProcessors(); goto Abbd4; dac11: $reverseProxySite->setReverseProxyUrl($reverseProxyUrl); goto Cdda0; Ed7c1: $certificateEntity->setCertificate($selfSignedCertificate); goto Cb907; b0ba4: $this->siteEntityManager->updateEntity($siteEntity); goto e0008; eb082: } catch (\Exception $e) { goto A7305; cb7b7: return SiteCommand::FAILURE; goto a4cc5; A4518: $output->writeln(sprintf("\x3c\145\x72\162\157\x72\x3e\45\163\74\x2f\x65\162\162\x6f\162\x3e", $errorMessage)); goto cb7b7; A7305: $errorMessage = $e->getMessage(); goto A4518; a4cc5: } } }
