<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto Ba34c; Ba34c: $this->domainNameParser = $domainNameParser; goto d3274; A21b7: $this->certificateEntityManager = $certificateEntityManager; goto e1dba; e1dba: $this->databaseServerEntityManager = $databaseServerEntityManager; goto d2054; d3274: $this->siteEntityManager = $siteEntityManager; goto A21b7; d2054: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto Ac8a7; A877c: parent::__construct(); goto Ed4a7; Ac8a7: $this->validator = $validator; goto A877c; Ed4a7: } protected function configure() : void { $this->setName("\163\151\x74\x65\x3a\164\155\x70"); } protected function getSite(string $domainName) : ?Site { goto Eacea; eacb6: $subdomain = $resolvedDomainName->subDomain()->toString(); goto A5ff6; A5ff6: $subdomain = false === empty($subdomain) ? $subdomain : null; goto F7c76; b64ee: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto B2f74; cdd0c: $site->setBasicAuth($siteEntity->getBasicAuth()); goto F458d; e2089: $site->setBlockedIps($siteEntity->getBlockedIps()); goto B2649; d41e6: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto eacb6; Be928: a4243: goto cd22e; A6e4d: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto Fe704; Fe704: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto d6935; F7c76: $siteDatabases = $this->getSiteDatabases($siteEntity); goto D971a; f2c4e: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Fd9e6; E8ca9: if (false === is_null($siteEntity)) { goto E68ce; } goto aa587; B9717: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto bf3f0; bf3f0: $site = new NodejsSite(); goto f12f3; bdf25: goto a4243; goto Cdd89; f12f3: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto bdf25; Cdd89: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto a4243; case SiteEntity::TYPE_PHP: goto b6076; af7f3: goto a4243; goto da0cf; D9969: $site->setVarnishCache($siteEntity->getVarnishCache()); goto af7f3; b4b35: $site->setPhpSettings($siteEntity->getPhpSettings()); goto D9969; b6076: $site = new PhpSite(); goto b4b35; da0cf: case SiteEntity::TYPE_PYTHON: goto Aa673; Cf93f: $site->setPythonSettings($siteEntity->getPythonSettings()); goto b7c41; b7c41: goto a4243; goto f3d32; Aa673: $site = new PythonSite(); goto Cf93f; f3d32: case SiteEntity::TYPE_REVERSE_PROXY: goto cc395; Aa431: goto a4243; goto Ceb1a; cc395: $site = new ReverseProxySite(); goto f68ae; f68ae: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto Aa431; Ceb1a: } goto D5641; aa587: throw new \Exception(sprintf("\x53\151\164\x65\40\x22\x25\x73\x22\40\x64\x6f\x65\x73\x20\156\157\164\40\145\x78\151\x73\164\56", $domainName)); goto aad96; B44e9: $site->setDomainName($siteEntity->getDomainName()); goto f7def; D5641: aa2a2: goto Be928; be29d: $site->setSubdomain($subdomain); goto f2c4e; D971a: $site->setUser($siteEntity->getUser()); goto B44e9; B2649: $site->setCertificate($siteEntity->getCertificate()); goto ef889; D470d: A9901: goto Cf58d; B2f74: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto A6e4d; Fe604: $siteType = $siteEntity->getType(); goto B9717; edbfd: $siteEntity = $this->getSiteEntity($domainName); goto E8ca9; cd22e: if (!(false === is_null($site))) { goto c3682; } goto B5dbf; B5f6d: $site->setFtpUsers($siteEntity->getFtpUsers()); goto c2a51; B5dbf: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto d41e6; c2a51: $site->setSshUsers($siteEntity->getSshUsers()); goto b64ee; Cf58d: return $site; goto A0833; d6935: c3682: goto D470d; F458d: $site->setBlockedBots($siteEntity->getBlockedBots()); goto e2089; ef889: $site->setCertificates($siteEntity->getCertificates()); goto B3dc2; Eacea: $site = null; goto edbfd; fc783: E68ce: goto Fe604; Fd9e6: $site->setDatabases($siteDatabases); goto cdd0c; f7def: $site->setRegistrableDomain($registrableDomain); goto be29d; aad96: goto A9901; goto fc783; B3dc2: $site->setCronJobs($siteEntity->getCronJobs()); goto B5f6d; A0833: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto F2920; F2920: $siteDatabases = new ArrayCollection(); goto ff852; Cdda8: return $siteDatabases; goto fcae3; fc614: c9864: goto Cdda8; ff852: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F75e8; F75e8: $databaseEntities = $siteEntity->getDatabases(); goto Fc444; Fc444: foreach ($databaseEntities as $databaseEntity) { goto E1b5e; E1b5e: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto ec09b; B2643: ff1e9: goto A19b3; ec09b: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto ff1e9; } goto F69fb; A19b3: c1c42: goto Cadca; F69fb: $siteDatabases->add($databaseEntity); goto B2643; Cadca: } goto fc614; fcae3: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto cd8f4; Ba013: $siteType = $site->getType(); goto b560f; b560f: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto f1673; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto f1673; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto f1673; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto f1673; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto f1673; } goto a574c; be5f6: return $siteDeleter; goto d059d; a574c: Ae5d3: goto d0d54; d0d54: f1673: goto be5f6; cd8f4: $siteDeleter = null; goto Ba013; d059d: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto D182e; f7603: Cb427: goto C340f; D182e: $siteUpdater = null; goto d6a07; d6a07: $siteType = $site->getType(); goto dddba; dddba: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Cb427; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Cb427; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Cb427; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Cb427; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Cb427; } goto Ccb80; C340f: return $siteUpdater; goto bf15c; Ccb80: e10ca: goto f7603; bf15c: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\x73\145\162", "\x73\151\164\145\x55\x73\145\x72", $constraints); $this->changePropertyPath("\x75\163\x65\x72\120\x61\163\163\167\x6f\x72\144", "\x73\x69\x74\x65\x55\163\x65\162\x50\x61\163\x73\167\157\162\144", $constraints); } }
