<?php
 namespace App\Controller\Admin; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\Form\Form; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Connection as DatabaseConnection; use App\Entity\Manager\ConfigManager; use App\Entity\Certificate as CertificateEntity; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Security\Admin\CustomDomain as AdminCustomDomain; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\Certificate; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\Util\Openssl; class SettingsController extends Controller { private ConfigManager $configManager; private DatabaseServerEntityManager $databaseServerEntityManager; public function __construct(ConfigManager $configManager, DatabaseServerEntityManager $databaseServerEntityManager, TranslatorInterface $translator, Logger $logger) { goto bdc7f; f479c: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ac26a; Ac26a: parent::__construct($translator, $logger); goto abf21; bdc7f: $this->configManager = $configManager; goto f479c; abf21: } public function settings(Request $request) : Response { goto Aa997; c5e05: $customDomainForm = $this->createCustomDomainForm($customDomainData); goto F4fce; e0a3f: return $response; goto B8060; Ddd76: $customDomainForm->handleRequest($request); goto abfa4; F4fce: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto cb7e9; } goto Ddd76; F6fc2: $response = $this->handleCustomDomainForm($request, $customDomainForm); goto A8314; cc81f: c6a05: goto d363d; d363d: cb7e9: goto bb26b; B8060: Ee93e: goto cc81f; A8314: if (!(false === is_null($response))) { goto Ee93e; } goto e0a3f; faba4: return $response; goto f3c55; abfa4: if (!(true === $customDomainForm->isSubmitted())) { goto c6a05; } goto F6fc2; a74c8: $customDomainData = ["\x64\x6f\155\x61\x69\x6e\116\141\x6d\x65" => false === is_null($customDomainName) ? $customDomainName : '']; goto c5e05; Aa997: $customDomainName = $this->configManager->get("\143\165\x73\164\157\x6d\137\x64\x6f\x6d\141\x69\x6e"); goto a74c8; bb26b: $response = $this->render("\x41\x64\x6d\x69\156\x2f\123\x65\x74\164\x69\156\x67\163\x2f\x69\156\144\x65\170\56\150\x74\x6d\x6c\x2e\164\x77\151\x67", ["\x63\x75\x73\164\x6f\155\104\x6f\x6d\141\151\156\x46\157\162\155" => $customDomainForm->createView(), "\146\157\162\155\x45\x72\x72\x6f\162\x73" => $this->formErrors]); goto faba4; f3c55: } private function createCustomDomainForm(array $data) : Form { goto bff52; ae191: $form->add("\163\165\142\155\151\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\x61\163\163" => "\x62\164\x6e\x20\x62\164\156\x2d\x62\x6c\x75\145\x20\142\164\x6e\x2d\154\x67"], "\154\x61\x62\145\x6c" => "\x53\141\x76\x65"]); goto Bb55c; Bb55c: return $form; goto f727f; bff52: $form = $this->createForm("\101\160\160\x5c\x46\x6f\x72\155\134\101\144\155\x69\156\x43\165\163\164\x6f\155\104\x6f\155\141\x69\156\123\x65\164\x74\x69\x6e\x67\x73\124\x79\x70\x65", $data, ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\143\x6c\x70\x5f\x61\144\155\x69\156\137\x73\145\164\x74\x69\156\147\163"), "\155\x65\164\x68\157\x64" => "\120\x4f\x53\x54", "\x61\164\x74\x72" => []]); goto ae191; f727f: } private function handleCustomDomainForm(Request $request, Form $form) { goto A84d6; be021: try { goto D390a; f2b7e: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Ef15c; fb643: $rsaKeyGenerator = new RsaKeyGenerator(); goto D5967; Ef15c: $letsEncryptClient->registerAccount(); goto F2d64; E7cac: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\163\x3a\x20\45\x73", $domain, $validationErrorMessage))); d9657: } goto E32dc; C2d3f: if (false === empty($domainName)) { goto Ed61a; } goto b1a90; F6ae7: $eventData = ["\144\x6f\155\x61\151\x6e\116\141\155\145" => $domainName]; goto e38d0; Da960: $adminCustomDomain->deleteLetsEncryptChallengeFiles(); goto df5d4; E4cfd: $csr = $csrGenerator->generate(); goto ab4f4; e38d0: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_ENABLE, $user, $eventData, $request); goto ed943; d7673: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto E4cfd; a42e6: ab7e7: goto C8b85; b05c3: $vhostTemplate = file_get_contents($vhostTemplateFile); goto f6d1c; d37c3: $response = $this->redirect($this->generateUrl("\x63\154\160\137\141\x64\155\151\x6e\x5f\163\x65\x74\164\151\156\x67\x73")); goto acd31; D390a: $user = $this->getUser(); goto c2388; Ef912: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto D7f2f; ed943: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\163", $this->translator->trans("\x43\x6c\157\x75\144\120\x61\156\x65\x6c\x20\x43\x75\163\164\157\155\40\x44\x6f\155\x61\151\156\x20\150\141\163\40\x62\145\x65\156\40\x73\141\166\145\x64\56")); goto d37c3; E405d: $adminCustomDomain->delete(); goto E7cac; B924a: be0ee: goto Ece58; b1a90: $adminCustomDomain = new AdminCustomDomain(); goto Ced25; ac0e3: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto f2b7e; f3b89: $adminCustomDomain->reloadNginx(); goto c0c9a; C9f13: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\141\x64\x6d\151\x6e\137\163\145\x74\x74\151\x6e\147\163")); goto Ccf6c; c2388: $session = $request->getSession(); goto b577b; c0c9a: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto A8d2d; A8d2d: if (true === empty($validationErrors)) { goto ab7e7; } goto f7992; Ced25: $adminCustomDomain->delete(); goto df510; b0803: $this->formErrors = $this->getErrorMessages($form); goto b1291; df5d4: $adminCustomDomain->createLetsEncryptChallengeFiles($certificateOrder); goto Ab012; d68cd: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\x73", $this->translator->trans("\x43\x6c\157\165\x64\x50\x61\156\x65\x6c\x20\x43\x75\163\x74\157\155\x20\104\x6f\155\x61\x69\x6e\40\150\x61\163\x20\x62\145\x65\156\x20\x73\141\166\145\x64\x2e")); goto C9f13; add21: $this->configManager->set("\143\x75\163\164\x6f\155\137\144\157\x6d\x61\151\156", $domainName); goto F6ae7; E6865: $certificate->setPrivateKey($privateKey->getPEM()); goto B383d; Ccf6c: return $response; goto dbb46; b4a1d: $adminCustomDomain->writeMotdFile($domainName); goto f7e3d; C8b85: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto Ef912; eba2d: $adminCustomDomain = new AdminCustomDomain(); goto C2d3f; f7992: $adminCustomDomain = new AdminCustomDomain(); goto E405d; F5bc5: Ed61a: goto c53a6; A74d7: $vhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\57\x2e\x2e\x2f\56\x2e\57\162\145\x73\157\x75\x72\x63\145\x73\x2f\156\147\x69\x6e\170\57\166\x68\157\x73\164\137\164\145\155\x70\154\141\x74\145\x2f\x63\x75\163\164\x6f\x6d\55\x64\x6f\155\x61\x69\x6e"); goto b05c3; df510: $this->configManager->delete("\x63\165\163\x74\x6f\155\x5f\x64\157\155\x61\x69\156"); goto b6dc8; e9aa2: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto f3b89; Ab012: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto e9aa2; b1291: goto F4d82; goto a42e6; b644e: $certificate = new Certificate(); goto E6865; b577b: $domainName = $form->get("\144\x6f\x6d\141\151\156\x4e\141\155\145")->getData(); goto eba2d; B383d: $certificate->setCertificate($selfSignedCertificate); goto Da960; E32dc: C1586: goto b0803; D5967: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto d7673; Fdce0: $letsEncryptPrivateKey = $this->configManager->get("\154\145\x5f\x70\162\x69\x76\141\164\145\x5f\153\x65\171"); goto ac0e3; F2d64: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto A74d7; dd75d: F4d82: goto B924a; dbb46: goto be0ee; goto F5bc5; D7f2f: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto b4a1d; acd31: return $response; goto dd75d; B7e0e: $commonName = array_shift($distinguishedNameDomains); goto Cc868; b6dc8: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_DISABLE, $user, [], $request); goto d68cd; c53a6: $domains = [$domainName]; goto Fdce0; Cc868: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto fb643; ab4f4: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto b644e; f7e3d: $adminCustomDomain->reloadNginx(); goto add21; f6d1c: $distinguishedNameDomains = $domains; goto B7e0e; Ece58: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\101\156\40\x65\162\x72\157\162\x20\x68\x61\x73\40\157\x63\x63\x75\x72\162\145\144\54\40\145\162\x72\157\162\x20\155\x65\x73\x73\x61\x67\145\x3a\40\45\145\162\x72\x6f\162\x4d\x65\x73\x73\141\147\x65\45", ["\45\x65\162\162\x6f\x72\115\145\163\163\141\x67\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($adminCustomDomain))) { goto Ac18a; } $adminCustomDomain->deleteLetsEncryptChallengeFiles(); Ac18a: } goto c7a62; E94c9: Da452: goto be021; A84d6: if (true === $form->isValid()) { goto Da452; } goto afb21; afb21: $this->formErrors = $this->getErrorMessages($form); goto A57a2; A57a2: goto Cb661; goto E94c9; c7a62: Cb661: goto a6e77; a6e77: } public function databaseServers(Request $request) : Response { goto a0b56; Ddadd: return $response; goto ca13f; bc253: $response = $this->render("\101\144\x6d\x69\x6e\x2f\x53\145\164\x74\x69\156\x67\163\x2f\104\x61\164\x61\x62\x61\x73\145\x2d\123\x65\x72\x76\x65\162\x73\57\x69\x6e\x64\x65\170\x2e\150\164\155\154\56\164\167\151\x67", ["\x64\141\164\x61\x62\141\x73\145\x53\145\162\166\145\x72\163" => $databaseServers]); goto Ddadd; a0b56: $databaseServers = $this->databaseServerEntityManager->findAll([], ["\x68\157\x73\164" => "\x41\x53\x43"]); goto bc253; ca13f: } public function addDatabaseServer(Request $request) : Response { goto af1a4; f39fc: $form->handleRequest($request); goto C1a0a; B06c3: A7845: goto Caf4b; C1a0a: if (!(true === $form->isSubmitted())) { goto B514a; } goto Ecd7a; Ecd7a: $response = $this->handleDatabaseServerForm($request, $form); goto Acdab; af1a4: $databaseServerEntity = $this->databaseServerEntityManager->createEntity(); goto F5ba2; Fb766: return $response; goto ed7fe; ac634: return $response; goto Cc09a; F5ba2: $form = $this->createDatabaseServerForm($databaseServerEntity); goto c0d0d; Acdab: if (!(false === is_null($response))) { goto ec9b8; } goto Fb766; ed7fe: ec9b8: goto B3641; Caf4b: $response = $this->render("\x41\x64\155\x69\x6e\57\123\x65\x74\164\x69\x6e\147\163\57\x44\141\x74\141\x62\x61\x73\145\55\123\x65\162\166\x65\162\163\x2f\x61\x64\144\x2e\x68\x74\x6d\154\56\164\x77\151\147", ["\146\x6f\162\x6d" => $form->createView(), "\146\x6f\162\155\105\162\162\x6f\162\x73" => $this->formErrors]); goto ac634; c0d0d: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto A7845; } goto f39fc; B3641: B514a: goto B06c3; Cc09a: } private function createDatabaseServerForm(DatabaseServerEntity $databaseServerEntity) : Form { goto b70c3; f79a8: return $form; goto ac572; aa0b6: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\x61\163\x73" => "\x62\164\156\x20\142\x74\156\x2d\x62\x6c\x75\x65\40\x62\164\x6e\x2d\x6c\x67"], "\154\x61\142\145\154" => "\x41\144\x64\40\104\141\x74\141\x62\141\163\145\x20\x53\x65\162\166\x65\x72"]); goto f79a8; b70c3: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\155\134\x41\x64\155\x69\156\104\141\164\141\142\x61\163\145\123\x65\162\166\x65\x72\124\171\160\x65", $databaseServerEntity, ["\x61\143\x74\x69\157\156" => $this->generateUrl("\x63\154\x70\x5f\x61\x64\x6d\x69\156\x5f\144\x61\164\141\142\x61\x73\x65\137\163\145\x72\166\x65\162\x5f\141\144\144"), "\155\x65\x74\150\157\x64" => "\x50\117\123\124", "\141\164\164\162" => []]); goto aa0b6; ac572: } private function handleDatabaseServerForm(Request $request, Form $form) { goto D5db1; B53c5: c8f39: goto e90ea; D5db1: if (true === $form->isValid()) { goto A0f0d; } goto B01fa; C01d3: try { goto B3a14; df094: $eventData = ["\x68\157\x73\164" => $databaseServerEntity->getHost(), "\165\163\x65\x72\116\x61\x6d\x65" => $databaseServerEntity->getUserName(), "\x70\x6f\x72\164" => $databaseServerEntity->getPort(), "\145\x6e\x67\x69\156\145" => $engine, "\x76\145\x72\163\x69\157\156" => $version]; goto eb5a2; aba99: $databaseServerEntity->setVersion($version); goto Cff92; Cff92: $databaseServerEntity->setIsDefault(false); goto df094; e3450: $databaseServerEntity = $form->getData(); goto d8dc3; Dd406: return $response; goto Abb77; f75b0: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto ce55b; d8dc3: $password = $databaseServerEntity->getPassword(); goto D8912; Df182: $version = $databaseConnection->getVersion(); goto F0d08; c61cd: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto A6a2f; B3a14: $user = $this->getUser(); goto c0d13; Ab838: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x61\x64\x6d\x69\156\137\144\x61\164\x61\142\x61\163\x65\x5f\x73\145\x72\166\x65\162\163")); goto Dd406; F0d08: $databaseServerEntity->setEngine($engine); goto aba99; D8912: $encryptedPassword = Crypto::encrypt($password); goto Ffa2f; Ffa2f: $databaseServerEntity->setPassword($encryptedPassword); goto f75b0; ce55b: $engine = $databaseConnection->getEngine(); goto Df182; c0d13: $session = $request->getSession(); goto e3450; A6a2f: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\104\x61\x74\x61\x62\141\163\145\x20\123\145\x72\166\x65\162\x20\x68\141\x73\x20\x62\145\x65\x6e\40\141\144\144\x65\144\x2e")); goto Ab838; eb5a2: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_ADD, $user, $eventData, $request); goto c61cd; Abb77: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\145\162\x72\x6f\162\40\x68\141\x73\x20\157\143\143\x75\x72\162\145\x64\x2c\x20\145\x72\x72\157\x72\x20\x6d\145\x73\x73\x61\x67\145\x3a\40\45\145\x72\162\x6f\162\x4d\145\x73\163\x61\147\x65\x25", ["\x25\145\x72\162\157\x72\x4d\x65\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto B53c5; B1c2f: goto c8f39; goto a1050; B01fa: $this->formErrors = $this->getErrorMessages($form); goto B1c2f; a1050: A0f0d: goto C01d3; e90ea: } public function editDatabaseServer(Request $request) : Response { goto e38ee; abd83: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto F8e8d; } goto f327b; de126: if (true === is_null($databaseServerEntity)) { goto D9ab1; } goto cfdb5; f1496: $response = $this->render("\101\x64\x6d\151\156\x2f\123\145\x74\x74\x69\156\x67\163\x2f\x44\x61\164\x61\142\x61\163\145\x2d\x53\x65\x72\166\x65\162\163\x2f\145\144\x69\164\56\x68\x74\155\x6c\56\164\167\x69\x67", ["\x64\141\164\x61\142\x61\x73\x65\x53\x65\x72\166\x65\162" => $databaseServerEntity, "\146\x6f\162\155" => $form->createView(), "\146\x6f\x72\155\x45\x72\x72\157\x72\163" => $this->formErrors]); goto eb657; A6f71: D9ab1: goto dac8f; f327b: $form->handleRequest($request); goto aad38; dac8f: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\141\144\155\151\156\137\x64\141\x74\x61\x62\x61\x73\145\x5f\163\145\162\x76\145\x72\163")); goto faa91; aad38: if (!(true === $form->isSubmitted())) { goto D9980; } goto d7d35; fb196: return $response; goto b31c0; cfdb5: $databaseServerEntity->setPassword(''); goto cfc97; fb642: goto a0e71; goto A6f71; Acd7a: if (!(false === is_null($response))) { goto d55ac; } goto fb196; A4603: a0e71: goto F1d48; eb657: return $response; goto fb642; Fe7b3: F8e8d: goto f1496; e38ee: $id = (int) $request->get("\151\144"); goto F512e; c78fe: D9980: goto Fe7b3; F512e: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto de126; cfc97: $form = $this->createDatabaseServerEditForm($databaseServerEntity); goto abd83; faa91: return $response; goto A4603; d7d35: $response = $this->handleDatabaseServerEditForm($request, $form); goto Acd7a; b31c0: d55ac: goto c78fe; F1d48: } private function createDatabaseServerEditForm(DatabaseServerEntity $databaseServerEntity) : Form { goto d40f5; d40f5: $form = $this->createForm("\x41\x70\160\134\x46\157\x72\x6d\x5c\x41\144\155\x69\156\104\141\x74\x61\142\x61\x73\145\123\145\162\x76\x65\162\x45\144\151\164\x54\x79\x70\145", $databaseServerEntity, ["\x61\x63\164\151\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\141\x64\x6d\151\156\x5f\144\x61\x74\x61\x62\141\163\145\137\163\145\x72\166\x65\162\x5f\145\x64\151\164", ["\x69\144" => $databaseServerEntity->getId()]), "\155\x65\x74\150\x6f\x64" => "\x50\117\x53\124", "\x61\164\164\162" => []]); goto be6bf; C48b2: return $form; goto f8017; be6bf: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\x61\x73\x73" => "\x62\x74\156\x20\142\164\156\55\x62\154\165\145\x20\142\x74\x6e\55\x6c\x67"], "\x6c\141\142\145\x6c" => "\x53\141\166\x65"]); goto C48b2; f8017: } private function handleDatabaseServerEditForm(Request $request, Form $form) { goto c2fe0; E844e: try { goto e80d1; C62f3: $databaseServerEntity->setIsDefault(false); goto A4434; Ecacd: $databaseServerEntity = $form->getData(); goto E2525; b1734: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\x44\x61\164\141\142\141\x73\145\x20\123\x65\x72\166\145\x72\40\x68\x61\163\40\142\145\x65\x6e\40\165\160\x64\141\x74\145\144\56")); goto a9e0e; A4434: $eventData = ["\x68\157\x73\x74" => $databaseServerEntity->getHost(), "\165\163\x65\162\116\141\x6d\x65" => $databaseServerEntity->getUserName(), "\x70\x6f\162\164" => $databaseServerEntity->getPort(), "\x65\x6e\147\x69\156\x65" => $engine, "\x76\x65\x72\163\x69\157\x6e" => $version]; goto A228b; a9e0e: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x61\x64\x6d\151\x6e\x5f\x64\x61\x74\x61\x62\x61\163\x65\137\x73\x65\x72\166\145\x72\x73")); goto e4bce; d09d2: $databaseServerEntity->setVersion($version); goto C62f3; F747c: $databaseServerEntity->setPassword($encryptedPassword); goto d9989; d9989: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto C4f7e; ee5ab: $session = $request->getSession(); goto Ecacd; e4bce: return $response; goto fb1a8; Ad40d: $encryptedPassword = Crypto::encrypt($password); goto F747c; fdfa9: $version = $databaseConnection->getVersion(); goto Bbf04; Bbf04: $databaseServerEntity->setEngine($engine); goto d09d2; C4f7e: $engine = $databaseConnection->getEngine(); goto fdfa9; d9830: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto b1734; A228b: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_EDIT, $user, $eventData, $request); goto d9830; E2525: $password = $databaseServerEntity->getPassword(); goto Ad40d; e80d1: $user = $this->getUser(); goto ee5ab; fb1a8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\101\x6e\x20\145\162\x72\157\162\40\x68\141\x73\40\157\143\143\165\x72\162\145\x64\54\x20\145\162\162\157\162\x20\155\x65\163\x73\x61\147\145\72\x20\45\x65\162\162\157\x72\115\x65\163\x73\x61\147\145\45", ["\x25\145\162\x72\x6f\162\x4d\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto D1cca; De765: goto c3732; goto f7227; f7227: d0b3d: goto E844e; D1cca: c3732: goto b25fd; d8084: $this->formErrors = $this->getErrorMessages($form); goto De765; c2fe0: if (true === $form->isValid()) { goto d0b3d; } goto d8084; b25fd: } public function setDatabaseServerActive(Request $request) : Response { goto e458c; Bd008: if (!(false === is_null($databaseServerEntity))) { goto A9ff7; } goto Ec8fb; c346c: try { goto b37fb; D135e: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_CHANGE, $user, $eventData, $request); goto D1a9e; Cc26f: $this->databaseServerEntityManager->updateEntity($activeDatabaseServerEntity); goto c3b2b; C11c3: $session = $request->getSession(); goto af37e; fc999: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto Cc26f; D1a9e: $session->getFlashBag()->set("\163\165\x63\x63\x65\163\163", $this->translator->trans("\x44\x61\164\x61\x62\x61\x73\145\40\123\145\x72\166\145\x72\40\x68\141\x73\40\x62\145\x65\156\x20\143\150\141\156\147\x65\x64\x2e")); goto E53d3; af37e: $databaseServerEntity->setIsActive(true); goto d8732; b37fb: $user = $this->getUser(); goto C11c3; c3b2b: $eventData = ["\x6f\154\144\110\x6f\x73\x74" => $activeDatabaseServerEntity->getHost(), "\x6f\154\x64\x55\163\145\x72\116\x61\x6d\145" => $activeDatabaseServerEntity->getUserName(), "\x6e\x65\x77\110\x6f\x73\x74" => $databaseServerEntity->getHost(), "\x6e\x65\167\125\163\x65\162\x4e\141\x6d\145" => $databaseServerEntity->getUserName()]; goto D135e; d8732: $activeDatabaseServerEntity->setIsActive(false); goto fc999; E53d3: } catch (\Exception $e) { $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x44\x61\164\141\x62\141\163\145\x20\123\145\x72\x76\x65\162\x20\x63\x72\145\144\x65\156\164\151\x61\x6c\163\40\x61\x72\x65\40\x6e\x6f\x74\40\x76\141\x6c\151\144\56")); } goto B2f81; Ec8fb: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto f74fb; a174f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\141\x64\155\x69\156\x5f\x64\141\164\x61\x62\141\163\145\137\163\145\162\x76\145\x72\x73")); goto Bb69d; e458c: $id = (int) $request->get("\x69\144"); goto cb49f; B2f81: Cb69d: goto ae7d9; f74fb: if (!($databaseServerEntity->getId() != $activeDatabaseServerEntity->getId())) { goto Cb69d; } goto c346c; Bb69d: return $response; goto Baee5; ae7d9: A9ff7: goto a174f; cb49f: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto Bd008; Baee5: } public function deleteDatabaseServer(Request $request) : Response { goto c81f1; Bb4e2: ad50f: goto a87e8; c74e8: if (!(false === is_null($databaseServerEntity) && false === $databaseServerEntity->isDefault() && false === $databaseServerEntity->isActive())) { goto ad50f; } goto cbba8; c81f1: $id = (int) $request->get("\151\144"); goto c6f59; c6f59: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto c74e8; a87e8: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x61\144\155\x69\156\x5f\144\x61\164\x61\142\x61\x73\145\x5f\x73\x65\162\166\145\x72\x73")); goto Dc777; Dc777: return $response; goto D4efd; cbba8: try { goto B31a9; c0d96: $session = $request->getSession(); goto B9085; e0c58: $eventData = ["\150\157\x73\x74" => $databaseServerEntity->getHost(), "\165\163\145\x72\x4e\x61\155\145" => $databaseServerEntity->getUserName()]; goto c80bc; c80bc: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_DELETE, $user, $eventData, $request); goto Bef78; B9085: $this->databaseServerEntityManager->deleteEntity($databaseServerEntity); goto e0c58; Bef78: $session->getFlashBag()->set("\163\165\x63\x63\145\163\163", $this->translator->trans("\x44\x61\x74\x61\x62\141\x73\145\x20\x53\145\x72\x76\145\x72\x20\x68\141\163\x20\142\x65\145\156\40\x64\x65\154\x65\x74\145\x64\x2e")); goto D359d; B31a9: $user = $this->getUser(); goto c0d96; D359d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\x72\x72\157\162\40\x68\141\163\x20\157\x63\143\x75\x72\162\145\144\x2c\40\145\162\x72\157\x72\40\155\145\163\163\x61\x67\x65\x3a\x20\x25\145\x72\162\x6f\x72\115\x65\163\163\x61\147\145\45", ["\x25\x65\x72\162\157\x72\115\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto Bb4e2; D4efd: } }
