<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto b2329; b2329: $this->userEntityManager = $userEntityManager; goto de0e3; D5158: $this->timezoneEntityManager = $timezoneEntityManager; goto Af72a; Af72a: parent::__construct($translator, $logger); goto a8846; de0e3: $this->siteEntityManager = $siteEntityManager; goto D5158; a8846: } public function index(Request $request) : Response { goto e9e08; C05db: $users = $this->userEntityManager->findAll([], ["\x75\x73\145\162\116\141\x6d\145" => "\141\x73\143"]); goto C8994; E057a: $response = $this->render("\101\x64\155\151\x6e\57\x55\x73\145\x72\x2f\x69\x6e\144\x65\170\56\x68\164\155\154\56\164\167\151\x67", ["\x75\x73\145\x72\163" => $users]); goto E8e33; e9e08: $currentUser = $this->getUser(); goto C05db; E8e33: return $response; goto E11ac; C8994: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto E057a; E11ac: } public function new(Request $request) : Response { goto dbb91; Ddff0: $form->handleRequest($request); goto E6b29; afdf5: return $response; goto de8e0; Ac5eb: D46b6: goto ccba9; Df853: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto D2573; D2573: $sites = $this->siteEntityManager->findAll([], ["\x64\157\x6d\141\x69\156\x4e\141\x6d\x65" => "\101\x53\103"]); goto f08bd; B71cc: b4d29: goto Ac5eb; ccba9: $response = $this->render("\101\144\155\151\156\57\x55\x73\145\162\57\156\145\x77\x2e\x68\164\155\x6c\56\164\x77\151\147", ["\165\x73\x65\162" => $userEntity, "\163\x69\164\145\163" => $sites, "\x66\157\x72\155" => $form->createView(), "\146\x6f\162\x6d\x45\x72\x72\x6f\x72\x73" => $this->formErrors]); goto afdf5; fdd7f: if (!(false === is_null($response))) { goto B7eae; } goto B0c95; d845d: $response = $this->handleUserForm($request, $form); goto fdd7f; f08bd: $userEntity->setTimezone($defaultTimezone); goto Ccc46; E6b29: if (!(true === $form->isSubmitted())) { goto b4d29; } goto d845d; d4d67: B7eae: goto B71cc; dbb91: $userEntity = $this->userEntityManager->createEntity(); goto Df853; B0c95: return $response; goto d4d67; Ccc46: $form = $this->createUserForm($userEntity); goto a22ad; a22ad: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto D46b6; } goto Ddff0; de8e0: } private function createUserForm(UserEntity $userEntity) : Form { goto acaa2; A91dc: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\x73" => "\142\164\156\40\142\x74\x6e\x2d\x62\154\x75\x65\x20\x62\164\x6e\55\154\x67"], "\154\141\142\145\x6c" => "\101\144\144\x20\x55\163\145\x72"]); goto a8718; acaa2: $form = $this->createForm("\101\x70\160\134\106\x6f\162\x6d\x5c\x41\x64\155\151\x6e\x55\163\x65\162\x54\x79\x70\x65", $userEntity, ["\x61\143\x74\x69\157\156" => $this->generateUrl("\143\154\x70\137\141\144\155\151\x6e\137\x75\163\x65\162\x5f\156\x65\x77"), "\x6d\x65\164\150\157\x64" => "\x50\x4f\x53\124", "\x61\164\164\x72" => []]); goto A91dc; a8718: return $form; goto d6a55; d6a55: } private function handleUserForm(Request $request, Form $form) { goto D9438; D9438: if (true === $form->isValid()) { goto C7754; } goto e3ac9; F74bd: try { goto B5886; D90df: ac625: goto bd8a3; f15c6: $domainNames = []; goto f2b48; B5886: $currentUser = $this->getUser(); goto E214c; e9e1c: $sites = $userEntity->getSites(); goto f15c6; a3741: $eventData = ["\x75\163\145\162\116\x61\155\145" => $userEntity->getUserName(), "\x66\x69\162\163\x74\x4e\141\155\145" => $userEntity->getFirstName(), "\154\141\163\164\116\x61\155\145" => $userEntity->getLastName(), "\x65\x6d\141\x69\154" => $userEntity->getEMail(), "\x72\x6f\154\x65" => $userEntity->getRole(), "\163\151\164\x65\163" => implode("\x2c\x20", $domainNames)]; goto e2145; Ba468: $userEntity = $form->getData(); goto e9e1c; Ef2e4: sort($domainNames); goto Cb531; e2145: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto f2bfd; f2b48: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto f0e8c; } goto d4b42; E214c: $session = $request->getSession(); goto Ba468; d4b42: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); E0f38: } goto D90df; bd8a3: f0e8c: goto Ef2e4; Cb531: $this->userEntityManager->updateUser($userEntity); goto a3741; Bc8e1: return $response; goto Fe2d6; A10c2: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\141\144\x6d\x69\x6e\137\x75\163\x65\x72\x73")); goto Bc8e1; f2bfd: $session->getFlashBag()->set("\x73\165\143\x63\145\x73\163", $this->translator->trans("\x55\163\145\162\40\x68\x61\x73\40\142\145\145\156\x20\141\x64\x64\x65\x64\x2e")); goto A10c2; Fe2d6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\x41\x6e\40\145\x72\x72\x6f\162\40\x68\141\x73\40\x6f\143\x63\165\x72\162\x65\x64\x2c\x20\145\162\x72\157\162\40\x6d\145\163\163\141\147\145\72\40\45\x65\162\162\x6f\162\115\x65\163\x73\x61\x67\145\45", ["\45\x65\x72\162\x6f\162\115\145\163\x73\x61\x67\145\x25" => $e->getMessage()])); } goto C7249; e33e7: goto e5a6d; goto Ab1d0; Ab1d0: C7754: goto F74bd; e3ac9: $this->formErrors = $this->getErrorMessages($form); goto e33e7; C7249: e5a6d: goto d944a; d944a: } public function edit(Request $request) : Response { goto F6c46; f2ea3: $form = $this->createUserEditForm($userEntity); goto D7e2e; d08cb: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\155\x61\x69\x6e\116\141\155\145" => "\x41\123\103"]); goto f2ea3; fbdb6: goto Bd1e0; goto B07f3; C48fc: return $response; goto E34b2; E34b2: aea6f: goto aa0fc; F6c46: $id = (int) $request->get("\151\x64"); goto da811; D7e2e: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto d54f8; } goto Cb82d; Fcf78: d54f8: goto Ee84e; da811: $userEntity = $this->userEntityManager->findOneById($id); goto fc59b; dbd65: $response = $this->handleUserEditForm($request, $form); goto Fe6ef; bedf4: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\141\144\155\151\156\137\165\163\145\x72\x73")); goto fbdb6; A44f4: if (!(true === $form->isSubmitted())) { goto cddb5; } goto dbd65; Ee84e: $response = $this->render("\x41\144\155\151\x6e\x2f\x55\x73\x65\162\57\x65\144\x69\164\x2e\150\x74\x6d\x6c\x2e\x74\x77\151\147", ["\x75\163\x65\162" => $userEntity, "\163\151\x74\x65\163" => $sites, "\146\x6f\x72\155" => $form->createView(), "\146\157\162\x6d\x45\162\162\x6f\162\x73" => $this->formErrors]); goto b64c0; E1d4c: return $response; goto c2ca6; b64c0: Bd1e0: goto E1d4c; B07f3: af287: goto d08cb; fc59b: if (false === is_null($userEntity)) { goto af287; } goto bedf4; Fe6ef: if (!(false === is_null($response))) { goto aea6f; } goto C48fc; aa0fc: cddb5: goto Fcf78; Cb82d: $form->handleRequest($request); goto A44f4; c2ca6: } private function createUserEditForm(UserEntity $userEntity) : Form { goto D1241; D1241: $form = $this->createForm("\x41\160\160\134\106\x6f\x72\x6d\134\x41\x64\155\x69\x6e\x55\x73\x65\162\x45\144\151\164\x54\x79\160\145", $userEntity, ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\143\154\x70\137\141\144\155\x69\156\x5f\x75\x73\x65\x72\x5f\x65\144\151\164", ["\151\x64" => $userEntity->getId()]), "\155\x65\164\150\157\144" => "\120\x4f\x53\124", "\141\164\x74\x72" => []]); goto E4b08; Eba3a: return $form; goto b86e4; E4b08: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\141\163\x73" => "\x62\164\x6e\40\142\164\x6e\55\x62\154\x75\145\x20\x62\x74\x6e\55\154\147"], "\x6c\141\142\x65\x6c" => "\x53\141\166\145"]); goto Eba3a; b86e4: } private function handleUserEditForm(Request $request, Form $form) { goto d3bdb; f5e4b: e9daf: goto C7dd7; A2b26: acb2c: goto d8a97; d3bdb: if (true === $form->isValid()) { goto e9daf; } goto D9874; C7dd7: try { goto Aa8e7; C46ab: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto f4753; } goto d56c2; B0fa7: $eventData = ["\x75\x73\x65\162\x4e\141\155\x65" => $userEntity->getUserName(), "\x66\x69\162\x73\x74\116\x61\x6d\x65" => $userEntity->getFirstName(), "\x6c\141\163\164\116\x61\155\145" => $userEntity->getLastName(), "\x65\155\x61\x69\154" => $userEntity->getEMail(), "\x72\x6f\154\x65" => $userEntity->getRole(), "\x73\x74\x61\164\165\x73" => (int) $userEntity->getStatus(), "\163\151\164\x65\163" => implode("\54\40", $domainNames)]; goto effb2; Fef4d: $session = $request->getSession(); goto dc3d4; D26ce: $session->getFlashBag()->set("\x73\165\143\x63\x65\x73\x73", $this->translator->trans("\x55\x73\x65\x72\40\x68\x61\163\40\x62\145\145\x6e\40\x75\x70\x64\141\x74\145\x64\x2e")); goto E1fb5; cdfe3: D74e4: goto B0fa7; da842: $this->userEntityManager->updateUser($userEntity, true, true); goto cdfe3; E5a16: if (false === empty($plainPassword)) { goto d20c3; } goto eda6e; a7234: d20c3: goto da842; E1fb5: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\141\144\x6d\151\x6e\137\x75\x73\145\162\137\145\x64\151\x74", ["\151\144" => $userEntity->getId()])); goto c15e2; Abade: B7a1d: goto B2913; c15e2: return $response; goto B5c00; effb2: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto D26ce; e45bd: $plainPassword = $userEntity->getPlainPassword(); goto fc169; eda6e: $this->userEntityManager->updateUser($userEntity); goto ebba1; dc3d4: $userEntity = $form->getData(); goto e45bd; D1648: $domainNames = []; goto C46ab; ebba1: goto D74e4; goto a7234; D5ead: sort($domainNames); goto E5a16; B2913: f4753: goto D5ead; fc169: $sites = $userEntity->getSites(); goto D1648; Aa8e7: $currentUser = $this->getUser(); goto Fef4d; d56c2: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); ed0dc: } goto Abade; B5c00: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\162", $this->translator->trans("\101\x6e\40\145\162\162\x6f\162\x20\x68\x61\x73\x20\157\143\143\x75\x72\x72\x65\144\x2c\x20\x65\x72\162\157\162\x20\x6d\145\x73\x73\141\x67\x65\72\x20\x25\145\162\x72\157\x72\x4d\x65\163\x73\141\147\145\45", ["\45\x65\162\x72\157\x72\x4d\145\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto A2b26; e5a88: goto acb2c; goto f5e4b; D9874: $this->formErrors = $this->getErrorMessages($form); goto e5a88; d8a97: } public function delete(Request $request) : Response { goto da261; F2a06: return $response; goto c67d7; B162d: Fa861: goto E3d81; A5fb2: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\125\x73\x65\162\40\150\x61\x73\x20\x62\x65\145\156\40\144\x65\154\145\x74\145\144\56")); goto B162d; B03d5: $id = (int) $request->get("\x69\x64"); goto e2e04; e2e04: $this->checkCsrfToken($request, "\144\x65\154\145\164\x65\x2d\165\x73\x65\x72"); goto F1197; f7e59: $this->userEntityManager->deleteUser($userEntity); goto A5fb2; e6b03: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x61\144\x6d\151\x6e\137\165\163\x65\x72\163")); goto F2a06; Df894: $eventData = ["\165\x73\x65\162\x4e\141\155\145" => $userEntity->getUserName(), "\146\x69\162\x73\164\116\141\x6d\x65" => $userEntity->getFirstName(), "\154\141\x73\x74\x4e\x61\155\145" => $userEntity->getLastName(), "\x65\x6d\141\x69\154" => $userEntity->getEMail(), "\162\x6f\x6c\145" => $userEntity->getRole()]; goto D779e; A6bdf: $session = $request->getSession(); goto Df894; Aefad: $userEntity = $this->userEntityManager->findOneById($id); goto C8f0e; D779e: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto f7e59; F1197: if (!(true === isset($id) && $id != $currentUser->getId())) { goto d7120; } goto Aefad; E3d81: d7120: goto e6b03; C8f0e: if (!(false === is_null($userEntity))) { goto Fa861; } goto A6bdf; da261: $currentUser = $this->getUser(); goto B03d5; c67d7: } }
