<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto Ae098; E4460: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto b4477; F16c8: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto Cc26a; Ae098: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto E4460; b4477: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto F16c8; Cc26a: parent::__construct($translator, $logger); goto e0d5d; e0d5d: } public function index(Request $request) : Response { goto a126b; Cce7f: $numberOfProcessorCores = 0; goto A582b; D4df6: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto ef3b0; e0fd7: $cpuChart->setCategories($categories); goto b26d5; A582b: try { goto d6616; Ac3f5: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto c515d; Af34a: $processorCoresCommand = new ProcessorCoresCommand(); goto b8556; D531d: $commandExecutor->execute($memoryInformationCommand); goto f1108; Ac3e3: $memoryInformationCommand = new MemoryInformationCommand(); goto D531d; c3442: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\107\102", 0); goto Af34a; f1108: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto c3442; b8556: $commandExecutor->execute($processorCoresCommand); goto Ac3f5; d6616: $commandExecutor = new CommandExecutor(); goto Ac3e3; c515d: } catch (\Exception $e) { $this->logger->exception($e); } goto D4df6; Daa5b: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto a8e97; F0d66: $timeRange = $request->get("\x74\x69\x6d\x65\x52\x61\x6e\147\x65"); goto e747d; a0014: $instance = $request->attributes->get("\151\156\163\x74\141\x6e\x63\145"); goto c7c14; b3efb: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto Ce00e; a4310: $loadAverageData = [["\x6e\141\x6d\145" => $this->translator->trans("\61\x20\x4d\x69\156\165\x74\145"), "\x63\x6f\x6c\x6f\162" => "\43\67\x37\64\141\x61\64", "\144\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\x61\x6d\145" => $this->translator->trans("\65\x20\x4d\151\156\x75\x74\145\163"), "\143\x6f\154\157\x72" => "\x23\145\x62\x35\x38\x36\x63", "\144\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\141\x6d\145" => $this->translator->trans("\x31\x35\40\115\151\156\165\x74\145\x73"), "\143\x6f\x6c\157\x72" => "\43\x30\60\x37\70\x64\x34", "\144\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto de4f0; C8895: $loadAverageChart->setCategories($categories); goto ac6e2; f6f1e: B0698: goto a4c6c; F6270: $memoryChart->setInformation($totalMemory); goto Beab7; Ce00e: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Ed9de; B5205: $diskChart->setData($diskData); goto cd194; df9a5: $diskData = [["\156\x61\155\x65" => sprintf("\x2f\x20\50\45\163\x29", $rootDiskSize), "\143\x6f\x6c\x6f\x72" => "\43\67\63\x62\146\x34\143", "\144\x61\x74\141" => $diskData["\162\157\x6f\164"] ?: []], ["\156\x61\155\x65" => sprintf("\57\150\157\x6d\145\40\x28\45\163\x29", $homeDiskSize), "\143\x6f\x6c\157\162" => "\43\146\x33\x62\146\x30\60", "\x64\141\164\141" => $diskData["\x68\157\155\x65"] ?: []]]; goto ab9cb; f1269: $loadAverageChart->setInformation($loadAverageChartInformation); goto Eb366; e747d: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto F8bda; ab9cb: D3b0d: goto c0f1d; a3ca4: $loadAverageChart = new LoadAverageChart("\x4c\x6f\x61\x64\x20\101\166\145\x72\x61\x67\x65"); goto f1269; B52b3: $loadAverageChartInformation = sprintf("\x25\x73\x20\45\163", $numberOfProcessorCores, $this->translator->trans("\x43\120\125")); goto a3ca4; a4c6c: B33a3: goto D6a5c; D6a5c: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto Fe89f; A21f9: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto d7fd9; d7fd9: $minuteInterval = 5; goto e8141; e8141: $startTime = (clone $endTime)->modify("\55\x33\x30\x20\155\x69\156\x75\164\145\x73"); goto b98e6; b98e6: goto B33a3; goto Ce909; Ce909: case self::TIME_RANGE_LAST_HOUR: goto f01d4; c89be: goto B33a3; goto A4f41; f01d4: $minuteInterval = 10; goto F38e6; F38e6: $startTime = (clone $endTime)->modify("\55\x31\x20\150\x6f\x75\162"); goto c89be; A4f41: case self::TIME_RANGE_LAST_THREE_HOURS: goto e26e0; a43c5: $startTime = (clone $dateTime)->modify("\x2d\63\x20\x68\x6f\x75\x72\x73"); goto fb328; fb328: goto B33a3; goto Ca56c; e26e0: $minuteInterval = 30; goto a43c5; Ca56c: case self::TIME_RANGE_LAST_SIX_HOURS: goto abf91; E0ae4: goto B33a3; goto b212d; abf91: $minuteInterval = 60; goto a1981; a1981: $startTime = (clone $dateTime)->modify("\x2d\x36\x20\x68\157\x75\162\x73"); goto E0ae4; b212d: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto b43d2; C7661: goto B33a3; goto c646b; E6252: $startTime = (clone $dateTime)->modify("\55\61\x32\x20\x68\x6f\165\x72\163"); goto C7661; b43d2: $minuteInterval = 120; goto E6252; c646b: } goto f6f1e; ac6e2: $response = $this->render("\106\x72\x6f\x6e\x74\x65\x6e\144\x2f\104\141\163\150\x62\157\141\162\144\57\x69\156\144\145\170\56\150\x74\x6d\x6c\56\x74\167\151\147", ["\x63\154\x6f\x75\x64" => $cloud, "\151\156\x73\x74\x61\x6e\x63\x65" => $instance, "\x75\x73\x65\162" => $user, "\164\151\155\x65\x52\141\x6e\x67\x65" => $timeRange, "\143\x70\165\x43\x68\x61\162\164" => $cpuChart, "\155\x65\155\x6f\162\x79\103\x68\141\162\x74" => $memoryChart, "\x64\x69\163\153\103\150\x61\x72\164" => $diskChart, "\x6c\x6f\x61\144\x41\166\x65\x72\x61\x67\x65\x43\150\x61\162\x74" => $loadAverageChart]); goto bc852; Eb366: $loadAverageChart->setData($loadAverageData); goto C8895; f17a8: $memoryChart->setCategories($categories); goto B0e1d; bc852: return $response; goto E929a; bfbcc: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto A21f9; c0f1d: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto a4310; ef3b0: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\102", 0); goto Daa5b; e21b4: $cpuChart->setInformation($cpuInformation); goto Ed202; c7c14: $environment = $instance->getEnvironment(); goto e4c8d; b26d5: $memoryChart = new Chart("\115\145\x6d\157\x72\x79\40\125\163\141\147\145"); goto F6270; cd194: $diskChart->setCategories($categories); goto B52b3; D1405: C3811: goto df9a5; Ed202: $cpuChart->setData($cpuData); goto e0fd7; c3bf4: goto D3b0d; goto D1405; e4c8d: $cloud = $environment->getCloudProvider(); goto F0d66; Fe89f: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto b3efb; Ed9de: if ($homeDiskSize != $rootDiskSize) { goto C3811; } goto b41d2; a126b: $user = $this->getUser(); goto a0014; b41d2: $diskData = [["\x6e\141\155\145" => sprintf("\x2f\40\50\45\x73\x29", $rootDiskSize), "\143\x6f\154\x6f\162" => "\x23\x37\63\142\x66\x34\x63", "\144\x61\x74\141" => $diskData["\x72\157\x6f\164"] ?: []]]; goto c3bf4; D9984: $cpuChart = new Chart("\x43\x50\x55\x20\125\x73\x61\x67\145"); goto e21b4; B0e1d: $diskChart = new Chart("\x44\x69\163\153\x20\125\163\141\147\145"); goto B5205; de4f0: $cpuInformation = sprintf("\x25\163\x20\x25\x73", $numberOfProcessorCores, $this->translator->trans("\103\120\x55")); goto D9984; F8bda: $totalMemory = ''; goto Cce7f; Beab7: $memoryChart->setData($memoryData); goto f17a8; Bb14b: $dateTime = new \DateTime(); goto bfbcc; a8e97: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\107\102", 0); goto Bb14b; E929a: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Dac6f; e8e2e: aa3a5: goto c8969; D40cb: $endDataDate = clone $startTime; goto e8e2e; f46f9: $categoryDateTime = clone $endDataDate; goto Fce57; f66d4: A52e1: goto b02b4; f6ae6: goto aa3a5; goto f66d4; Dac6f: $categories = []; goto E0fe3; C426d: $endDataDate->modify(sprintf("\53\45\60\x35\x64\40\x6d\151\156\165\x74\x65\163", $minuteInterval)); goto f6ae6; b6bcc: $startDataDate->modify(sprintf("\53\x25\60\65\x64\40\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto C426d; c8969: if (!($endDataDate <= $endTime)) { goto A52e1; } goto f46f9; b916b: $categories[] = $categoryDateTime->format("\110\x3a\x69"); goto b6bcc; b02b4: return $categories; goto A0661; E0fe3: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\65\144\40\x6d\x69\x6e\x75\164\145\x73", $minuteInterval)); goto D40cb; Fce57: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto b916b; A0661: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto a4abc; B101e: $cpuData[] = $averageCpuValue; goto cca02; ce5b8: $endDataDate->modify(sprintf("\53\45\60\x35\x64\x20\155\151\x6e\165\164\145\163", $minuteInterval)); goto A6984; b31a1: C3f0e: goto E3230; cca02: $startDataDate->modify(sprintf("\x2b\45\60\65\x64\x20\x6d\151\156\165\x74\x65\163", $minuteInterval)); goto ce5b8; E3230: if (!($endDataDate <= $endTime)) { goto bdb05; } goto F532c; A6984: goto C3f0e; goto F92ca; fa524: return $cpuData; goto a58a8; F92ca: bdb05: goto fa524; Adf16: $endDataDate = clone $startTime; goto b31a1; F532c: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto B101e; E05bf: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\x30\65\144\40\x6d\x69\156\165\164\x65\x73", $minuteInterval)); goto Adf16; a4abc: $cpuData = []; goto E05bf; a58a8: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto f828b; B81ca: $startDataDate->modify(sprintf("\x2b\x25\x30\x35\144\x20\155\x69\x6e\165\164\x65\163", $minuteInterval)); goto febe6; ace8e: cc865: goto C23b5; ec6f0: f3b1a: goto Cd720; b11b3: $endDataDate = clone $startTime; goto ec6f0; c3f83: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto Fa5e5; a48f5: goto f3b1a; goto ace8e; C23b5: return $memoryData; goto badef; Cd720: if (!($endDataDate <= $endTime)) { goto cc865; } goto c3f83; f828b: $memoryData = []; goto d03e7; febe6: $endDataDate->modify(sprintf("\x2b\x25\60\x35\144\40\155\151\156\165\x74\145\x73", $minuteInterval)); goto a48f5; d03e7: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\x35\144\x20\155\151\x6e\x75\x74\x65\163", $minuteInterval)); goto b11b3; Fa5e5: $memoryData[] = (int) $averageMemoryValue; goto B81ca; badef: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto e2dff; Bfb45: foreach (["\57", "\57\x68\157\155\145"] as $disk) { goto Fa80f; Fa80f: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto C46fd; bed68: E5a75: goto B407a; b442c: $diskData["\x68\157\x6d\x65"][] = (int) $averageDiskSizeValue; goto abb70; C46fd: if ("\57" == $disk) { goto Aff59; } goto b442c; Ff955: $diskData["\162\x6f\157\164"][] = (int) $averageDiskSizeValue; goto bed68; abb70: goto E5a75; goto D56aa; B407a: e7d8e: goto Bd720; D56aa: Aff59: goto Ff955; Bd720: } goto b8418; edcfc: $endDataDate = clone $startTime; goto d6482; D9be6: return $diskData; goto Fcdfb; bd3e5: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\65\144\40\x6d\151\x6e\x75\164\145\163", $minuteInterval)); goto edcfc; e5354: $startDataDate->modify(sprintf("\53\x25\60\65\144\x20\155\x69\156\165\164\145\x73", $minuteInterval)); goto Cf9d5; c37ec: goto acde9; goto b00ec; e2dff: $diskData = []; goto bd3e5; Cf9d5: $endDataDate->modify(sprintf("\x2b\x25\x30\65\144\40\x6d\x69\156\x75\x74\145\163", $minuteInterval)); goto c37ec; d6482: acde9: goto F4c2b; F4c2b: if (!($endDataDate <= $endTime)) { goto d3ab1; } goto Bfb45; b00ec: d3ab1: goto D9be6; b8418: F16f7: goto e5354; Fcdfb: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto A5ab8; C1a7b: $startDataDate->modify(sprintf("\53\x25\x30\x35\x64\x20\155\x69\x6e\x75\x74\x65\163", $minuteInterval)); goto C5fe8; B147f: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\x30\x35\x64\x20\155\x69\156\165\164\x65\163", $minuteInterval)); goto a37e4; A5ab8: $loadAverageData = []; goto B147f; A4867: ac791: goto a0139; a37e4: $endDataDate = clone $startTime; goto df612; fe429: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto d2c67; ff508: $loadAverageData[$period][] = round($loadAverageValue, 2); goto f60d4; d2c67: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto ff508; f60d4: Dfb99: goto Fc38f; Fc38f: } goto e0488; a0139: return $loadAverageData; goto c402d; df612: A9b2c: goto F761f; F761f: if (!($endDataDate <= $endTime)) { goto ac791; } goto fe429; C5fe8: $endDataDate->modify(sprintf("\53\x25\x30\x35\x64\x20\155\151\156\x75\164\145\163", $minuteInterval)); goto D1e8e; D1e8e: goto A9b2c; goto A4867; e0488: F5a88: goto C1a7b; c402d: } }
