<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto F2c97; Cf6d1: $this->domainNameParser = $domainNameParser; goto E58a4; e362b: $this->certificateEntityManager = $certificateEntityManager; goto C301b; c3ba4: $this->databaseEntityManager = $databaseEntityManager; goto e8197; E3a4f: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto C618e; f1fda: $this->blockedBotEntityManager = $blockedBotEntityManager; goto e362b; C618e: $this->ftpUserEntityManager = $ftpUserEntityManager; goto A8887; A8887: $this->sshUserEntityManager = $sshUserEntityManager; goto Cf6d1; cf1c8: $this->siteEntityManager = $siteEntityManager; goto D1e74; F2c97: $this->configManager = $configManager; goto cf1c8; Be1ff: $this->blockedIpEntityManager = $blockedIpEntityManager; goto f1fda; e8197: $this->databaseUserEntityManager = $databaseUserEntityManager; goto Fdff8; D1e74: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Be1ff; Fdff8: $this->databaseServerEntityManager = $databaseServerEntityManager; goto E3a4f; C301b: $this->cronJobEntityManager = $cronJobEntityManager; goto c3ba4; E58a4: parent::__construct($translator, $logger); goto c8c64; c8c64: } public function index(Request $request) : Response { goto ce296; dc898: $response = $this->render("\x46\x72\157\156\164\x65\156\x64\x2f\x53\151\164\145\57\x69\156\144\x65\x78\x2e\150\164\x6d\x6c\x2e\x74\167\151\147", ["\x75\163\x65\162" => $user, "\163\151\164\145\163" => $sites]); goto e5cb5; b4b0d: $sites = $this->siteEntityManager->getUserSites($user, ["\144\157\155\x61\x69\156\116\x61\x6d\145" => "\x61\163\x63"]); goto dc898; ce296: $user = $this->getUser(); goto b4b0d; e5cb5: return $response; goto a93d0; a93d0: } public function fileManager(Request $request) : Response { goto cf89a; c1478: $fileManagerUrl = sprintf("\x25\163\x2f\x66\x69\x6c\x65\55\155\141\x6e\x61\x67\x65\x72\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto dcbcd; C6820: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\145\x73")); goto C8e5b; c0159: return $response; goto F7a97; d29c8: Bc0d5: goto c0159; F89e9: $data = ["\x75\x73\x65\x72" => $siteUser, "\154\x6f\x63\141\154\x65" => $locale]; goto C427c; bcbe9: $cookieExpirationDate->modify(sprintf("\53\x25\x73\40\150\157\165\x72\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto F89e9; dcbcd: $response = $this->render("\x46\162\x6f\156\x74\145\x6e\x64\x2f\x53\151\x74\x65\x2f\146\151\x6c\145\55\x6d\141\x6e\x61\147\145\162\x2e\x68\x74\155\154\56\x74\167\x69\x67", ["\163\151\164\x65" => $site, "\x66\151\154\x65\x4d\x61\x6e\141\147\x65\x72\125\162\154" => $fileManagerUrl, "\146\x6f\x72\155\x45\x72\x72\157\162\x73" => $this->formErrors]); goto d29c8; Ced75: $locale = $request->getLocale(); goto bdc02; d3bb1: $session = $request->getSession(); goto Ced75; Bafb3: $siteUser = $site->getUser(); goto d3bb1; a95bf: if (false === is_null($site)) { goto Bb774; } goto C6820; A83c5: Bb774: goto Bafb3; C8e5b: goto Bc0d5; goto A83c5; cf89a: $site = $this->getSite($request); goto a95bf; bdc02: $cookieExpirationDate = new \DateTime("\x6e\x6f\167"); goto bcbe9; C427c: $session->set("\x63\154\160\x2d\x66\151\154\x65\55\x6d\141\x6e\141\147\x65\162", $data); goto c1478; F7a97: } public function view(Request $request) : Response { goto de49d; de49d: $domainName = $request->get("\x64\157\155\x61\x69\x6e\x4e\141\x6d\x65"); goto Cd1e7; Cd1e7: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\x65\137\x73\145\x74\164\151\x6e\147\163", ["\x64\x6f\155\141\x69\x6e\x4e\x61\155\x65" => $domainName])); goto De6f8; De6f8: return $response; goto fb5ad; fb5ad: } public function logs(Request $request) : Response { goto C564b; Bf1ef: goto E1dee; goto D9f75; d0953: $response = $this->render("\x46\x72\157\x6e\x74\145\156\144\x2f\123\x69\x74\145\x2f\x6c\x6f\147\163\56\x68\164\155\154\56\x74\167\x69\x67", ["\x73\x69\164\145" => $site, "\146\157\x72\x6d\x45\162\x72\157\x72\163" => $this->formErrors, "\146\157\162\155" => $form->createView()]); goto B4683; e4c7a: if (false === is_null($site)) { goto b9a0d; } goto Eb20e; C564b: $site = $this->getSite($request); goto e4c7a; cc28f: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ae4ce; Eb20e: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\145\x73")); goto Bf1ef; D9f75: b9a0d: goto cc28f; c65cf: return $response; goto bb2ef; B4683: E1dee: goto c65cf; ae4ce: $form = $this->createLogsForm($siteEntity); goto d0953; bb2ef: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto E9115; B1df2: $form->add("\x75\160\x64\141\x74\x65", ButtonType::class, ["\x61\164\164\162" => ["\x63\x6c\x61\x73\x73" => "\142\164\x6e\x20\142\164\x6e\55\154\x67\x20\x62\164\156\55\142\154\x75\145\x20\x62\164\156\55\165\x70\x64\x61\164\x65"], "\154\x61\x62\145\154" => "\x55\160\144\141\164\x65"]); goto f7676; f7676: return $form; goto A1a50; E9115: $form = $this->createForm("\x41\160\160\x5c\106\157\x72\x6d\134\x53\x69\164\x65\x4c\x6f\147\163\124\x79\x70\x65", [], ["\x61\143\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\137\163\x69\x74\x65\137\154\x6f\x67\x73", ["\144\157\x6d\141\x69\156\116\141\155\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\157\144" => "\x50\117\123\124", "\x61\164\164\162" => []]); goto B1df2; A1a50: } public function logFileContent(Request $request, Twig $twig) : Response { goto B679a; B679a: $data = []; goto c293d; c293d: $site = $this->getSite($request); goto c5348; ad70c: $logfileName = trim($request->get("\154\x6f\147\x46\x69\154\x65")); goto D9ff1; B6cd0: $response = $this->json($data); goto f02fe; D9ff1: $numberOfLines = (int) $request->get("\x6e\x75\155\x62\145\162\x4f\146\x4c\x69\x6e\145\163"); goto d0251; E64b8: try { goto e1ac8; Cbe6c: $user = $this->getUser(); goto C88a4; C88a4: if (!("\x6e\x67\151\156\x78" == $service)) { goto c97ac; } goto Dde12; e1ac8: $service = basename($service); goto dfb71; d11c8: $logfileReader = new LogfileReader($logfile); goto ce78a; cf9d6: $logMessages = $nginxAccessLogParser->parse(); goto b9732; ce78a: $logLines = $logfileReader->getLines($numberOfLines); goto B0d09; d1483: $logMessagesHtml = $twig->render("\106\162\157\x6e\164\145\156\x64\x2f\123\x69\x74\145\x2f\x4c\157\147\163\x2f\x70\150\160\55\x66\x70\155\55\x65\x72\162\x6f\x72\x2d\154\157\147\x2d\155\145\x73\163\141\147\145\163\56\x68\x74\155\154\56\164\x77\x69\147", ["\x6c\157\147\115\145\163\163\x61\147\145\163" => $logMessages]); goto cc871; B3f21: if (!("\160\x68\160" == $service)) { goto E92b1; } goto Eec17; Dde12: $userTimezone = $user->getTimezone(); goto db9c9; cc871: E92b1: goto c4355; dfb71: $logfile = sprintf("\x2f\x68\157\x6d\x65\x2f\45\x73\57\154\x6f\x67\163\x2f\x25\163\x2f\x25\x73", $site->getUser(), $service, $logfileName); goto d11c8; b9732: $logMessagesHtml = $twig->render("\x46\162\157\156\x74\x65\x6e\144\x2f\123\x69\x74\x65\x2f\114\x6f\x67\163\57\x6e\147\x69\156\170\x2d\x61\x63\x63\145\x73\163\55\x6c\157\147\55\155\x65\163\163\141\x67\145\x73\56\150\x74\155\154\x2e\x74\x77\151\147", ["\154\157\x67\x4d\x65\163\163\x61\x67\145\163" => $logMessages]); goto fd9f4; ac9a3: $logMessagesHtml = $twig->render("\x46\x72\157\156\x74\145\156\x64\x2f\x53\151\164\x65\x2f\x4c\x6f\147\x73\57\x6e\x67\x69\x6e\x78\55\145\x72\x72\x6f\162\55\154\157\147\55\x6d\145\163\163\x61\147\145\163\x2e\150\164\155\154\x2e\x74\x77\151\147", ["\154\x6f\x67\x4d\145\x73\x73\x61\147\145\163" => $logMessages]); goto b1079; Eec17: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto B2866; Baa0f: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto Ecc3a; Ecc3a: $logMessages = $nginxErrorLogParser->parse(); goto ac9a3; fd9f4: bb1cc: goto df986; d65d1: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto cf9d6; df986: c97ac: goto B3f21; bb2b8: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto d65d1; B2866: $logMessages = $phpFpmErrorLogParser->parse(); goto d1483; b1079: goto bb1cc; goto ca0ce; B0d09: $logMessagesHtml = ''; goto Cbe6c; db9c9: if ("\141\143\x63\145\163\163\56\x6c\x6f\x67" == substr($logfileName, 0, 10)) { goto e297e; } goto Baa0f; ca0ce: e297e: goto bb2b8; c4355: $data["\x6c\157\147\x4d\x65\x73\163\141\x67\x65\x73\x48\x74\x6d\x6c"] = $logMessagesHtml; goto d89b5; d89b5: } catch (\Exception $e) { $this->logger->exception($e); } goto d389a; d0251: if (!(false === empty($service) && false === empty($logfileName))) { goto c40d0; } goto E64b8; D431a: ea72b: goto B6cd0; c5348: if (!(false === is_null($site))) { goto ea72b; } goto B5885; B5885: $service = trim($request->get("\x73\145\x72\166\x69\143\x65")); goto ad70c; f02fe: return $response; goto ad3f3; d389a: c40d0: goto D431a; ad3f3: } public function loadLogfilesForService(Request $request) : Response { goto ab8e6; ea974: F2699: goto b4eea; db405: $service = trim($request->get("\163\x65\x72\x76\x69\143\x65")); goto d8524; E9ba0: $site = $this->getSite($request); goto b63d2; d8524: if (!(false === empty($service))) { goto F2699; } goto a7957; ab8e6: $data = []; goto E9ba0; A2e3e: return $response; goto B2258; b4eea: eeddb: goto e8279; b63d2: if (!(false === is_null($site))) { goto eeddb; } goto db405; e8279: $response = $this->json($data); goto A2e3e; a7957: try { goto cd149; D0e8d: $logfilesDirectory = sprintf("\57\x68\x6f\x6d\x65\57\x25\x73\57\154\x6f\x67\163\57\x25\x73\57", $site->getUser(), $service); goto adeaa; a7e96: Ab85a: goto D3065; cd149: $service = basename($service); goto D0e8d; adeaa: $logsFinder = new LogsFinder($logfilesDirectory); goto B4b70; B4b70: $logfiles = $logsFinder->getLogfiles(); goto D7752; D7752: if (!(false === empty($logfiles))) { goto Ab85a; } goto db079; db079: $data["\154\x6f\x67\x66\151\x6c\x65\x73"] = $logfiles; goto a7e96; D3065: } catch (\Exception $e) { $this->logger->exception($e); } goto ea974; B2258: } public function cronJobs(Request $request) : Response { goto Ff6e5; D8b3e: C5b94: goto C5051; C5051: return $response; goto Ad423; e22b6: if (false === is_null($site)) { goto Ba66a; } goto De576; De576: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\x65\163")); goto c5513; Cae9a: Ba66a: goto C9d70; Ff6e5: $site = $this->getSite($request); goto e22b6; C9d70: $response = $this->render("\x46\162\x6f\x6e\164\145\x6e\144\57\x53\151\x74\x65\x2f\143\x72\157\x6e\x2d\152\157\142\x73\x2e\150\164\x6d\x6c\56\x74\x77\151\x67", ["\x73\x69\x74\145" => $site, "\146\157\162\x6d\105\x72\x72\x6f\x72\163" => $this->formErrors]); goto D8b3e; c5513: goto C5b94; goto Cae9a; Ad423: } public function newCronJob(Request $request) : Response { goto A1600; fc7ec: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\145\163")); goto fae52; c071c: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto e3cd9; } goto Acd1b; A1600: $site = $this->getSite($request); goto ac318; b32dc: if (!(true === $form->isSubmitted())) { goto d258e; } goto ed546; Acd1b: $form->handleRequest($request); goto b32dc; fae52: goto e8ea5; goto Fe5df; ed546: $response = $this->handleCronJobForm($request, $form, $site); goto B6d07; ce9b2: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto Fce46; F15bb: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ce9b2; ac318: if (false === is_null($site)) { goto bda09; } goto fc7ec; d45b2: F0950: goto fb019; Da475: $response = $this->render("\x46\162\x6f\x6e\164\x65\156\144\57\x53\151\164\x65\57\x6e\x65\167\x2d\143\x72\x6f\x6e\x2d\152\x6f\x62\56\150\x74\155\154\x2e\164\167\151\x67", ["\163\x69\164\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\x66\157\162\155\x45\162\x72\x6f\x72\163" => $this->formErrors]); goto Eac96; Fce46: $cronJobEntity->setSite($siteEntity); goto Aa031; Eac96: e8ea5: goto F630f; Fe5df: bda09: goto F15bb; Edb7b: e3cd9: goto Da475; Aa031: $form = $this->createCronJobForm($cronJobEntity); goto c071c; F630f: return $response; goto d9e24; fb019: d258e: goto Edb7b; B6d07: if (!(false === is_null($response))) { goto F0950; } goto E4aff; E4aff: return $response; goto d45b2; d9e24: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto Ff45f; Ff45f: $siteEntity = $cronJobEntity->getSite(); goto e0237; Bfdfc: $form->add("\x73\165\142\x6d\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\141\x73\163" => "\142\x74\156\x20\142\x74\x6e\x2d\142\154\165\145\40\142\x74\x6e\x2d\x6c\147"], "\154\x61\x62\x65\154" => "\101\x64\144\40\103\x72\x6f\x6e\40\112\x6f\x62"]); goto Fec65; e0237: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\x72\x6d\134\x53\x69\x74\145\x43\162\157\156\x4a\x6f\142\124\171\x70\x65", $cronJobEntity, ["\x61\x63\x74\x69\x6f\156" => $this->generateUrl("\143\154\x70\137\x73\x69\164\x65\137\143\x72\x6f\156\x5f\x6a\x6f\142\x5f\156\145\x77", ["\144\x6f\155\x61\x69\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\x64" => "\120\117\123\124", "\141\x74\164\162" => []]); goto Bfdfc; Fec65: return $form; goto eb809; eb809: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto eea27; e0a5e: goto Bbc35; goto E46e3; eea27: if (true === $form->isValid()) { goto f9f32; } goto E8a75; E8a75: $this->formErrors = $this->getErrorMessages($form); goto e0a5e; effda: Bbc35: goto ef50c; E46e3: f9f32: goto d1adb; d1adb: try { goto E504a; e81e0: $site->setCronJobs($siteEntity->getCronJobs()); goto f71ce; Bcaf1: $siteEntity->addCronJob($cronJobEntity); goto e81e0; Ebeb9: $domainName = $site->getDomainName(); goto bf598; Ec342: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto e7ca4; e3ac3: if (false === is_null($siteEntity)) { goto Da0f1; } goto fcaa0; de014: Da0f1: goto A14fc; a3217: $eventData = ["\163\151\x74\145" => $domainName, "\x63\162\x6f\x6e\164\x61\142\x45\170\160\162\x65\x73\x73\151\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto Ec342; B9efa: ea116: goto abbe5; f71ce: $this->siteEntityManager->updateEntity($siteEntity); goto d6743; bf598: $siteEntity = $this->getSiteEntity($domainName); goto e3ac3; Cbf84: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\x65\137\143\162\157\x6e\x5f\152\157\142\163", ["\144\x6f\x6d\x61\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto B9efa; Ee9d3: $siteUpdater->updateUserCrontab(); goto a3217; d6743: $siteUpdater = $this->getSiteUpdater($site); goto Ee9d3; abbe5: return $response; goto E4ad9; A14fc: $user = $this->getUser(); goto Db8bc; Db8bc: $cronJobEntity = $form->getData(); goto Bcaf1; fcaa0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\x73")); goto F6bb9; E504a: $session = $request->getSession(); goto Ebeb9; e7ca4: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\163", $this->translator->trans("\103\162\x6f\x6e\x20\x4a\157\x62\x20\x68\x61\x73\40\142\x65\145\156\40\141\144\x64\x65\144\56")); goto Cbf84; F6bb9: goto ea116; goto de014; E4ad9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\101\x6e\40\x65\x72\162\x6f\x72\40\x68\x61\163\x20\x6f\143\x63\165\x72\x72\x65\144\54\40\145\162\162\x6f\x72\40\155\x65\163\163\x61\x67\145\x3a\x20\45\x65\162\162\157\162\x4d\145\x73\163\x61\x67\x65\x25", ["\x25\x65\162\162\x6f\162\x4d\x65\163\x73\141\147\145\x25" => $e->getMessage()])); } goto effda; ef50c: } public function deleteCronJob(Request $request) : Response { goto Fd7ae; B62bc: if (!(false === is_null($site))) { goto F246c; } goto Ca4bb; ef76b: return $response; goto a308e; Fd7ae: $site = $this->getSite($request); goto de997; de997: $this->checkCsrfToken($request, "\x63\x72\157\x6e\152\x6f\142\55\144\145\x6c\145\164\145"); goto B62bc; A0e97: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\x65\x73")); goto ef76b; da429: F246c: goto A0e97; Ca4bb: try { goto F0103; B1ddb: a53d5: goto c950c; c5ac4: $evenData = ["\x73\x69\x74\145" => $domainName, "\143\x6f\x6d\x6d\x61\156\144" => $cronJobEntity->getCommand()]; goto F9c53; F0103: $session = $request->getSession(); goto ad452; c3d60: $domainName = $site->getDomainName(); goto C4968; E3cf9: $siteEntity->removeCronJob($cronJobEntity); goto c12b4; C4968: $siteEntity = $this->getSiteEntity($domainName); goto Db956; aaeff: F7a2b: goto B1ddb; ff12a: $siteUpdater = $this->getSiteUpdater($site); goto c498f; A13fc: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto F7a2b; } goto bbcf7; bbcf7: $user = $this->getUser(); goto E3cf9; D60e3: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto a53d5; } goto C52fe; c498f: $siteUpdater->updateUserCrontab(); goto c5ac4; ad452: $id = (int) $request->get("\151\144"); goto c3d60; c12b4: $site->setCronJobs($siteEntity->getCronJobs()); goto F3b0b; C52fe: $cronJobSiteEntity = $cronJobEntity->getSite(); goto A13fc; Db956: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto D60e3; Bc0b5: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\145\x5f\143\x72\x6f\x6e\137\152\x6f\x62\x73", ["\144\157\155\x61\151\156\116\x61\155\145" => $site->getDomainName()])); goto f655c; F3b0b: $this->siteEntityManager->updateEntity($siteEntity); goto ff12a; Ce520: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\x73", $this->translator->trans("\103\162\x6f\x6e\x20\112\x6f\142\x20\150\141\163\x20\142\145\145\156\x20\x64\x65\x6c\x65\x74\x65\x64\56")); goto Bc0b5; f655c: return $response; goto aaeff; F9c53: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto Ce520; c950c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\156\x20\x65\162\162\x6f\x72\x20\x68\141\163\x20\x6f\x63\x63\x75\x72\162\145\x64\x2c\40\145\162\162\x6f\x72\x20\x6d\x65\x73\163\x61\147\x65\72\x20\x25\x65\x72\162\x6f\162\115\x65\163\163\x61\x67\x65\45", ["\45\x65\x72\162\x6f\x72\115\145\x73\163\141\147\145\45" => $e->getMessage()])); } goto da429; a308e: } public function editCronJob(Request $request) : Response { goto fdc73; defd5: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto De2e5; } goto e1483; f0530: De2e5: goto ae8cf; d0a7b: $response = $this->handleCronJobEditForm($request, $form, $site); goto ba391; f70d8: $response = $this->render("\x46\x72\157\x6e\x74\x65\x6e\144\x2f\123\x69\164\145\x2f\x65\144\151\x74\x2d\143\x72\x6f\x6e\x2d\152\157\x62\x2e\150\164\x6d\154\x2e\164\167\151\147", ["\163\x69\x74\145" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\157\x72\x6d\105\162\162\x6f\162\163" => $this->formErrors]); goto F76d4; Af2f8: $form->handleRequest($request); goto F8b75; fdc73: $id = (int) $request->get("\151\x64"); goto e5fc3; Bf7fd: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto defd5; E3cd2: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto F7073; } goto Af2f8; fb8fb: return $response; goto c4ff9; F8b75: if (!(true === $form->isSubmitted())) { goto aa8c4; } goto d0a7b; F76d4: F3850: goto fb8fb; A9ede: aa8c4: goto D4816; ae8cf: $form = $this->createCronJobEditForm($cronJobEntity); goto E3cd2; e1483: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\x65\x73")); goto f6af5; Bf9c7: f024b: goto A9ede; D4816: F7073: goto f70d8; ba391: if (!(false === is_null($response))) { goto f024b; } goto D2028; f6af5: goto F3850; goto f0530; e5fc3: $site = $this->getSite($request); goto Bf7fd; D2028: return $response; goto Bf9c7; c4ff9: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto e2c49; f486b: return $form; goto C8b16; de89a: $form = $this->createForm("\x41\160\160\x5c\106\157\162\x6d\134\x53\151\164\x65\103\162\x6f\156\112\x6f\142\105\144\x69\164\x54\171\x70\145", $cronJobEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\137\143\x72\157\156\137\x6a\157\x62\137\145\144\x69\x74", ["\x64\x6f\x6d\x61\x69\156\116\x61\155\145" => $siteEntity->getDomainName(), "\x69\x64" => $cronJobEntity->getId()]), "\155\x65\x74\150\157\144" => "\x50\117\x53\x54", "\x61\164\164\162" => []]); goto C1950; C1950: $form->add("\x73\x75\142\x6d\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\141\x73\163" => "\x62\x74\156\x20\142\164\156\55\142\154\165\x65\40\142\164\156\x2d\154\x67"], "\x6c\141\x62\145\x6c" => "\123\x61\x76\145"]); goto f486b; e2c49: $siteEntity = $cronJobEntity->getSite(); goto de89a; C8b16: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto B5a0c; d084b: $this->formErrors = $this->getErrorMessages($form); goto a873f; D2060: try { goto Af524; Aca07: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\137\143\x72\157\x6e\x5f\x6a\x6f\x62\163", ["\144\x6f\155\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto aaed4; f0772: $user = $this->getUser(); goto Cf2b9; C475e: if (false === is_null($siteEntity)) { goto F5d1f; } goto f98cb; A67ed: goto c90bd; goto F3d96; Af524: $session = $request->getSession(); goto f7be4; B2977: return $response; goto Bb33b; Ffc4c: $siteUpdater = $this->getSiteUpdater($site); goto F3617; f7be4: $domainName = $site->getDomainName(); goto d31ac; F3d96: F5d1f: goto f0772; e5858: $eventData = ["\x73\151\x74\x65" => $domainName, "\x63\x72\157\156\164\x61\142\105\170\x70\x72\145\163\x73\x69\157\156" => $cronJobEntity->getCrontabExpression()]; goto bcd3e; ab6c5: $session->getFlashBag()->set("\x73\165\143\x63\145\x73\x73", $this->translator->trans("\103\162\x6f\x6e\40\x4a\x6f\x62\x20\150\141\x73\x20\142\145\x65\156\40\x73\141\x76\x65\144\56")); goto Aca07; De907: $this->siteEntityManager->updateEntity($siteEntity); goto Ffc4c; f98cb: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\x65\163")); goto A67ed; d64a8: $siteEntity->addCronJob($cronJobEntity); goto fa92e; d31ac: $siteEntity = $this->getSiteEntity($domainName); goto C475e; aaed4: c90bd: goto B2977; Cf2b9: $cronJobEntity = $form->getData(); goto d64a8; fa92e: $site->setCronJobs($siteEntity->getCronJobs()); goto De907; F3617: $siteUpdater->updateUserCrontab(); goto e5858; bcd3e: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto ab6c5; Bb33b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\162\x20\150\x61\x73\40\x6f\143\143\x75\x72\x72\145\x64\54\x20\x65\162\162\157\162\40\x6d\145\163\x73\x61\x67\145\72\40\x25\x65\x72\x72\x6f\x72\115\145\x73\163\x61\x67\145\45", ["\x25\145\162\x72\x6f\x72\x4d\145\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto E1fc0; a873f: goto fc8c3; goto C90da; E1fc0: fc8c3: goto E97bd; C90da: Abaa6: goto D2060; B5a0c: if (true === $form->isValid()) { goto Abaa6; } goto d084b; E97bd: } public function users(Request $request) : Response { goto A438f; fd80e: $response = $this->render("\106\x72\157\156\164\x65\x6e\144\x2f\123\151\164\x65\57\165\163\x65\162\163\x2e\150\x74\155\154\56\x74\167\x69\x67", ["\163\151\164\x65" => $site, "\x66\157\x72\x6d\105\162\x72\157\x72\163" => $this->formErrors]); goto Cb8d2; Ca31b: goto ac80f; goto fca5f; fca5f: Fd3be: goto fd80e; Ae97e: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\163")); goto Ca31b; De469: return $response; goto e01b0; A438f: $site = $this->getSite($request); goto a9c57; a9c57: if (false === is_null($site)) { goto Fd3be; } goto Ae97e; Cb8d2: ac80f: goto De469; e01b0: } public function newFtpUser(Request $request) : Response { goto Eb1ba; B76db: cdefa: goto Aa596; e795f: return $response; goto C0739; A4b5e: $form->handleRequest($request); goto E3b01; B8b0b: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto B8914; } goto A4b5e; F8eda: E1c3a: goto e795f; B1f32: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto fd3c5; df270: $response = $this->handleFtpUserForm($request, $form, $site); goto e0871; Aa596: B8914: goto B29ce; B29ce: $response = $this->render("\x46\x72\x6f\x6e\x74\145\x6e\144\57\123\x69\164\145\x2f\156\x65\x77\x2d\x66\x74\x70\x2d\x75\x73\x65\x72\x2e\150\164\155\154\x2e\164\167\x69\147", ["\x73\x69\164\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\146\157\162\x6d\105\162\x72\157\162\163" => $this->formErrors]); goto F8eda; B48df: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B1f32; Eb1ba: $site = $this->getSite($request); goto ad224; Dbe2a: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\x65\163")); goto d64f8; adaa9: return $response; goto a3236; E3b01: if (!(true === $form->isSubmitted())) { goto cdefa; } goto df270; Cdd10: $form = $this->createFtpUserForm($ftpUserEntity); goto B8b0b; ad224: if (false === is_null($site)) { goto c1af2; } goto Dbe2a; fd3c5: $ftpUserEntity->setSite($siteEntity); goto Cdd10; e0871: if (!(false === is_null($response))) { goto Dacc9; } goto adaa9; d64f8: goto E1c3a; goto Efb56; Efb56: c1af2: goto B48df; a3236: Dacc9: goto B76db; C0739: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto c867c; A7633: $form = $this->createForm("\101\160\160\x5c\106\x6f\162\x6d\134\123\151\164\145\106\164\x70\x55\x73\x65\162\124\x79\x70\145", $ftpUserEntity, ["\x61\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\x5f\x66\x74\x70\137\x75\163\145\162\x5f\156\145\x77", ["\x64\157\x6d\141\x69\x6e\x4e\x61\155\145" => $siteEntity->getDomainName()]), "\155\145\164\x68\157\144" => "\x50\x4f\123\124", "\141\x74\164\x72" => []]); goto B8d48; B8d48: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\154\x61\163\x73" => "\142\x74\156\x20\x62\x74\156\x2d\142\x6c\x75\145\x20\142\x74\156\x2d\x6c\x67"], "\154\x61\142\x65\154" => "\101\144\144\40\x55\x73\x65\x72"]); goto e6419; c867c: $siteEntity = $ftpUserEntity->getSite(); goto A7633; e6419: return $form; goto Ef9cd; Ef9cd: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto caf26; caf26: if (true === $form->isValid()) { goto d3628; } goto a2dba; C5543: d3628: goto Cfbb8; a0aed: Fb252: goto c7107; a2dba: $this->formErrors = $this->getErrorMessages($form); goto d9db3; Cfbb8: try { goto ebcbf; c4e40: $eventData = ["\163\x69\x74\x65" => $domainName, "\x75\163\x65\162\116\141\155\x65" => $ftpUserName, "\150\x6f\x6d\145\104\151\x72\145\x63\164\157\x72\x79" => $ftpUserEntity->getHomeDirectory()]; goto d2bba; Df73b: $domainName = $site->getDomainName(); goto d0c49; Bda8c: $ftpUserPassword = $form->get("\160\141\x73\x73\x77\157\162\144")->getData(); goto Cbd7f; Cbd7f: $ftpUserEntity->setPassword($ftpUserPassword); goto A254f; d0c49: $siteEntity = $this->getSiteEntity($domainName); goto B72ac; cd283: b31f2: goto d570c; A254f: $siteEntity->addFtpUser($ftpUserEntity); goto Efee0; d2bba: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto B25cc; F4aee: return $response; goto Eb052; e09df: goto a35ee; goto cd283; ebcbf: $session = $request->getSession(); goto Df73b; b17b5: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\x5f\165\x73\145\x72\x73", ["\x64\157\155\141\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto B829a; B72ac: if (false === is_null($siteEntity)) { goto b31f2; } goto b21d7; Fc2b3: $ftpUserEntity = $form->getData(); goto Eefc0; B25cc: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\163", $this->translator->trans("\125\x73\145\x72\40\150\141\163\x20\142\x65\x65\x6e\x20\x61\x64\x64\145\x64\x2e")); goto b17b5; Efee0: $this->siteEntityManager->updateEntity($siteEntity); goto b09de; Eefc0: $ftpUserName = $ftpUserEntity->getUserName(); goto Bda8c; b09de: $siteUpdater = $this->getSiteUpdater($site); goto B315d; B829a: a35ee: goto F4aee; b21d7: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\163")); goto e09df; B315d: $siteUpdater->createFtpUser($ftpUserEntity); goto c4e40; d570c: $user = $this->getUser(); goto Fc2b3; Eb052: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\156\40\x65\162\162\x6f\x72\x20\x68\141\x73\40\157\143\x63\x75\162\162\145\x64\54\40\x65\162\x72\x6f\162\40\x6d\145\x73\x73\x61\x67\x65\x3a\x20\45\145\x72\162\x6f\162\x4d\x65\x73\x73\x61\147\145\45", ["\x25\145\x72\162\157\x72\115\x65\x73\x73\141\x67\x65\45" => $e->getMessage()])); } goto a0aed; d9db3: goto Fb252; goto C5543; c7107: } public function editFtpUser(Request $request) : Response { goto c1524; A14ae: $response = $this->render("\106\162\157\156\x74\x65\156\x64\x2f\x53\x69\x74\x65\x2f\145\144\151\164\55\x66\x74\160\x2d\165\163\145\162\x2e\150\x74\155\x6c\56\164\167\151\x67", ["\163\x69\164\145" => $site, "\146\157\x72\155" => $form->createView(), "\x66\x6f\x72\x6d\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto Ba659; Fa0ed: return $response; goto Bf33a; Bbba7: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto d2826; f51eb: F7ac6: goto A14ae; Bf33a: B8cb1: goto Ee016; B8793: goto E8752; goto b9069; d1ca1: if (!(false === is_null($response))) { goto B8cb1; } goto Fa0ed; c1524: $userName = $request->get("\x75\163\x65\162\x4e\141\155\x65"); goto c617d; fe096: $form->handleRequest($request); goto Aad7f; Ba659: E8752: goto ef2bb; b56ca: $form = $this->createFtpUserEditForm($ftpUserEntity); goto Afc87; d2826: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto E202f; } goto C62ab; Afc87: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto F7ac6; } goto fe096; b9069: E202f: goto b56ca; ef2bb: return $response; goto C9aca; c617d: $site = $this->getSite($request); goto Bbba7; C62ab: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\x65\x73")); goto B8793; c6363: $response = $this->handleFtpUserEditForm($request, $form, $site); goto d1ca1; Ee016: Cd499: goto f51eb; Aad7f: if (!(true === $form->isSubmitted())) { goto Cd499; } goto c6363; C9aca: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto B3d5d; B3d5d: $siteEntity = $ftpUserEntity->getSite(); goto e4e59; c992b: return $form; goto c5275; e4e59: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\162\155\134\123\x69\x74\145\x46\164\x70\125\x73\145\162\x45\x64\151\164\124\171\x70\x65", $ftpUserEntity, ["\141\x63\164\x69\x6f\x6e" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\x5f\x66\x74\160\x5f\x75\x73\x65\x72\x5f\x65\x64\x69\x74", ["\x64\157\155\141\x69\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName(), "\x75\x73\145\162\x4e\x61\x6d\145" => $ftpUserEntity->getUserName()]), "\x6d\x65\x74\x68\157\x64" => "\120\117\x53\124", "\x61\164\x74\x72" => []]); goto Afa16; Afa16: $form->add("\163\x75\142\x6d\151\x74", SubmitType::class, ["\141\164\x74\x72" => ["\x63\x6c\141\x73\x73" => "\x62\164\x6e\x20\x62\164\156\x2d\x62\154\x75\x65\x20\x62\164\156\x2d\154\147"], "\x6c\141\142\x65\154" => "\123\141\x76\145"]); goto c992b; c5275: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto A678b; dd5f2: try { goto c0372; D2c73: $siteEntity = $this->getSiteEntity($domainName); goto e2bb1; Fcc4b: Ad857: goto b594f; b0167: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto Bc8fc; cff70: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\x65\163")); goto D3f10; c088d: $ftpUserName = $ftpUserEntity->getUserName(); goto Cd81f; c0372: $session = $request->getSession(); goto Ae245; F4022: $ftpUserEntity = $form->getData(); goto c088d; d29a3: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto d3413; a7120: return $response; goto a1169; d3413: Ac786: goto fe274; e2bb1: if (false === is_null($siteEntity)) { goto Ad857; } goto cff70; Bc8fc: if (!(false === empty($ftpUserPassword))) { goto Ac786; } goto d29a3; D03cf: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto d263c; D6a26: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto B0be1; C3add: Ad79d: goto a7120; D3f10: goto Ad79d; goto Fcc4b; B0be1: $session->getFlashBag()->set("\x73\165\143\x63\145\x73\x73", $this->translator->trans("\125\x73\145\x72\40\x68\x61\x73\40\142\145\x65\156\x20\x73\141\166\145\x64\x2e")); goto D6171; F2693: $siteUpdater = $this->getSiteUpdater($site); goto b0167; Cd81f: $ftpUserPassword = $form->get("\x70\x61\x73\x73\167\x6f\x72\144")->getData(); goto D03cf; b594f: $user = $this->getUser(); goto F4022; fe274: $eventData = ["\x73\x69\x74\145" => $domainName, "\165\x73\x65\x72\116\x61\155\x65" => $ftpUserName, "\150\x6f\155\x65\x44\151\x72\145\143\x74\x6f\162\171" => $ftpUserHomeDirectory]; goto D6a26; d263c: $this->siteEntityManager->updateEntity($siteEntity); goto F2693; Ae245: $domainName = $site->getDomainName(); goto D2c73; D6171: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\137\165\163\145\162\x73", ["\x64\157\155\x61\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto C3add; a1169: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\101\156\x20\145\162\x72\157\162\40\x68\x61\163\x20\157\143\143\165\x72\x72\145\144\x2c\40\145\x72\x72\157\162\x20\x6d\x65\163\x73\x61\x67\145\x3a\40\x25\x65\x72\162\157\x72\x4d\145\x73\163\x61\x67\x65\45", ["\x25\x65\162\162\x6f\x72\115\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto ceaee; A1161: $this->formErrors = $this->getErrorMessages($form); goto d0ec7; A678b: if (true === $form->isValid()) { goto d8536; } goto A1161; Dc8b2: d8536: goto dd5f2; d0ec7: goto fa484; goto Dc8b2; ceaee: fa484: goto bd651; bd651: } public function deleteFtpUser(Request $request) : Response { goto B01d2; B742f: return $response; goto Db051; B01d2: $site = $this->getSite($request); goto Ee395; F738d: C5da9: goto Da87c; a6908: try { goto B335e; ff340: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto B9b3f; C75b6: $domainName = $site->getDomainName(); goto C9010; B9b3f: $session->getFlashBag()->set("\163\x75\x63\143\145\163\163", $this->translator->trans("\125\163\145\x72\40\x68\x61\163\40\x62\x65\x65\x6e\40\144\145\x6c\x65\x74\145\144\56")); goto A32fb; C9010: $siteEntity = $this->getSiteEntity($domainName); goto E4772; A32fb: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\145\137\165\163\x65\x72\x73", ["\x64\157\x6d\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto Cd326; cc35f: $this->siteEntityManager->updateEntity($siteEntity); goto D6e0c; d9612: $userName = $ftpUserEntity->getUserName(); goto aecda; B335e: $session = $request->getSession(); goto Bf584; Cd326: return $response; goto Fcfbb; d4db8: $evenData = ["\x73\151\x74\x65" => $domainName, "\165\163\145\162\116\x61\x6d\145" => $userName]; goto ff340; a9ef7: $user = $this->getUser(); goto d9612; Bf584: $userName = $request->get("\x75\x73\145\x72\x4e\x61\155\x65"); goto C75b6; aecda: $siteEntity->removeFtpUser($ftpUserEntity); goto cc35f; Cf336: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto b3e53; } goto b6cee; d9375: $siteUpdater->deleteUser($userName, false); goto d4db8; D6e0c: $siteUpdater = $this->getSiteUpdater($site); goto d9375; a086f: b3e53: goto Df417; Fcfbb: Fec82: goto a086f; B6deb: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto Fec82; } goto a9ef7; b6cee: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto B6deb; E4772: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Cf336; Df417: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\x20\x65\162\162\x6f\x72\40\x68\x61\163\40\157\143\143\165\162\162\x65\144\x2c\40\x65\162\x72\157\x72\x20\x6d\145\x73\x73\x61\147\145\x3a\40\45\x65\x72\x72\157\162\x4d\145\x73\163\x61\x67\145\45", ["\45\x65\162\x72\x6f\162\115\145\163\x73\141\147\x65\45" => $e->getMessage()])); } goto F738d; Da87c: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\163")); goto B742f; abe86: if (!(false === is_null($site))) { goto C5da9; } goto a6908; Ee395: $this->checkCsrfToken($request, "\165\163\145\x72\x2d\144\145\x6c\145\164\x65"); goto abe86; Db051: } public function newSshUser(Request $request) : Response { goto Cb66d; Fba91: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto F9f83; dceb3: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\163")); goto a8eba; b21ca: Fa52a: goto e4e52; B151b: c308a: goto af08c; af08c: return $response; goto Cd6ac; dc043: if (!(false === is_null($response))) { goto Fa52a; } goto ae027; Aa653: if (!(true === $form->isSubmitted())) { goto E79f9; } goto bcc26; bcc26: $response = $this->handleSshUserForm($request, $form, $site); goto dc043; Fce31: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto cba01; } goto daab0; a26fb: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Fba91; a8eba: goto c308a; goto dab5d; dab5d: D370a: goto a26fb; ae027: return $response; goto b21ca; d5425: if (false === is_null($site)) { goto D370a; } goto dceb3; d29db: $form = $this->createSshUserForm($sshUserEntity); goto Fce31; D39b1: cba01: goto fe40f; fe40f: $response = $this->render("\x46\162\157\x6e\164\145\156\144\x2f\x53\x69\164\145\57\156\145\x77\x2d\x73\163\x68\55\165\163\x65\x72\x2e\150\164\155\x6c\x2e\164\x77\x69\x67", ["\x73\x69\x74\x65" => $site, "\146\x6f\162\155" => $form->createView(), "\146\157\x72\x6d\x45\x72\x72\x6f\x72\163" => $this->formErrors]); goto B151b; Cb66d: $site = $this->getSite($request); goto d5425; daab0: $form->handleRequest($request); goto Aa653; e4e52: E79f9: goto D39b1; F9f83: $sshUserEntity->setSite($siteEntity); goto d29db; Cd6ac: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto A34be; B11b7: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\x72\155\x5c\x53\151\x74\145\123\163\150\x55\163\x65\x72\124\x79\160\145", $sshUserEntity, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\x65\x5f\x73\163\150\137\x75\x73\145\x72\x5f\156\145\167", ["\144\x6f\x6d\x61\151\x6e\116\141\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\x6f\144" => "\x50\117\123\124", "\141\x74\x74\162" => []]); goto Dbdca; A34be: $siteEntity = $sshUserEntity->getSite(); goto B11b7; D0298: return $form; goto e6587; Dbdca: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\154\141\x73\x73" => "\x62\164\156\40\142\x74\x6e\55\142\x6c\x75\145\40\142\x74\x6e\x2d\x6c\x67"], "\x6c\x61\x62\x65\154" => "\x41\144\x64\x20\125\x73\x65\162"]); goto D0298; e6587: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto e4a57; e4a57: if (true === $form->isValid()) { goto Fdb1f; } goto f52eb; e5cc7: c98bb: goto C3145; a1122: goto c98bb; goto dc442; f52eb: $this->formErrors = $this->getErrorMessages($form); goto a1122; dc442: Fdb1f: goto C6e84; C6e84: try { goto C9403; Bc46a: $eventData = ["\x73\x69\x74\x65" => $domainName, "\165\163\145\x72\x4e\141\155\145" => $sshUserName, "\163\x73\x68\113\x65\x79\163" => $sshKeys]; goto b8d10; A5129: $sshUserPassword = $form->get("\160\x61\163\163\167\x6f\162\x64")->getData(); goto bfa02; bb9e9: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\x65\x73")); goto fe759; b8d10: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto F548d; ffc07: $sshUserName = $sshUserEntity->getUserName(); goto A5129; A7d64: $sshUserEntity = $form->getData(); goto ffc07; Cd329: $this->siteEntityManager->updateEntity($siteEntity); goto Ee66a; F342b: return $response; goto f7e78; da838: if (false === is_null($siteEntity)) { goto e0023; } goto bb9e9; B501b: $user = $this->getUser(); goto A7d64; bfa02: $sshUserEntity->setPassword($sshUserPassword); goto D5121; C9403: $session = $request->getSession(); goto eedb7; eedb7: $domainName = $site->getDomainName(); goto B5347; b5f97: F9c0d: goto Bc46a; acdf7: $siteEntity->addSshUser($sshUserEntity); goto Cd329; E588e: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto b5f97; A46a0: if (!(false === empty($sshKeys))) { goto F9c0d; } goto E588e; fe759: goto b553d; goto f2bf9; F548d: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\163", $this->translator->trans("\125\x73\x65\x72\40\x68\141\163\40\142\x65\x65\x6e\40\141\x64\x64\x65\144\56")); goto Ed079; Ed079: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\137\x75\163\x65\162\x73", ["\x64\157\155\x61\151\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto Cf23e; f2bf9: e0023: goto B501b; de17e: $siteUpdater->createSshUser($sshUserEntity); goto A46a0; B5347: $siteEntity = $this->getSiteEntity($domainName); goto da838; Cf23e: b553d: goto F342b; D5121: $sshKeys = $sshUserEntity->getSshKeys(); goto acdf7; Ee66a: $siteUpdater = $this->getSiteUpdater($site); goto de17e; f7e78: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\x41\156\x20\x65\x72\x72\x6f\162\x20\150\141\163\x20\157\x63\143\x75\162\x72\145\144\54\40\x65\162\x72\157\162\40\x6d\145\163\163\x61\147\145\72\40\x25\x65\162\162\x6f\x72\115\x65\x73\163\x61\x67\145\x25", ["\x25\x65\162\x72\x6f\162\115\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto e5cc7; C3145: } public function editSshUser(Request $request) : Response { goto F51ee; f15e6: $response = $this->render("\x46\x72\x6f\x6e\x74\145\x6e\x64\57\123\x69\164\145\57\145\x64\x69\164\x2d\163\x73\150\55\x75\163\x65\162\56\x68\164\155\154\56\x74\167\x69\x67", ["\163\x69\x74\145" => $site, "\146\x6f\162\x6d" => $form->createView(), "\x66\157\x72\x6d\105\x72\x72\x6f\162\163" => $this->formErrors]); goto ba562; Fb54e: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto a363f; fc893: $form->handleRequest($request); goto Fb88f; a735d: $form = $this->createSshUserEditForm($sshUserEntity); goto fc2b4; fc2b4: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto A6acc; } goto fc893; eed70: $site = $this->getSite($request); goto Fb54e; Fb88f: if (!(true === $form->isSubmitted())) { goto d8123; } goto f9f58; Ed76a: d8123: goto b538f; b538f: A6acc: goto f15e6; Cee5f: return $response; goto Ecb3d; c8257: goto f1f69; goto Ce366; Ce366: C599e: goto a735d; C7887: return $response; goto d14eb; F51ee: $userName = $request->get("\165\x73\145\x72\x4e\141\x6d\x65"); goto eed70; ba562: f1f69: goto Cee5f; F8742: if (!(false === is_null($response))) { goto b3595; } goto C7887; e17c5: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\x65\163")); goto c8257; f9f58: $response = $this->handleSshUserEditForm($request, $form, $site); goto F8742; d14eb: b3595: goto Ed76a; a363f: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto C599e; } goto e17c5; Ecb3d: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto f0afc; f0afc: $siteEntity = $sshUserEntity->getSite(); goto A5fff; A5fff: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\x72\x6d\x5c\x53\x69\164\x65\123\x73\150\x55\163\145\x72\x45\x64\151\x74\124\171\x70\x65", $sshUserEntity, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\143\154\x70\137\163\x69\x74\145\x5f\x73\x73\150\137\x75\163\x65\162\x5f\145\x64\151\x74", ["\144\157\155\141\151\156\x4e\x61\155\145" => $siteEntity->getDomainName(), "\165\x73\x65\162\x4e\x61\x6d\145" => $sshUserEntity->getUserName()]), "\155\145\164\150\157\x64" => "\x50\117\x53\124", "\141\164\164\x72" => []]); goto E7411; E7411: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\141\163\x73" => "\142\x74\156\40\142\164\x6e\x2d\x62\x6c\165\145\40\142\164\156\x2d\154\x67"], "\x6c\x61\x62\145\154" => "\x53\141\x76\x65"]); goto C6d9c; C6d9c: return $form; goto B5428; B5428: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto A02bd; A02bd: if (true === $form->isValid()) { goto E865a; } goto a4e00; Aee3a: goto Fb6f0; goto f22c9; E5c7f: Fb6f0: goto F704e; a4e00: $this->formErrors = $this->getErrorMessages($form); goto Aee3a; f22c9: E865a: goto Aa649; Aa649: try { goto C5615; F67e7: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto Faa1a; Faa1a: C1914: goto B7567; Fa435: $eventData = ["\x73\x69\164\x65" => $domainName, "\165\x73\145\x72\116\141\155\145" => $sshUserName, "\x73\163\x68\x4b\x65\171\163" => $sshKeys]; goto ba091; aa168: $this->siteEntityManager->updateEntity($siteEntity); goto fda1b; F111a: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\x73")); goto b2b4d; Fe87d: if (false === is_null($siteEntity)) { goto af6f5; } goto F111a; fda1b: $siteUpdater = $this->getSiteUpdater($site); goto a7a14; fe23f: return $response; goto D269d; a0801: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\x5f\165\163\x65\x72\163", ["\144\x6f\x6d\x61\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto A9ff3; ba091: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto Fd486; ba5a0: af6f5: goto bd4ee; B19d3: $sshUserName = $sshUserEntity->getUserName(); goto D9703; a7a14: if (!(false === empty($sshUserPassword))) { goto C1914; } goto F67e7; ce138: $domainName = $site->getDomainName(); goto b6825; bd4ee: $user = $this->getUser(); goto f1d89; A9ff3: A08af: goto fe23f; f1d89: $sshUserEntity = $form->getData(); goto B19d3; C5615: $session = $request->getSession(); goto ce138; Fd486: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\x73", $this->translator->trans("\x55\x73\145\162\40\150\141\x73\x20\x62\x65\145\156\x20\163\141\x76\x65\x64\x2e")); goto a0801; b2b4d: goto A08af; goto ba5a0; D9703: $sshUserPassword = $form->get("\160\x61\163\x73\x77\157\x72\144")->getData(); goto c7d27; B7567: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto Fa435; c7d27: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto aa168; b6825: $siteEntity = $this->getSiteEntity($domainName); goto Fe87d; D269d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\x41\x6e\40\x65\162\x72\x6f\x72\x20\x68\141\163\x20\157\x63\x63\x75\162\x72\145\144\54\40\145\162\x72\157\162\x20\x6d\x65\x73\x73\141\x67\x65\72\x20\x25\145\162\x72\157\162\115\x65\x73\x73\141\x67\x65\45", ["\45\x65\x72\x72\x6f\162\115\x65\163\x73\141\x67\x65\45" => $e->getMessage()])); } goto E5c7f; F704e: } public function deleteSshUser(Request $request) : Response { goto F33a9; Ad08e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\x73")); goto bf809; d0aa0: b25dd: goto Ad08e; faa6a: $this->checkCsrfToken($request, "\165\x73\x65\162\55\x64\145\154\x65\164\145"); goto ba35b; bf809: return $response; goto E033b; ba35b: if (!(false === is_null($site))) { goto b25dd; } goto Ccf6b; Ccf6b: try { goto Df379; Bed55: $this->siteEntityManager->updateEntity($siteEntity); goto fed92; fca71: $siteEntity->removeSshUser($sshUserEntity); goto Bed55; Ef091: $siteEntity = $this->getSiteEntity($domainName); goto C464f; ec7e0: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto acdc8; } goto ef316; adfae: C6292: goto Bfc94; F3f7a: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto aaab7; Cb5ff: $userName = $request->get("\x75\x73\145\162\x4e\141\x6d\x65"); goto A4465; E549d: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto C6292; } goto F0996; F33d4: $userName = $sshUserEntity->getUserName(); goto fca71; fed92: $siteUpdater = $this->getSiteUpdater($site); goto D0fae; F0996: $user = $this->getUser(); goto F33d4; D0fae: $siteUpdater->deleteUser($userName, true); goto Bcc64; Df379: $session = $request->getSession(); goto Cb5ff; fff1e: return $response; goto adfae; c06db: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\137\x75\163\x65\162\x73", ["\144\157\x6d\x61\151\x6e\116\141\155\145" => $site->getDomainName()])); goto fff1e; ef316: $sshUserSiteEntity = $sshUserEntity->getSite(); goto E549d; Bcc64: $evenData = ["\x73\151\x74\145" => $domainName, "\x75\163\x65\x72\x4e\x61\x6d\x65" => $userName]; goto F3f7a; aaab7: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\x55\163\x65\x72\40\150\x61\x73\x20\142\x65\145\156\40\144\x65\x6c\x65\x74\x65\x64\56")); goto c06db; C464f: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto ec7e0; Bfc94: acdc8: goto Ac031; A4465: $domainName = $site->getDomainName(); goto Ef091; Ac031: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\x41\156\40\x65\162\162\157\162\40\150\141\x73\40\x6f\x63\x63\x75\162\162\x65\x64\54\40\145\x72\162\157\162\40\155\x65\x73\x73\x61\x67\x65\x3a\x20\x25\x65\x72\162\157\162\115\145\163\x73\141\147\x65\45", ["\x25\x65\162\162\x6f\162\115\x65\163\163\141\x67\145\45" => $e->getMessage()])); } goto d0aa0; F33a9: $site = $this->getSite($request); goto faa6a; E033b: } public function security(Request $request) : Response { goto aa5aa; B43f3: F7c3e: goto E8d4c; Ea54a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto e9d2e; E62f8: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto baf88; C1abf: $basicAuthEntity->setSite($siteEntity); goto a938f; c0082: b4580: goto C1abf; C610b: return $response; goto D6f6d; Afec7: $blockedBots = $site->getBlockedBots(); goto Ee48b; e431c: E35d2: goto Ea54a; A4395: if (!(true === $basicAuthForm->isSubmitted())) { goto Adb38; } goto E62f8; baf88: if (!(false === is_null($response))) { goto e6d38; } goto C610b; e9d2e: $cloudflareData = ["\141\x6c\x6c\157\x77\124\x72\x61\x66\x66\x69\x63\106\162\157\x6d\103\x6c\157\x75\x64\x66\x6c\141\162\145\x4f\156\154\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto Afec7; Bdc63: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\x65\x73")); goto C188d; bf4be: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto A8939; ad649: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto c0082; A8939: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto F7c3e; } goto b1ca9; A5628: d347b: goto B43f3; B54cf: if (false === is_null($site)) { goto E35d2; } goto Bdc63; b68dc: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto b43d8; Ee48b: $blockedIps = $site->getBlockedIps(); goto b23f1; b1ca9: $basicAuthForm->handleRequest($request); goto F3ec2; d1b01: Adb38: goto Dc6ab; f2189: if (!(true === is_null($basicAuthEntity))) { goto b4580; } goto ad649; a52b0: return $response; goto c97e2; D41b1: return $response; goto C0d9b; C188d: goto D8d9b; goto e431c; d89a6: D8d9b: goto a52b0; E8d4c: $response = $this->render("\106\162\x6f\x6e\164\x65\156\x64\57\123\151\164\x65\57\x73\145\143\x75\162\x69\164\171\56\x68\164\155\x6c\x2e\164\167\151\147", ["\163\x69\164\x65" => $site, "\142\x6c\x6f\143\153\145\x64\x49\160\x73" => $blockedIps, "\142\154\157\143\x6b\x65\x64\102\x6f\x74\x73" => $blockedBots, "\x62\x61\163\x69\x63\101\165\164\150\x46\x6f\x72\155" => $basicAuthForm->createView(), "\143\x6c\x6f\165\144\146\x6c\141\x72\x65\x46\x6f\162\155" => $cloudflareForm->createView(), "\x66\157\x72\155\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto d89a6; a938f: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto bf4be; aa5aa: $site = $this->getSite($request); goto B54cf; C0d9b: df8d2: goto A5628; F3ec2: $cloudflareForm->handleRequest($request); goto A4395; Dc6ab: if (!(true === $cloudflareForm->isSubmitted())) { goto d347b; } goto b68dc; b23f1: $basicAuthEntity = $site->getBasicAuth(); goto f2189; D6f6d: e6d38: goto d1b01; b43d8: if (!(false === is_null($response))) { goto df8d2; } goto D41b1; c97e2: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto d8420; a1ea9: return $form; goto B98cb; d8420: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\x72\155\x5c\x53\x69\164\x65\x43\x6c\x6f\x75\x64\146\x6c\141\x72\145\x54\x79\x70\x65", $data, ["\141\x63\164\x69\157\156" => $this->generateUrl("\143\154\x70\137\163\x69\x74\x65\137\163\x65\x63\165\x72\151\x74\x79", ["\144\x6f\x6d\141\x69\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\164\150\157\x64" => "\120\x4f\x53\x54", "\x61\x74\164\162" => []]); goto f05d2; f05d2: $form->add("\163\165\142\155\x69\x74", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\141\163\x73" => "\142\164\156\40\x62\x74\156\x2d\142\x6c\x75\145\x20\x62\x74\156\55\x6c\147"], "\x6c\141\x62\145\x6c" => "\123\141\x76\x65"]); goto a1ea9; B98cb: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto Cefc8; D2d1e: $form->add("\x73\165\x62\x6d\151\164", SubmitType::class, ["\x61\164\164\x72" => ["\x63\x6c\141\163\x73" => "\142\164\156\x20\142\164\x6e\x2d\142\x6c\x75\x65\40\142\164\x6e\55\x6c\147"], "\x6c\141\142\145\154" => "\123\x61\x76\x65"]); goto Dd563; Cefc8: $siteEntity = $basicAuthEntity->getSite(); goto cee14; Dd563: return $form; goto E9951; cee14: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\162\x6d\134\123\151\164\145\102\141\163\151\x63\101\x75\x74\x68\x54\x79\x70\145", $basicAuthEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\145\x5f\163\145\x63\165\162\x69\x74\171", ["\144\x6f\155\141\151\156\116\x61\155\145" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\x64" => "\x50\x4f\123\124", "\x61\164\x74\162" => []]); goto D2d1e; E9951: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto f7410; E51b5: c09ef: goto A364d; A364d: try { goto af274; d247f: $session->getFlashBag()->set("\x73\165\x63\143\145\163\163", $this->translator->trans("\102\x61\x73\151\x63\x20\x41\165\164\150\145\156\x74\151\x63\141\x74\x69\157\156\40\163\145\x74\164\151\156\147\163\40\x68\141\x76\x65\x20\142\x65\145\x6e\40\163\x61\x76\x65\x64\x2e")); goto Fdc5a; Ad462: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto C9aa6; a9502: $basicAuthEntity = $form->getData(); goto Fbef8; C9aa6: $siteUpdater->updateNginxVhost(); goto f3978; E39a9: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\145\163")); goto a8204; D7bd4: if (false === is_null($siteEntity)) { goto ec6cb; } goto E39a9; a56ed: $eventData = ["\163\x69\x74\x65" => $domainName, "\x61\x63\164\x69\x76\145" => true === $basicAuthEntity->getIsActive() ? "\61" : "\x30", "\x75\163\145\x72\116\141\x6d\x65" => $basicAuthEntity->getUserName(), "\x77\x68\x69\164\x65\x6c\x69\x73\x74\x65\144\x49\160\163" => $basicAuthEntity->getWhitelistedIps()]; goto A58dc; C370d: return $response; goto e2b01; f3978: $siteUpdater->reloadNginxService(); goto a56ed; af274: $session = $request->getSession(); goto Db90a; bf80c: $site->setBasicAuth($basicAuthEntity); goto A1670; Fa017: ec6cb: goto C97cb; A1670: $this->siteEntityManager->updateEntity($siteEntity); goto A8eeb; Fdc5a: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\x65\x5f\163\x65\143\x75\x72\151\x74\171", ["\144\x6f\x6d\x61\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto Bb2f9; C97cb: $user = $this->getUser(); goto a9502; Db90a: $domainName = $site->getDomainName(); goto b5711; Bb2f9: e3dfd: goto C370d; Fbef8: $siteEntity->setBasicAuth($basicAuthEntity); goto bf80c; b5711: $siteEntity = $this->getSiteEntity($domainName); goto D7bd4; A58dc: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto d247f; a8204: goto e3dfd; goto Fa017; A8eeb: $siteUpdater = $this->getSiteUpdater($site); goto Ad462; e2b01: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\x41\156\40\x65\x72\x72\x6f\x72\x20\150\x61\x73\x20\x6f\x63\143\165\162\162\145\144\54\x20\x65\x72\162\x6f\x72\40\x6d\145\x73\x73\141\x67\x65\x3a\40\x25\145\162\x72\157\162\115\145\163\x73\141\x67\x65\x25", ["\45\145\162\162\x6f\x72\115\x65\163\163\141\147\x65\x25" => $e->getMessage()])); } goto C56bc; f7410: if (true === $form->isValid()) { goto c09ef; } goto b880b; Facac: goto cd69f; goto E51b5; C56bc: cd69f: goto d1063; b880b: $this->formErrors = $this->getErrorMessages($form); goto Facac; d1063: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto Ad01c; be36e: try { goto C2a14; b5501: $allowTrafficFromCloudflareOnly = $form->get("\141\x6c\154\157\167\x54\x72\141\x66\x66\151\143\x46\x72\157\155\103\154\x6f\x75\144\x66\154\141\x72\x65\x4f\156\154\x79")->getData(); goto Da836; Ba0d1: $siteEntity = $this->getSiteEntity($domainName); goto f0bd7; c3341: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\163", $this->translator->trans("\103\154\157\x75\144\x66\154\141\162\x65\x20\163\x65\x74\164\x69\156\147\x73\x20\150\141\166\145\40\x62\145\145\156\40\x73\141\x76\x65\x64\x2e")); goto F8539; F8900: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto c3341; D378b: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto bfe23; f0bd7: if (false === is_null($siteEntity)) { goto e428d; } goto A87d1; b20aa: B7902: goto a9d59; Fbd4e: $siteUpdater = $this->getSiteUpdater($site); goto Cef38; a9d59: return $response; goto b1107; F8539: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\x5f\163\x65\x63\165\162\151\x74\171", ["\x64\157\155\x61\151\x6e\116\141\155\145" => $site->getDomainName()])); goto b20aa; Ed8ee: $siteUpdater->reloadNginxService(); goto f0210; f290f: $user = $this->getUser(); goto b5501; Ebd34: goto B7902; goto F54b6; bfe23: $this->siteEntityManager->updateEntity($siteEntity); goto Fbd4e; ccc1e: $domainName = $site->getDomainName(); goto Ba0d1; F54b6: e428d: goto f290f; A87d1: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\x65\163")); goto Ebd34; Cef38: $siteUpdater->updateNginxVhost(); goto Ed8ee; Da836: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto D378b; f0210: $eventData = ["\x73\x69\164\x65" => $domainName, "\141\154\154\157\167\x54\162\141\x66\146\151\x63\x46\x72\x6f\x6d\103\154\x6f\165\x64\x66\x6c\x61\x72\145\117\x6e\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\61" : "\x30"]; goto F8900; C2a14: $session = $request->getSession(); goto ccc1e; b1107: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\40\145\x72\x72\157\162\x20\150\x61\x73\x20\157\143\x63\165\162\162\x65\x64\x2c\x20\145\162\x72\x6f\162\x20\155\145\163\163\x61\x67\x65\72\x20\x25\145\x72\x72\157\x72\115\x65\x73\163\141\x67\x65\x25", ["\x25\x65\x72\x72\157\162\115\145\x73\x73\141\x67\x65\45" => $e->getMessage()])); } goto b77d4; Ad01c: if (true === $form->isValid()) { goto bb95c; } goto ff825; b77d4: E5c91: goto d75b7; ff825: $this->formErrors = $this->getErrorMessages($form); goto Caf57; Caf57: goto E5c91; goto C72c7; C72c7: bb95c: goto be36e; d75b7: } public function newBlockedIp(Request $request) : Response { goto E2f94; Af1f6: e6e48: goto c2d2c; c2d2c: F72d0: goto Bd9ff; Ee0a8: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto Ec79f; C4d66: B33fc: goto a1010; cff01: if (false === is_null($site)) { goto B33fc; } goto F5234; Bea5a: return $response; goto d9d57; ced56: goto faf69; goto C4d66; Ec79f: $blockedIpEntity->setSite($siteEntity); goto B1b48; Bf169: faf69: goto c81aa; e9ceb: $form->handleRequest($request); goto D2b3e; d9d57: eaecd: goto Af1f6; F5234: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\x65\x73")); goto ced56; B1b48: $form = $this->createBlockedIpForm($blockedIpEntity); goto a35f9; e9504: $response = $this->handleBlockedIpForm($request, $form, $site); goto F80a1; D2b3e: if (!(true === $form->isSubmitted())) { goto e6e48; } goto e9504; c81aa: return $response; goto A0f77; a35f9: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto F72d0; } goto e9ceb; Bd9ff: $response = $this->render("\106\162\157\156\x74\145\x6e\x64\57\123\x69\x74\x65\x2f\156\x65\167\55\142\154\157\x63\x6b\x65\x64\55\x69\160\56\150\164\x6d\154\56\164\167\x69\x67", ["\163\151\x74\x65" => $site, "\146\x6f\x72\155" => $form->createView(), "\146\x6f\162\155\105\162\162\x6f\x72\x73" => $this->formErrors]); goto Bf169; a1010: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ee0a8; E2f94: $site = $this->getSite($request); goto cff01; F80a1: if (!(false === is_null($response))) { goto eaecd; } goto Bea5a; A0f77: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto e216c; e216c: $siteEntity = $blockedIpEntity->getSite(); goto Ca96a; Ca96a: $form = $this->createForm("\x41\x70\x70\x5c\x46\x6f\x72\155\134\x53\x69\x74\x65\102\154\x6f\x63\153\145\144\111\x50\x54\171\x70\145", $blockedIpEntity, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\137\x73\x65\x63\165\162\x69\x74\x79\x5f\142\x6c\x6f\x63\x6b\145\144\137\151\160\x5f\156\145\x77", ["\144\x6f\155\141\151\x6e\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\155\145\x74\x68\157\x64" => "\120\x4f\123\x54", "\x61\x74\164\x72" => []]); goto Be432; e9526: return $form; goto Dd5fa; Be432: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\x61\163\x73" => "\x62\164\156\x20\x62\x74\x6e\x2d\x62\154\x75\x65\40\x62\164\x6e\x2d\154\147"], "\x6c\141\x62\145\154" => "\101\x64\x64\x20\111\x50"]); goto e9526; Dd5fa: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto F2c44; C484c: $this->formErrors = $this->getErrorMessages($form); goto C6cdc; F2c44: if (true === $form->isValid()) { goto a5e31; } goto C484c; B5e73: a5e31: goto a9156; Baf47: F9539: goto f133f; a9156: try { goto cee9a; F882d: a6af3: goto b6abb; b4c04: return $response; goto bb862; Ade8a: $siteUpdater = $this->getSiteUpdater($site); goto a3bdd; Ec363: E996e: goto b4c04; A4834: $siteEntity->addBlockedIp($blockedIp); goto Ac076; A054e: $eventData = ["\163\x69\x74\x65" => $domainName, "\151\x70" => $blockedIp->getIp()]; goto cf004; a3bdd: $siteUpdater->updateNginxVhost(); goto ed22e; ed22e: $siteUpdater->reloadNginxService(); goto A054e; Ac076: $this->siteEntityManager->updateEntity($siteEntity); goto Ade8a; cf8b7: $domainName = $site->getDomainName(); goto f92ae; Ef195: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\x73")); goto c48bb; c5d05: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\163", $this->translator->trans("\111\x50\x20\x68\x61\x73\x20\142\145\145\x6e\x20\x61\x64\144\145\144\x2e")); goto b304a; cf004: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto c5d05; f92ae: $siteEntity = $this->getSiteEntity($domainName); goto E5bec; c48bb: goto E996e; goto F882d; E5bec: if (false === is_null($siteEntity)) { goto a6af3; } goto Ef195; b7f53: $blockedIp = $form->getData(); goto A4834; b304a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\x65\137\x73\x65\x63\x75\162\151\164\171", ["\x64\157\x6d\141\x69\x6e\116\x61\155\x65" => $site->getDomainName()])); goto Ec363; cee9a: $session = $request->getSession(); goto cf8b7; b6abb: $user = $this->getUser(); goto b7f53; bb862: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x41\x6e\x20\145\162\x72\157\x72\x20\x68\141\163\40\x6f\143\x63\x75\162\x72\145\x64\54\40\145\x72\162\157\162\x20\x6d\x65\163\x73\141\147\x65\72\x20\45\x65\x72\x72\157\162\115\x65\163\x73\x61\147\x65\x25", ["\45\x65\x72\162\x6f\x72\115\145\163\163\141\147\x65\45" => $e->getMessage()])); } goto Baf47; C6cdc: goto F9539; goto B5e73; f133f: } public function deleteBlockedIp(Request $request) : Response { goto ab2e3; ab2e3: $site = $this->getSite($request); goto c1851; fea5f: try { goto cd649; dc494: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto Cc540; Abd27: $siteUpdater = $this->getSiteUpdater($site); goto Fdf34; Fbb0d: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\x5f\x73\x65\143\x75\x72\151\x74\171", ["\x64\157\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto e4100; A65dc: $user = $this->getUser(); goto F7922; e4100: return $response; goto afbe9; cd649: $session = $request->getSession(); goto F3d7a; afbe9: c0903: goto Da5a8; F3d7a: $id = (int) $request->get("\151\144"); goto C24b4; Fdf34: $siteUpdater->updateNginxVhost(); goto da556; c1b23: $this->siteEntityManager->updateEntity($siteEntity); goto Abd27; da556: $siteUpdater->reloadNginxService(); goto F1f5e; de8c0: $session->getFlashBag()->set("\163\165\143\x63\x65\x73\x73", $this->translator->trans("\111\x50\x20\x68\141\163\40\142\x65\x65\x6e\x20\144\145\154\x65\164\145\x64\x2e")); goto Fbb0d; C24b4: $domainName = $site->getDomainName(); goto Bf7f6; Bf7f6: $siteEntity = $this->getSiteEntity($domainName); goto dc494; Cc540: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto c0903; } goto A65dc; F7922: $siteEntity->removeBlockedIp($blockedIpEntity); goto c1b23; F1f5e: $eventData = ["\x73\x69\x74\145" => $domainName, "\x69\x70" => $blockedIpEntity->getIp()]; goto F82db; F82db: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto de8c0; Da5a8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\162\x20\150\x61\163\x20\157\143\143\165\162\162\145\x64\x2c\40\x65\x72\x72\157\x72\x20\155\x65\163\163\141\x67\145\x3a\40\45\x65\x72\162\x6f\162\115\145\163\x73\141\x67\x65\45", ["\x25\145\x72\162\157\162\x4d\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto B67df; Fbed5: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\x73")); goto b02b1; b02b1: return $response; goto C566f; c1851: $this->checkCsrfToken($request, "\x69\x70\x2d\x64\x65\x6c\x65\x74\145"); goto Fdb01; B67df: d3377: goto Fbed5; Fdb01: if (!(false === is_null($site))) { goto d3377; } goto fea5f; C566f: } public function newBlockedBot(Request $request) : Response { goto b85a7; D1ee5: goto ed26e; goto Edb96; E2972: $response = $this->handleBlockedBotForm($request, $form, $site); goto B321b; Edb96: ba25b: goto Ff456; C8733: $form->handleRequest($request); goto fc6d6; F3af9: $form = $this->createBlockedBotForm($blockedBotEntity); goto fc0f0; fc6d6: if (!(true === $form->isSubmitted())) { goto bff64; } goto E2972; C16d2: $blockedBotEntity->setSite($siteEntity); goto F3af9; Ca57e: bff64: goto A7020; b85a7: $site = $this->getSite($request); goto D953f; C47ce: f39ce: goto Ca57e; Cb942: $response = $this->render("\x46\x72\157\156\164\x65\x6e\144\57\x53\151\164\145\57\156\x65\167\x2d\142\154\x6f\143\153\145\144\x2d\x62\x6f\164\x2e\150\x74\x6d\154\56\x74\x77\151\x67", ["\x73\151\x74\x65" => $site, "\x66\x6f\x72\155" => $form->createView(), "\x66\157\x72\x6d\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto F960c; C3fec: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x73")); goto D1ee5; F960c: ed26e: goto Bd639; fc0f0: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto D492f; } goto C8733; ba1d5: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto C16d2; D953f: if (false === is_null($site)) { goto ba25b; } goto C3fec; Ff456: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ba1d5; A7020: D492f: goto Cb942; Bd639: return $response; goto db111; B321b: if (!(false === is_null($response))) { goto f39ce; } goto A6708; A6708: return $response; goto C47ce; db111: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto bb65a; edb0d: $form = $this->createForm("\x41\160\x70\134\x46\157\162\x6d\x5c\x53\151\x74\x65\x42\154\x6f\x63\153\145\x64\102\157\164\x54\x79\160\145", $blockedBotEntity, ["\141\x63\164\x69\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\163\151\164\145\x5f\163\x65\143\x75\x72\151\164\x79\x5f\142\154\x6f\x63\x6b\x65\144\x5f\x62\157\x74\x5f\x6e\145\167", ["\144\x6f\155\x61\x69\x6e\116\x61\155\145" => $siteEntity->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\x50\117\x53\x54", "\141\164\164\162" => []]); goto E503e; A5ece: return $form; goto Ee8aa; bb65a: $siteEntity = $blockedBotEntity->getSite(); goto edb0d; E503e: $form->add("\163\165\142\155\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\154\x61\163\x73" => "\142\x74\x6e\40\x62\x74\x6e\55\142\x6c\165\145\x20\142\x74\x6e\55\x6c\147"], "\x6c\x61\x62\145\x6c" => "\x41\144\x64\x20\102\x6f\164"]); goto A5ece; Ee8aa: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto fdc92; a71a9: goto B56d8; goto e952c; e952c: f3a0a: goto a3dba; fdc92: if (true === $form->isValid()) { goto f3a0a; } goto dc1b4; a3dba: try { goto Aea05; d4644: $user = $this->getUser(); goto a3cbe; cc31e: d8a4a: goto a2d0b; f22e2: if (false === is_null($siteEntity)) { goto Af187; } goto dc696; A7b48: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto dc539; C83e3: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\x5f\x73\x65\143\165\x72\151\164\171", ["\144\157\155\141\151\156\116\x61\155\x65" => $site->getDomainName()])); goto cc31e; a3cbe: $blockedBot = $form->getData(); goto be99e; d06e0: goto d8a4a; goto Eef93; dc539: $session->getFlashBag()->set("\163\165\143\x63\145\163\163", $this->translator->trans("\102\x6f\x74\x20\150\x61\x73\40\x62\145\145\156\40\x61\x64\x64\145\144\x2e")); goto C83e3; d75c7: $siteUpdater->reloadNginxService(); goto C8142; b57fe: $siteUpdater = $this->getSiteUpdater($site); goto Ba993; F1bb6: $siteEntity = $this->getSiteEntity($domainName); goto f22e2; Ba993: $siteUpdater->updateNginxVhost(); goto d75c7; febd6: $domainName = $site->getDomainName(); goto F1bb6; dc696: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\x65\x73")); goto d06e0; Eef93: Af187: goto d4644; C8142: $eventData = ["\x73\151\164\x65" => $domainName, "\x6e\141\155\x65" => $blockedBot->getName()]; goto A7b48; be99e: $siteEntity->addBlockedBot($blockedBot); goto D3259; Aea05: $session = $request->getSession(); goto febd6; a2d0b: return $response; goto a6389; D3259: $this->siteEntityManager->updateEntity($siteEntity); goto b57fe; a6389: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\x41\156\x20\x65\x72\x72\157\162\40\150\141\163\x20\157\x63\x63\x75\x72\162\145\x64\54\x20\x65\162\162\x6f\x72\x20\x6d\x65\x73\163\141\147\145\72\40\x25\145\x72\162\x6f\x72\115\145\163\163\141\x67\x65\45", ["\x25\145\162\x72\x6f\x72\x4d\x65\163\x73\141\x67\145\45" => $e->getMessage()])); } goto c649e; c649e: B56d8: goto d594b; dc1b4: $this->formErrors = $this->getErrorMessages($form); goto a71a9; d594b: } public function deleteBlockedBot(Request $request) : Response { goto Cba4c; Cc8bf: if (!(false === is_null($site))) { goto A84ff; } goto bd930; B2b8c: $this->checkCsrfToken($request, "\142\x6f\x74\55\x64\145\154\145\x74\145"); goto Cc8bf; af7da: return $response; goto Ef7d6; Af21d: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\163")); goto af7da; Cba4c: $site = $this->getSite($request); goto B2b8c; e6bea: A84ff: goto Af21d; bd930: try { goto D0eb9; d250d: $siteEntity->removeBlockedBot($blockedBotEntity); goto E4061; C8e6f: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto A974e; Ac24a: Fe428: goto c779f; c8063: $siteUpdater->updateNginxVhost(); goto D1dda; b9b9e: return $response; goto Ac24a; c83f6: $id = (int) $request->get("\151\x64"); goto Bdd93; Bdd93: $domainName = $site->getDomainName(); goto E995b; ea045: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\145\137\x73\145\143\165\162\151\x74\171", ["\x64\x6f\x6d\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto b9b9e; E995b: $siteEntity = $this->getSiteEntity($domainName); goto f80e8; E4061: $this->siteEntityManager->updateEntity($siteEntity); goto Ebfcd; A974e: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\102\157\x74\x20\150\x61\x73\40\142\145\145\x6e\40\144\x65\154\145\x74\x65\x64\56")); goto ea045; D1dda: $siteUpdater->reloadNginxService(); goto ff8fb; Ebfcd: $siteUpdater = $this->getSiteUpdater($site); goto c8063; a9434: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto Fe428; } goto d1edd; f80e8: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto a9434; D0eb9: $session = $request->getSession(); goto c83f6; d1edd: $user = $this->getUser(); goto d250d; ff8fb: $eventData = ["\163\151\164\145" => $domainName, "\x6e\141\x6d\145" => $blockedBotEntity->getName()]; goto C8e6f; c779f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\x72\x20\150\141\x73\x20\x6f\x63\143\165\162\162\x65\x64\x2c\x20\x65\162\x72\x6f\x72\40\155\145\x73\x73\141\x67\x65\x3a\x20\45\145\x72\162\157\x72\x4d\x65\163\163\141\x67\145\x25", ["\x25\145\x72\162\x6f\x72\115\x65\x73\163\141\x67\145\45" => $e->getMessage()])); } goto e6bea; Ef7d6: } public function certificates(Request $request) : Response { goto C3f3c; a3606: if (false === is_null($site)) { goto f8ee1; } goto dd887; f0c2a: return $response; goto c5585; dd887: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\164\145\163")); goto C19e9; B73e1: E9ae9: goto f0c2a; D74c0: $certificates = $site->getCertificates(); goto cbcc3; Aed99: f8ee1: goto B8a46; cbcc3: $response = $this->render("\106\162\157\x6e\x74\145\x6e\144\x2f\x53\x69\x74\145\x2f\143\x65\x72\164\151\146\151\x63\141\x74\x65\x73\56\x68\164\x6d\154\56\164\167\151\147", ["\163\x69\164\145" => $site, "\151\156\163\x74\x61\x6c\154\x65\x64\x43\145\162\x74\x69\x66\151\143\x61\x74\145" => $installedCertificate, "\x63\145\162\x74\x69\146\x69\143\x61\x74\x65\163" => $certificates]); goto B73e1; C3f3c: $site = $this->getSite($request); goto a3606; B8a46: $installedCertificate = $site->getCertificate(); goto D74c0; C19e9: goto E9ae9; goto Aed99; c5585: } public function importCertificate(Request $request) : Response { goto b6333; aba9b: $response = $this->handleImportCertificateForm($request, $form, $site); goto Ef5fa; bc00f: $form->handleRequest($request); goto e2d60; C7f1f: F898e: goto cfb1d; b6333: $site = $this->getSite($request); goto f8d44; Ef5fa: if (!(false === is_null($response))) { goto B731e; } goto E392b; fe4fe: $certificateEntity = $this->certificateEntityManager->createEntity(); goto D8f80; C0b72: $form = $this->createImportCertificateForm($certificateEntity); goto c98f8; Fa572: goto c318b; goto d5dff; Cd3bc: B731e: goto Eb1fb; f8d44: if (false === is_null($site)) { goto B64a6; } goto B09e5; d64eb: $certificateEntity->setSite($siteEntity); goto C0b72; ee83e: c318b: goto aa5c6; E392b: return $response; goto Cd3bc; aa5c6: return $response; goto a0c1c; D8f80: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto d64eb; d5dff: B64a6: goto D0067; Eb1fb: A4a72: goto C7f1f; cfb1d: $response = $this->render("\106\x72\x6f\x6e\164\x65\156\144\x2f\x53\151\x74\145\57\x69\x6d\x70\157\162\164\x2d\x63\x65\162\x74\x69\x66\x69\x63\x61\164\x65\56\x68\164\x6d\154\x2e\164\x77\x69\147", ["\163\x69\164\145" => $site, "\x66\x6f\162\155" => $form->createView(), "\x66\157\162\x6d\105\162\x72\x6f\x72\163" => $this->formErrors]); goto ee83e; B09e5: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\x65\x73")); goto Fa572; e2d60: if (!(true === $form->isSubmitted())) { goto A4a72; } goto aba9b; D0067: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto fe4fe; c98f8: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto F898e; } goto bc00f; a0c1c: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto D7fd9; D7fd9: $siteEntity = $certificateEntity->getSite(); goto be21e; be21e: $form = $this->createForm("\x41\160\x70\134\106\x6f\x72\x6d\134\123\151\164\x65\111\x6d\x70\157\162\164\x43\x65\x72\x74\151\146\x69\143\141\x74\145\124\171\160\x65", $certificateEntity, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\143\x6c\160\137\x73\151\164\145\x5f\143\x65\x72\x74\x69\x66\x69\143\x61\x74\145\137\151\155\160\157\162\164", ["\x64\x6f\155\141\151\156\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\150\x6f\144" => "\x50\117\x53\x54", "\141\164\164\x72" => []]); goto bb104; B0558: return $form; goto fcc35; bb104: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\143\x6c\141\x73\x73" => "\142\164\156\40\142\164\156\x2d\142\x6c\x75\x65\40\142\164\156\55\154\147"], "\154\141\142\x65\154" => "\111\x6d\160\x6f\x72\x74\40\x61\x6e\x64\40\111\156\x73\x74\141\x6c\154"]); goto B0558; fcc35: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto ab6c2; eb43d: try { goto F2a82; Be605: d1ca9: goto d6989; d6989: return $response; goto aa4ff; b98c7: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto C82f2; fe2eb: $siteEntity->addCertificate($certificateEntity); goto D630a; b81a5: if (false === is_null($siteEntity)) { goto d19df; } goto e09b0; C82f2: $session->getFlashBag()->set("\163\165\143\143\x65\x73\163", $this->translator->trans("\x43\x65\162\164\x69\x66\151\x63\141\164\x65\40\x68\x61\163\x20\142\x65\145\x6e\x20\151\156\x73\164\141\x6c\154\145\x64\56")); goto fd835; Cb3b0: $siteEntity = $this->getSiteEntity($domainName); goto b81a5; b57f8: $certificateEntity = $form->getData(); goto B3df3; f30e8: $domainName = $site->getDomainName(); goto Cb3b0; Eadb9: goto d1ca9; goto bb8ba; F2a82: $session = $request->getSession(); goto f30e8; bb8ba: d19df: goto c9ce6; B12d4: $siteEntity->setCertificate($certificateEntity); goto fe2eb; fced4: $siteUpdater->installCertificate($certificateEntity); goto B12d4; c9ce6: $user = $this->getUser(); goto b57f8; D630a: $this->siteEntityManager->updateEntity($siteEntity); goto f6c3e; fd835: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\x65\x5f\x63\x65\x72\x74\x69\x66\151\x63\141\x74\x65\163", ["\x64\157\155\x61\151\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto Be605; B3df3: $siteUpdater = $this->getSiteUpdater($site); goto fced4; e09b0: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\x73")); goto Eadb9; f6c3e: $evenData = ["\x73\151\x74\145" => $domainName]; goto b98c7; aa4ff: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\x41\156\x20\x65\x72\162\157\x72\x20\150\x61\x73\x20\157\x63\143\165\162\x72\x65\144\x2c\40\x65\162\162\157\x72\40\x6d\x65\163\x73\141\x67\145\x3a\40\x25\145\x72\162\157\162\x4d\145\163\x73\x61\147\x65\x25", ["\x25\145\162\x72\x6f\162\x4d\145\163\x73\141\147\x65\45" => $e->getMessage()])); } goto E1c18; E1c18: Af7da: goto e73d9; B01c6: $this->formErrors = $this->getErrorMessages($form); goto Dc367; Da714: fc8d5: goto eb43d; ab6c2: if (true === $form->isValid()) { goto fc8d5; } goto B01c6; Dc367: goto Af7da; goto Da714; e73d9: } public function newLetsEncryptCertificate(Request $request) : Response { goto Ef0ee; d827b: $domainName = $site->getDomainName(); goto Cd34f; Dc4e8: if (!(false === is_null($response))) { goto Cfaec; } goto c5750; Cce93: $domains = array_unique($domains); goto dc9dd; D5c5a: E27ea: goto d827b; fffbf: aeb63: goto A1773; D0487: if (true === is_null($subdomain) || "\167\167\167" == $subdomain) { goto C9760; } goto ac540; Cfb0f: if (true === $request->isMethod("\120\x4f\x53\124")) { goto aeb63; } goto edd52; c5750: return $response; goto Ab8f0; Cd34f: $form = $this->createLetsEncryptCertificateForm($domainName); goto deecf; b2d48: if (false === is_null($site)) { goto E27ea; } goto F3acb; e1dd6: C9760: goto c70b7; ac540: $domains = [$domainName]; goto F606a; dd142: if (!(true === $form->isSubmitted())) { goto e48f9; } goto ecdd0; Ef6d0: $domains = array_map("\x74\x72\x69\155", $domains); goto Cce93; ed02c: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto Ef6d0; F4e44: a82ac: goto fd45c; ed754: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Eb5b6; ecdd0: $domains = (array) $request->get("\x64\x6f\155\141\x69\156\163"); goto ed02c; Ab8f0: Cfaec: goto f0f3c; Eb5b6: $subdomain = $resolvedDomainName->subDomain()->toString(); goto Bde12; D1155: b4e8b: goto F70b4; Aba16: goto a82ac; goto D5c5a; fd45c: return $response; goto F7a1f; Ef0ee: $site = $this->getSite($request); goto b2d48; B9bf5: eb331: goto B7d15; A1773: $form->handleRequest($request); goto dd142; dc9dd: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto Dc4e8; F606a: goto b4e8b; goto e1dd6; Bde12: $subdomain = false === empty($subdomain) ? $subdomain : null; goto D0487; f0f3c: e48f9: goto B9bf5; deecf: $domains = []; goto Cfb0f; B7d15: $response = $this->render("\x46\x72\157\156\164\145\x6e\144\57\123\x69\164\x65\57\156\x65\167\x2d\154\145\164\x73\x2d\x65\x6e\x63\x72\x79\x70\164\x2d\143\145\x72\164\x69\146\x69\143\x61\x74\x65\56\150\x74\155\154\x2e\x74\167\x69\147", ["\x73\151\164\145" => $site, "\144\x6f\155\x61\x69\156\163" => $domains, "\x66\157\162\x6d" => $form->createView(), "\146\x6f\x72\x6d\x45\162\162\157\162\x73" => $this->formErrors]); goto F4e44; c70b7: $domains = [$registrableDomain, sprintf("\167\x77\167\56\45\163", $registrableDomain)]; goto D1155; F3acb: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\163")); goto Aba16; edd52: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto ed754; F70b4: goto eb331; goto fffbf; F7a1f: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto b6a70; b6a70: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\155\x5c\x53\x69\164\145\x4c\x65\164\x73\105\x6e\143\x72\x79\x70\x74\x43\145\162\x74\x69\146\x69\x63\x61\x74\x65\124\171\160\x65", [], ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\143\154\160\137\x73\151\164\145\137\x6c\145\164\x73\x5f\x65\156\143\162\171\x70\164\x5f\x63\145\162\164\151\x66\x69\x63\x61\x74\145\137\x6e\145\x77", ["\144\157\x6d\141\x69\156\116\x61\x6d\x65" => $domainName]), "\x6d\x65\x74\150\x6f\144" => "\120\x4f\x53\x54", "\141\164\164\x72" => ["\151\x64" => "\143\x72\x65\x61\x74\x65\x2d\154\145\x74\163\x2d\145\156\x63\x72\x79\160\164\x2d\x63\145\162\x74\151\x66\151\143\141\164\145\55\146\157\x72\155"]]); goto b9b45; b9b45: $form->add("\x73\165\x62\x6d\151\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\141\x73\163" => "\142\x74\156\40\x62\x74\x6e\55\142\154\165\145\40\x62\164\x6e\x2d\154\147"], "\x6c\141\x62\145\x6c" => "\103\x72\145\141\164\x65\40\x61\x6e\144\40\111\156\x73\x74\x61\154\154"]); goto deeb9; deeb9: return $form; goto Ca688; Ca688: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto B6056; B6056: if (!(true === $form->isValid())) { goto C41c9; } goto a1e74; ea510: $this->formErrors = $this->getErrorMessages($form); goto F5083; B3854: C41c9: goto ea510; a1e74: try { goto F3258; b7459: $user = $this->getUser(); goto Aa5ce; b5dbc: if (true === empty($validationErrors)) { goto F1588; } goto C46cc; D7bd0: $this->siteEntityManager->updateEntity($siteEntity); goto e27c6; c2968: $session->getFlashBag()->set("\x73\165\x63\143\145\163\163", $this->translator->trans("\x43\145\162\x74\x69\146\x69\x63\141\x74\x65\40\150\141\163\x20\x62\x65\x65\x6e\40\151\156\163\164\141\154\x6c\145\144\x2e")); goto e3cc7; B853f: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto B6e62; b433a: $siteUpdater = $this->getSiteUpdater($site); goto D54eb; A6b7e: $letsEncryptClient->registerAccount(); goto Ad7aa; e27c6: $evenData = ["\163\151\x74\x65" => $domainName]; goto E6159; E28d0: $letsEncryptClient->registerAccount(); goto Ad7c3; c35fb: $domainName = $site->getDomainName(); goto f48db; E86e9: $distinguishedNameDomains = $domains; goto Fbb3e; Ea72c: $certificateEntity = $this->certificateEntityManager->createEntity(); goto E0409; c3b03: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto Efc07; c7131: if (!(true === empty($validationErrors))) { goto Fc391; } goto efbdd; b4355: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto b433a; e4ba0: return $response; goto F1be5; Ad7c3: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Cc805; c28dc: F1588: goto E86e9; F853c: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto fe17a; C027e: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto c3b03; efbdd: $letsEncryptClient = new LetsEncryptClient($privateKey); goto E28d0; Efc07: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto C2e3b; fe17a: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto a5100; Ba93e: A3d06: goto b7459; D54eb: $siteUpdater->installCertificate($certificateEntity); goto d2598; F6385: $siteEntity->addCertificate($certificateEntity); goto D7bd0; Fbb3e: $commonName = array_shift($distinguishedNameDomains); goto d8c36; B537d: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto Ea72c; E6159: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto c2968; daf81: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto bd24f; ac020: goto e4cdc; goto c28dc; c747a: $certificateEntity->setCsr($certificate->getCsr()); goto B853f; ed533: if (false === is_null($siteEntity)) { goto A3d06; } goto bbe63; C2e3b: Fc391: goto b5dbc; f48db: $siteEntity = $this->getSiteEntity($domainName); goto ed533; Cc805: $siteUpdater = $this->getSiteUpdater($site); goto C027e; F1be5: goto bd18c; goto Ba93e; C46cc: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\x73\x3a\40\x25\x73", $domain, $validationErrorMessage))); Ae8f7: } goto c72c5; D6c79: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto B5abe; A7ced: return $response; goto ffc60; B3a73: $certificateEntity->setSite($siteEntity); goto c747a; B5abe: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto Ed893; Ed893: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto c7131; e3cc7: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\145\x5f\143\x65\162\164\151\146\x69\143\x61\164\x65\x73", ["\144\157\x6d\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto A7ced; Ad7aa: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto D2532; a5100: $csr = $csrGenerator->generate(); goto B537d; E0409: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto B3a73; D2532: $siteUpdater = $this->getSiteUpdater($site); goto D6c79; eb2bf: $rsaKeyGenerator = new RsaKeyGenerator(); goto F853c; eba03: $letsEncryptClient->setDryRun(true); goto A6b7e; F3258: $session = $request->getSession(); goto c35fb; c72c5: eeff2: goto ac020; bbe63: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\x65\163")); goto e4ba0; B6e62: $certificateEntity->setCertificate($certificate->getCertificate()); goto b4355; Aa5ce: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\160\x72\151\166\141\164\145\137\153\145\x79"); goto daf81; bd24f: $letsEncryptClient = new LetsEncryptClient($privateKey); goto eba03; ffc60: e4cdc: goto db91f; d8c36: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto eb2bf; d2598: $siteEntity->setCertificate($certificateEntity); goto F6385; db91f: bd18c: goto f0c0b; f0c0b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\162\162\157\x72\40\x68\x61\163\40\x6f\x63\143\x75\x72\162\x65\x64\x2c\40\145\162\162\x6f\x72\x20\155\x65\x73\x73\141\x67\145\72\x20\45\x65\162\x72\157\162\x4d\145\x73\x73\x61\147\145\x25", ["\x25\145\x72\162\x6f\162\x4d\145\163\163\141\x67\x65\45" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto D48de; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); D48de: } goto B3854; F5083: } public function installCertificate(Request $request) : Response { goto e667c; dea4a: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\x73")); goto d5d8e; e667c: $site = $this->getSite($request); goto cb1dc; cb1dc: if (!(false === is_null($site))) { goto Be212; } goto Ceab0; Ceab0: try { goto ae074; e3bce: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\145\137\143\145\x72\164\151\x66\x69\143\x61\164\x65\x73", ["\x64\x6f\x6d\x61\151\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto bda5f; a96d3: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto D8953; } goto e75d5; eb89f: $uid = $request->get("\x75\x69\144"); goto a8f62; ae074: $session = $request->getSession(); goto eb89f; e1939: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\163", $this->translator->trans("\x43\x65\162\x74\x69\x66\151\143\141\x74\145\x20\x68\x61\163\x20\142\145\145\156\40\x69\x6e\163\x74\x61\x6c\154\x65\x64\x2e")); goto e3bce; d1cbd: $siteEntity->setCertificate($certificateEntity); goto A47b7; d6bd1: $siteEntity = $this->getSiteEntity($domainName); goto F2173; a8f62: $domainName = $site->getDomainName(); goto d6bd1; F2173: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto a96d3; Ba373: $siteUpdater->installCertificate($certificateEntity); goto d1cbd; B67f2: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto e1939; b520e: $evenData = ["\x73\151\164\145" => $domainName]; goto B67f2; bda5f: return $response; goto Aa302; bfe3b: $user = $this->getUser(); goto b20a2; e75d5: $certificateSiteEntity = $certificateEntity->getSite(); goto fa776; B5485: D8953: goto e630d; A47b7: $this->siteEntityManager->updateEntity($siteEntity); goto b520e; b20a2: $siteUpdater = $this->getSiteUpdater($site); goto Ba373; Aa302: C2873: goto B5485; fa776: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto C2873; } goto bfe3b; e630d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x41\x6e\40\x65\162\x72\x6f\x72\40\x68\141\x73\40\x6f\x63\x63\x75\162\x72\x65\x64\x2c\40\x65\162\162\x6f\162\x20\x6d\x65\163\x73\141\x67\145\72\40\45\x65\x72\162\157\x72\x4d\x65\x73\163\x61\147\x65\x25", ["\45\x65\162\162\157\162\x4d\145\163\163\141\147\145\x25" => $e->getMessage()])); } goto e8711; e8711: Be212: goto dea4a; d5d8e: return $response; goto a9de3; a9de3: } public function deleteCertificate(Request $request) : Response { goto E0996; Bfded: if (!(false === is_null($site))) { goto Afc7b; } goto b41f3; b4d07: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\164\x65\x73")); goto cf6e8; E0996: $site = $this->getSite($request); goto c0c7d; bee9c: Afc7b: goto b4d07; c0c7d: $this->checkCsrfToken($request, "\x63\x65\162\x74\x69\146\x69\143\x61\164\145\x2d\144\145\x6c\x65\164\145"); goto Bfded; cf6e8: return $response; goto D7698; b41f3: try { goto e99db; Db769: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto d964c; } goto c5ac6; a67a9: $certificateSiteEntity = $certificateEntity->getSite(); goto Db769; C72b2: $siteEntity->removeCertificate($certificateEntity); goto f0bc1; B7c0e: $uid = $request->get("\x75\x69\x64"); goto c022e; a824f: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto dbf48; e4d48: $evenData = ["\x73\x69\x74\145" => $domainName]; goto C7eaf; c022e: $domainName = $site->getDomainName(); goto Ea2be; a1ae0: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\163", $this->translator->trans("\103\145\x72\164\151\146\151\x63\x61\x74\x65\x20\x68\x61\x73\x20\142\x65\x65\156\x20\x64\145\x6c\145\164\145\x64\56")); goto deaca; deaca: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\137\x63\x65\x72\164\x69\146\151\143\x61\x74\x65\x73", ["\144\x6f\155\x61\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto Afa8c; f6a70: fcd93: goto f29d6; f0bc1: $this->siteEntityManager->updateEntity($siteEntity); goto e4d48; Ea2be: $siteEntity = $this->getSiteEntity($domainName); goto a824f; C7eaf: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto a1ae0; c5ac6: $user = $this->getUser(); goto C72b2; a2467: d964c: goto f6a70; dbf48: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto fcd93; } goto a67a9; e99db: $session = $request->getSession(); goto B7c0e; Afa8c: return $response; goto a2467; f29d6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\40\x65\162\x72\x6f\162\40\x68\141\x73\40\x6f\x63\143\x75\162\162\x65\144\54\x20\145\x72\162\x6f\162\x20\x6d\x65\163\x73\141\147\145\x3a\x20\x25\x65\x72\x72\x6f\x72\115\145\x73\x73\x61\147\x65\x25", ["\45\145\x72\x72\157\162\x4d\145\163\x73\x61\x67\145\x25" => $e->getMessage()])); } goto bee9c; D7698: } public function databases(Request $request) : Response { goto Ef335; E349d: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto C9989; d16d4: e5657: goto Ffe57; F429b: f1d97: goto B2676; af277: b05d8: goto D9cb4; C9989: $numberOfDatabaseUsers = 0; goto c687c; e51f0: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\145\163")); goto B8ecc; D9cb4: $databases = $site->getDatabases(); goto E349d; B2676: $response = $this->render("\x46\x72\x6f\156\x74\x65\156\144\57\x53\151\x74\x65\x2f\144\x61\164\141\142\141\x73\145\x73\x2e\150\164\x6d\154\x2e\164\167\x69\147", ["\163\151\164\x65" => $site, "\144\x61\x74\x61\142\x61\163\145\163" => $databases, "\x6e\165\x6d\x62\145\162\x4f\146\104\141\x74\141\142\141\163\x65\x55\x73\x65\x72\x73" => $numberOfDatabaseUsers, "\x64\141\164\x61\x62\141\x73\x65\123\145\162\x76\145\162" => $databaseServerEntity]); goto d16d4; Ffe57: return $response; goto f87a1; Ef335: $site = $this->getSite($request); goto Ac73d; c687c: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); f7fce: } goto F429b; Ac73d: if (false === is_null($site)) { goto b05d8; } goto e51f0; B8ecc: goto e5657; goto af277; f87a1: } public function newDatabase(Request $request) : Response { goto Dd146; f78d8: $form->handleRequest($request); goto e7c15; F4021: D463b: goto E58a8; F4790: F0555: goto A1247; b9bde: $response = $this->render("\106\x72\x6f\x6e\164\x65\156\144\x2f\123\x69\164\x65\57\x6e\x65\167\55\144\x61\164\141\142\x61\163\145\56\x68\x74\x6d\154\x2e\164\x77\x69\147", ["\x73\151\164\145" => $site, "\x66\x6f\x72\155" => $form->createView(), "\146\x6f\162\x6d\x45\162\x72\x6f\162\x73" => $this->formErrors]); goto F4021; a88f3: $form = $this->createDatabaseForm($site, $databaseEntity); goto f09b2; E5242: goto D463b; goto F21ed; db8c1: E18a4: goto b9bde; d016b: return $response; goto F4790; e7c15: if (!(true === $form->isSubmitted())) { goto a7ff9; } goto c7197; e8098: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\x73")); goto E5242; A71e5: $databaseEntity->setSite($siteEntity); goto a88f3; A1247: a7ff9: goto db8c1; d499c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto f9541; c7197: $response = $this->handleDatabaseForm($request, $form, $site); goto ad586; f9541: $databaseEntity = $this->databaseEntityManager->createEntity(); goto A71e5; f09b2: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto E18a4; } goto f78d8; F21ed: E91b1: goto d499c; d8057: if (false === is_null($site)) { goto E91b1; } goto e8098; ad586: if (!(false === is_null($response))) { goto F0555; } goto d016b; E58a8: return $response; goto f69b9; Dd146: $site = $this->getSite($request); goto d8057; f69b9: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto d4e50; Bdc60: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\x63\x6c\x61\x73\163" => "\x62\x74\x6e\40\x62\164\156\x2d\142\154\x75\145\x20\142\164\x6e\55\x6c\x67"], "\x6c\x61\142\x65\x6c" => "\x41\144\x64\40\104\x61\x74\x61\142\x61\163\x65"]); goto d1d28; d1d28: return $form; goto d6233; d4e50: $form = $this->createForm("\101\160\x70\134\x46\x6f\x72\155\134\123\151\x74\x65\104\141\164\x61\142\141\x73\x65\124\171\x70\145", $databaseEntity, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\x70\137\163\151\x74\x65\137\144\x61\x74\x61\142\141\163\145\x5f\x6e\x65\x77", ["\x64\x6f\155\x61\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\150\x6f\x64" => "\x50\x4f\123\124", "\x61\164\x74\162" => []]); goto Bdc60; d6233: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto aab89; aab89: if (true === $form->isValid()) { goto c92fb; } goto B74ba; dafed: try { goto A2d85; bcb75: $domainName = $site->getDomainName(); goto Ff4ad; a3f5e: $databaseUserEntity->setDatabase($databaseEntity); goto e429d; fdfb2: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\x65\137\144\x61\x74\x61\142\141\163\145\163", ["\144\157\x6d\x61\151\156\116\141\155\x65" => $site->getDomainName()])); goto Db7dd; af53d: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto B3ff3; C7430: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\145\137\x64\x61\x74\x61\x62\141\x73\x65\137\x6e\145\167", ["\144\157\155\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto a5144; Acfb2: $this->siteEntityManager->updateEntity($siteEntity); goto efbd9; c948a: $siteEntity->addDatabase($databaseEntity); goto A51a4; Db7dd: Fec64: goto aab61; Cf891: $databaseUserPassword = $form->get("\x75\163\145\x72\x50\x61\163\x73\x77\157\x72\x64")->getData(); goto bd83b; B3ff3: $databaseEntity->setSite($siteEntity); goto Fc46f; bd83b: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto c30f4; Ff4ad: $siteEntity = $this->getSiteEntity($domainName); goto ffc00; E1814: $session = $request->getSession(); goto bcb75; A2d85: $user = $this->getUser(); goto E1814; b2862: $databaseManager->createUser($databaseUserEntity); goto Acfb2; Ec7fe: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto af53d; Efb2e: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ec7fe; e429d: $databaseEntity->addUser($databaseUserEntity); goto c948a; ed242: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto ef1a2; ef1a2: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\163", $this->translator->trans("\104\x61\x74\x61\142\x61\x73\x65\x20\150\x61\163\x20\x62\x65\x65\156\40\x61\x64\x64\145\144\x2e")); goto fdfb2; b19c2: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto a3f5e; c30f4: $databaseUserEntity->setUserName($databaseUserName); goto F78c9; efbd9: $eventData = ["\x73\x69\x74\145" => $domainName, "\x64\x61\x74\x61\142\141\163\145" => $databaseEntity->getName(), "\144\x61\164\x61\x62\x61\x73\x65\x55\x73\x65\162\x4e\141\155\x65" => $databaseUserEntity->getUserName()]; goto ed242; ffc00: if (false === is_null($siteEntity)) { goto b523a; } goto C7430; F78c9: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto b19c2; dda2c: b523a: goto da430; da430: $databaseEntity = $form->getData(); goto Efb2e; A51a4: $databaseManager->createDatabase($databaseEntity); goto b2862; aab61: return $response; goto d6e06; a5144: goto Fec64; goto dda2c; Fc46f: $databaseUserName = $form->get("\x75\163\145\162\116\141\155\x65")->getData(); goto Cf891; d6e06: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x41\x6e\x20\x65\162\x72\x6f\162\40\150\x61\163\x20\x6f\143\x63\x75\x72\162\x65\144\x2c\x20\145\x72\162\157\162\x20\x6d\x65\x73\x73\x61\147\x65\x3a\x20\45\145\162\x72\157\x72\x4d\145\163\163\141\147\x65\x25", ["\x25\x65\162\162\x6f\x72\115\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto c99b4; B74ba: $this->formErrors = $this->getErrorMessages($form); goto d3381; c99b4: db26b: goto E5dcb; Fda6d: c92fb: goto dafed; d3381: goto db26b; goto Fda6d; E5dcb: } public function deleteDatabase(Request $request) : Response { goto Dc624; C90e5: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\145\163")); goto F9aec; Dc624: $site = $this->getSite($request); goto E757f; f26b6: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Abe90; e5e07: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto f26b6; F0d0a: cdf6c: goto dc8ef; Abe90: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto cdf6c; } goto f5deb; f5deb: try { goto E9921; E9921: $user = $this->getUser(); goto dff94; ce3ac: $siteEntity->removeDatabase($databaseEntity); goto Fa414; Fa414: $this->siteEntityManager->updateEntity($siteEntity); goto a1054; ed1a0: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto B9292; a1054: $eventData = ["\163\151\x74\x65" => $domainName, "\x64\141\x74\141\142\141\x73\145" => $databaseEntity->getName()]; goto c1945; c1945: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto Ee19d; ec5c9: $databaseManager->deleteDatabase($databaseEntity, true); goto ce3ac; Ee19d: $session->getFlashBag()->set("\x73\165\x63\x63\x65\x73\163", $this->translator->trans("\104\141\x74\x61\x62\141\x73\145\40\x68\141\163\x20\x62\145\x65\156\x20\x64\145\x6c\x65\x74\x65\x64\56")); goto a8009; dff94: $session = $request->getSession(); goto e872f; e872f: $domainName = $site->getDomainName(); goto ed1a0; B9292: $databaseManager = new DatabaseManager($databaseServerEntity); goto ec5c9; a8009: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\101\x6e\x20\x65\162\x72\157\162\x20\150\x61\x73\x20\157\x63\x63\165\162\x72\145\x64\54\40\145\x72\162\157\162\40\155\x65\x73\163\x61\x67\145\x3a\x20\45\145\162\x72\157\x72\115\145\x73\x73\x61\147\x65\x25", ["\x25\x65\x72\x72\x6f\x72\115\x65\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto Bcf58; Bd50d: $databaseName = $request->get("\144\x61\x74\x61\x62\141\x73\x65\116\x61\x6d\x65"); goto e5e07; F9aec: return $response; goto B5301; dc8ef: Df85b: goto C90e5; Cf3dd: if (!(false === is_null($site))) { goto Df85b; } goto Bd50d; Bcf58: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\x65\137\x64\x61\164\141\142\x61\x73\x65\x73", ["\144\157\x6d\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto f742a; E757f: $this->checkCsrfToken($request, "\x64\x61\x74\x61\x62\x61\x73\145\x2d\144\145\x6c\145\x74\145"); goto Cf3dd; f742a: return $response; goto F0d0a; B5301: } public function phpMyAdmin(Request $request) : Response { goto d96d0; eb70b: return $response; goto df93a; bc08d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\x65\x73")); goto c93f7; D2db9: $phpMyAdminUrl = sprintf("\150\x74\164\x70\163\72\57\57\x25\163\x3a\x25\x73\57\x70\150\x70\155\x79\x61\144\155\151\x6e\x2f\x6c\157\x67\x69\156\x2e\160\150\160", $request->getHost(), $request->getPort()); goto Ef136; A0a58: if (false === is_null($domainName)) { goto f952c; } goto be82a; A9011: goto d31bf; goto D18f0; Eb3f1: if (!(false === is_null($activeDatabaseServerEntity))) { goto f5284; } goto D2db9; e3250: $response = new RedirectResponse($phpMyAdminUrl); goto Bc947; be82a: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Eb3f1; Bc0a9: cfb3e: goto E04d1; D2594: $site = $this->getSite($request); goto Cb21c; c4f91: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto Fde47; A1b6c: $response->headers->clearCookie("\160\155\141\x41\165\x74\150\55\61\x5f\x68\x74\x74\x70\x73"); goto B7bf3; daa7c: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto A1685; } goto b38ad; b38ad: $phpMyAdminUrl = sprintf("\x68\164\164\160\x73\x3a\57\57\45\x73\72\45\163\57\x70\150\160\155\171\x61\x64\155\x69\156\x2f\154\157\147\x69\x6e\x2e\160\150\160", $request->getHost(), $request->getPort()); goto C6f17; C6f17: $data = ["\x68\157\163\x74" => $activeDatabaseServerEntity->getHost(), "\x75\163\x65\x72\x4e\x61\155\145" => $databaseUserEntity->getUserName(), "\160\141\x73\163\x77\x6f\162\144" => $databaseUserEntity->getDecryptedPassword(), "\x70\x6f\162\164" => $activeDatabaseServerEntity->getPort()]; goto D868c; Ef136: $data = ["\x68\157\x73\x74" => $activeDatabaseServerEntity->getHost(), "\x70\157\162\x74" => $activeDatabaseServerEntity->getPort()]; goto Bb697; Bb697: $session->set("\143\154\x70\x2d\160\155\x61", $data); goto a9b42; a88cc: A1685: goto Bc0a9; Cb21c: if (!(false === is_null($site))) { goto C1880; } goto ccbbd; c93f7: return $response; goto afa68; E2c8b: $response->headers->clearCookie("\x70\150\160\x4d\x79\x41\x64\155\151\156\x5f\x68\x74\x74\160\x73"); goto A1b6c; a9b42: $response = new RedirectResponse($phpMyAdminUrl); goto A54ca; D18f0: f952c: goto D2594; D868c: $session->set("\x63\154\x70\55\160\x6d\x61", $data); goto e3250; ccbbd: $databaseUserName = $request->get("\x64\141\164\x61\x62\x61\x73\145\125\x73\145\x72\x4e\x61\x6d\x65"); goto c4f91; Db2ff: $databaseEntity = $databaseUserEntity->getDatabase(); goto daa7c; Fde47: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ef002; A54ca: $response->headers->clearCookie("\143\154\160\55\160\155\x61"); goto E2c8b; d96d0: $domainName = $request->get("\144\x6f\155\x61\151\156\x4e\x61\155\x65"); goto Aceec; Bea44: d31bf: goto bc08d; ef002: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto cfb3e; } goto Db2ff; B7bf3: $response->headers->clearCookie("\x53\x69\x67\156\157\x6e\x53\145\x73\163\x69\x6f\156"); goto eb70b; Bc947: return $response; goto a88cc; E04d1: C1880: goto Bea44; Aceec: $session = $request->getSession(); goto A0a58; df93a: f5284: goto A9011; afa68: } public function phpMyAdminLogout(Request $request) { goto C59ab; C59ab: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\x74\145\x73")); goto Dd496; Dd496: $response->headers->clearCookie("\x63\x6c\x70\55\x70\155\x61"); goto a946b; Fe797: return $response; goto E9db2; F8527: $response->headers->clearCookie("\123\x69\x67\x6e\x6f\156\123\x65\x73\163\x69\x6f\156"); goto Fe797; Cd743: $response->headers->clearCookie("\x70\x6d\141\101\165\164\150\x2d\61\x5f\150\x74\x74\160\x73"); goto F8527; a946b: $response->headers->clearCookie("\160\150\x70\x4d\x79\101\x64\155\151\x6e\137\150\x74\164\160\x73"); goto Cd743; E9db2: } public function newDatabaseUser(Request $request) : Response { goto efef9; fe88c: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto a131e; f5835: if (!(true === $form->isSubmitted())) { goto Bb3dc; } goto c246b; C4be2: $form->handleRequest($request); goto f5835; f1dd8: $databases = $site->getDatabases(); goto decd3; de9c5: D3a8c: goto Ff270; ae19b: $session = $request->getSession(); goto B71ec; decd3: $domainName = $site->getDomainName(); goto a8276; Eca04: return $response; goto D61e2; Cffb0: if (count($databases) && false === is_null($siteEntity)) { goto ecbdc; } goto ae19b; Ff270: $response = $this->render("\106\162\157\x6e\164\145\156\144\57\123\151\164\145\x2f\156\145\167\x2d\x64\141\x74\141\x62\141\163\x65\x2d\165\163\x65\x72\56\x68\x74\x6d\x6c\x2e\x74\167\151\x67", ["\163\x69\x74\145" => $site, "\x64\141\164\141\x62\141\x73\145\125\x73\x65\162" => $databaseUserEntity, "\144\x61\x74\141\x62\x61\163\145\163" => $databases, "\146\x6f\162\x6d" => $form->createView(), "\x66\x6f\x72\155\105\x72\162\157\x72\x73" => $this->formErrors]); goto c914a; c246b: $response = $this->handleDatabaseUserForm($request, $form, $site); goto ca077; B71ec: $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\116\x6f\x20\x64\x61\164\x61\x62\x61\x73\x65\x20\146\x6f\165\x6e\144\x3b\x20\x63\162\145\x61\x74\145\x20\141\x20\144\141\164\x61\x62\x61\x73\x65\x20\146\151\162\163\x74\x2e")); goto f3dff; F437d: a37c5: goto f1dd8; efef9: $site = $this->getSite($request); goto F2ba8; bc76d: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto A37ec; a8e7c: goto f5819; goto F437d; a131e: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto D3a8c; } goto C4be2; A2150: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\145\163")); goto a8e7c; D61e2: b552c: goto eb07d; a563a: f5819: goto A8d6c; A37ec: $databaseUserEntity->setSite($siteEntity); goto fe88c; eb07d: Bb3dc: goto de9c5; c914a: B1e02: goto a563a; A8d6c: return $response; goto b7bac; F2ba8: if (false === is_null($site)) { goto a37c5; } goto A2150; f86f9: goto B1e02; goto c9361; ca077: if (!(false === is_null($response))) { goto b552c; } goto Eca04; f3dff: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\x74\145\x5f\x64\x61\x74\x61\x62\141\163\x65\x73", ["\144\x6f\x6d\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto f86f9; a8276: $siteEntity = $this->getSiteEntity($domainName); goto Cffb0; c9361: ecbdc: goto bc76d; b7bac: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto C86bf; Fc22e: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\x6c\141\163\163" => "\x62\x74\x6e\x20\x62\x74\156\55\x62\x6c\x75\145\x20\142\x74\x6e\55\x6c\x67"], "\154\x61\142\145\154" => "\101\144\144\x20\104\x61\164\141\142\141\x73\x65\40\x55\163\x65\x72"]); goto e6029; C86bf: $form = $this->createForm("\101\x70\x70\x5c\x46\157\x72\155\134\x53\151\x74\145\104\141\x74\x61\x62\141\x73\145\125\163\145\x72\124\171\160\145", $databaseUserEntity, ["\x61\x63\164\151\157\156" => $this->generateUrl("\x63\x6c\160\137\163\151\164\145\x5f\144\141\164\x61\x62\x61\163\x65\137\165\163\145\x72\137\x6e\x65\x77", ["\144\157\155\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\155\x65\x74\150\157\144" => "\120\117\123\x54", "\141\x74\x74\x72" => []]); goto Fc22e; e6029: return $form; goto fba8d; fba8d: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto fac75; D7ffa: D481f: goto D9c27; fac75: if (true === $form->isValid()) { goto D481f; } goto Efa78; D9c27: try { goto b4383; Aec5c: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto E79e2; b4383: $user = $this->getUser(); goto cc659; Bc63b: if (false === is_null($siteEntity)) { goto C5162; } goto Ac146; a154c: $databaseManager->createUser($databaseUserEntity); goto db67d; Ad93d: $eventData = ["\163\x69\x74\145" => $domainName, "\x64\x61\x74\141\142\141\163\x65\125\x73\x65\162\116\141\155\145" => $databaseUserEntity->getUserName(), "\160\145\162\x6d\151\163\x73\151\x6f\156\x73" => $databaseUserEntity->getPermissions(), "\144\141\x74\x61\142\141\x73\x65" => $databaseName]; goto Aec5c; B297b: $databaseUserEntity = $form->getData(); goto b755e; db67d: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto a1eba; C0cbd: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Bb8fd; ffac8: $databaseName = $databaseEntity->getName(); goto Ad93d; b755e: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto de17c; A8864: $domainName = $site->getDomainName(); goto B4b66; Bb8fd: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto a154c; Ac146: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\137\144\x61\x74\141\142\141\x73\145\x5f\x75\163\145\x72\137\156\x65\x77", ["\x64\157\155\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto cb410; f8898: return $response; goto F3ad9; B4b66: $siteEntity = $this->getSiteEntity($domainName); goto Bc63b; a1eba: $databaseEntity = $databaseUserEntity->getDatabase(); goto ffac8; Ecb8e: C5162: goto B297b; de17c: $databaseUserEntity->setPassword($encryptedPassword); goto C0cbd; ec931: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\145\137\144\x61\x74\141\x62\x61\163\x65\x73", ["\x64\x6f\x6d\141\151\x6e\x4e\141\155\145" => $site->getDomainName()])); goto f323c; E79e2: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\x44\141\x74\141\x62\x61\163\x65\x20\x55\x73\x65\x72\40\150\x61\x73\x20\x62\x65\x65\x6e\x20\x61\x64\x64\x65\144\56")); goto ec931; f323c: B5257: goto f8898; cc659: $session = $request->getSession(); goto A8864; cb410: goto B5257; goto Ecb8e; F3ad9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\145\162\162\157\x72\40\150\141\163\40\157\x63\143\x75\x72\x72\145\x64\x2c\40\145\162\162\x6f\162\x20\155\x65\163\x73\x61\147\145\x3a\x20\45\145\x72\x72\x6f\162\x4d\x65\163\x73\x61\147\x65\x25", ["\x25\x65\x72\x72\x6f\x72\115\x65\163\x73\141\x67\x65\45" => $e->getMessage()])); } goto fd38f; F6aa6: goto da3ac; goto D7ffa; fd38f: da3ac: goto b7b2b; Efa78: $this->formErrors = $this->getErrorMessages($form); goto F6aa6; b7b2b: } public function editDatabaseUser(Request $request) : Response { goto Eae83; D2a12: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto F3d7c; Ad14c: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto cea71; f2395: Ea563: goto cf711; f751f: return $response; goto F8a17; Ab072: goto Ea563; goto C86fe; f233e: return $response; goto a15c8; Eb2c1: if (!(false === is_null($response))) { goto Db0e9; } goto f751f; cf711: C9024: goto f233e; B4792: if (count($databases) && false === is_null($siteEntity)) { goto F00e7; } goto E4a51; C86fe: F00e7: goto C049d; C3e42: cf6a2: goto faad0; a9826: b5ea2: goto f2395; Eae83: $site = $this->getSite($request); goto a517b; Ab073: $siteEntity = $this->getSiteEntity($domainName); goto B4792; d1a03: $databases = $site->getDatabases(); goto ef901; d0b28: c8282: goto d1a03; a7d91: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto Eb2c1; a0a59: $databaseUserEntity->setPassword(''); goto Ad14c; db2dc: $form->handleRequest($request); goto A2953; ef901: $domainName = $site->getDomainName(); goto Ab073; E4a51: $session = $request->getSession(); goto c1f8c; F3d7c: if (!(false === is_null($databaseUserEntity))) { goto b5ea2; } goto a0a59; C049d: $databaseUserName = $request->get("\x64\x61\x74\x61\x62\141\x73\145\x55\163\145\x72\x4e\x61\x6d\145"); goto D2a12; A2953: if (!(true === $form->isSubmitted())) { goto De5c3; } goto a7d91; Bd279: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\x65\137\144\141\x74\141\142\141\163\145\163", ["\144\x6f\x6d\x61\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto Ab072; ebb7e: goto C9024; goto d0b28; b9e0d: De5c3: goto C3e42; cea71: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto cf6a2; } goto db2dc; a5c28: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\145\163")); goto ebb7e; c1f8c: $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\116\157\40\x64\141\x74\141\x62\141\x73\x65\x20\146\x6f\165\x6e\144\73\x20\x63\x72\145\x61\164\x65\x20\x61\40\x64\x61\164\x61\142\x61\163\145\40\146\151\162\x73\x74\56")); goto Bd279; F8a17: Db0e9: goto b9e0d; a517b: if (false === is_null($site)) { goto c8282; } goto a5c28; faad0: $response = $this->render("\x46\x72\x6f\156\164\145\156\x64\57\123\151\x74\x65\x2f\x65\x64\x69\164\55\x64\x61\x74\141\x62\x61\x73\x65\55\165\x73\x65\162\56\150\164\155\x6c\x2e\x74\167\x69\x67", ["\163\151\164\145" => $site, "\144\141\x74\141\x62\141\x73\x65\125\163\145\162" => $databaseUserEntity, "\146\157\x72\x6d" => $form->createView(), "\x66\x6f\162\155\x45\162\x72\x6f\162\163" => $this->formErrors]); goto a9826; a15c8: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto D7214; D7214: $form = $this->createForm("\x41\160\x70\x5c\106\x6f\x72\155\134\x53\x69\x74\145\104\141\164\x61\142\x61\x73\145\125\163\145\x72\105\x64\151\x74\x54\171\x70\x65", $databaseUserEntity, ["\x61\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\137\x73\x69\x74\x65\137\144\x61\164\141\142\x61\163\x65\137\165\x73\145\162\137\145\144\151\x74", ["\144\157\155\141\x69\156\116\141\155\x65" => $site->getDomainName(), "\144\x61\164\141\x62\141\x73\145\125\163\x65\x72\x4e\x61\155\x65" => $databaseUserEntity->getUserName()]), "\x6d\x65\x74\x68\x6f\144" => "\x50\117\x53\x54", "\141\164\164\x72" => []]); goto Cb7d8; Cb7d8: $form->add("\163\165\x62\155\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\x63\154\x61\163\x73" => "\x62\164\156\x20\x62\164\x6e\x2d\142\x6c\165\145\40\142\164\156\x2d\154\147"], "\x6c\x61\x62\145\x6c" => "\123\x61\x76\145"]); goto B061a; B061a: return $form; goto c6cf1; c6cf1: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto Bcdc1; db7ac: ad120: goto Ed8bb; Ed8bb: try { goto f8c6e; d56fb: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto F7392; e649e: return $response; goto c915b; d0bc3: $eventData = ["\163\151\164\145" => $domainName, "\144\x61\164\141\x62\141\163\145\x55\163\x65\x72\116\141\155\x65" => $databaseUserEntity->getUserName(), "\x70\145\x72\155\151\163\x73\151\157\156\x73" => $databaseUserEntity->getPermissions(), "\x64\141\164\x61\x62\x61\x73\145" => $databaseName]; goto e5c1f; ffcd5: if (false === is_null($siteEntity)) { goto D5aec; } goto d9535; f0fdb: $databaseUserEntity = $form->getData(); goto C750e; e5c1f: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto E5cd9; Cb11e: e7d9f: goto e649e; Fdda0: $databaseUserEntity->setPassword($encryptedPassword); goto d56fb; f161b: $databaseManager->createUser($databaseUserEntity); goto D617a; f8c6e: $user = $this->getUser(); goto Ef466; C750e: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto Fdda0; cf814: $databaseEntity = $databaseUserEntity->getDatabase(); goto c7cbe; c7cbe: $databaseName = $databaseEntity->getName(); goto d0bc3; D617a: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto cf814; bd255: $domainName = $site->getDomainName(); goto D4ced; A048e: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\137\144\x61\164\x61\x62\141\x73\145\x73", ["\144\157\x6d\141\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto Cb11e; d9535: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\x65\x5f\144\x61\x74\x61\142\x61\x73\x65\x5f\165\x73\x65\162\137\156\x65\x77", ["\144\157\x6d\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto b0c99; E5cd9: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\163", $this->translator->trans("\104\x61\x74\141\x62\x61\163\145\40\x55\x73\x65\x72\40\x68\x61\163\x20\x62\145\x65\x6e\40\x75\x70\144\x61\164\x65\144\56")); goto A048e; F7392: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto f161b; D4ced: $siteEntity = $this->getSiteEntity($domainName); goto ffcd5; b0c99: goto e7d9f; goto be7ba; Ef466: $session = $request->getSession(); goto bd255; be7ba: D5aec: goto f0fdb; c915b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\145\162\x72\157\162\40\x68\x61\x73\40\157\143\143\x75\162\x72\x65\144\x2c\40\145\162\x72\x6f\162\x20\155\x65\163\163\x61\147\x65\72\x20\45\145\x72\x72\x6f\162\115\145\163\x73\x61\x67\x65\45", ["\x25\x65\x72\x72\157\162\115\145\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto F478c; Bcdc1: if (true === $form->isValid()) { goto ad120; } goto Ed3cc; F478c: D8702: goto b50cf; ea064: goto D8702; goto db7ac; Ed3cc: $this->formErrors = $this->getErrorMessages($form); goto ea064; b50cf: } public function deleteDatabaseUser(Request $request) : Response { goto c4786; c4786: $site = $this->getSite($request); goto E6091; B7b2c: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto Ed4c6; d75e7: $databaseUserName = $request->get("\144\x61\x74\x61\142\x61\163\145\x55\163\x65\x72\x4e\x61\155\145"); goto B7b2c; Ee0d0: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\x65\x5f\x64\141\164\x61\x62\x61\x73\x65\x73", ["\144\157\155\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto Bd13d; Ed4c6: if (!(false === is_null($databaseUserEntity))) { goto b89b9; } goto Bc3d9; A494d: if (!(false === is_null($site))) { goto C0e77; } goto d75e7; ce4e7: b89b9: goto e1db5; e1db5: C0e77: goto e2db9; Bc3d9: try { goto C5022; a6add: $eventData = ["\163\x69\164\145" => $domainName, "\x64\141\x74\141\142\141\x73\x65\125\163\x65\162\x4e\141\x6d\145" => $databaseUserName]; goto baa50; f59c5: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto efbf5; } goto B7005; C5022: $databaseEntity = $databaseUserEntity->getDatabase(); goto f59c5; cddb4: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto D91a4; D91a4: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\163", $this->translator->trans("\x44\141\164\x61\x62\141\x73\145\40\125\163\145\x72\40\150\x61\163\x20\142\x65\x65\156\40\144\145\154\x65\x74\x65\144\x2e")); goto a6add; ee8a3: efbf5: goto D0a25; de511: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto dc1ca; Bd715: $session = $request->getSession(); goto de511; dc1ca: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto ca3ec; B7005: $user = $this->getUser(); goto b8f4a; ca3ec: $databaseManager->deleteUser($databaseUserEntity); goto cddb4; b8f4a: $domainName = $site->getDomainName(); goto Bd715; baa50: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto ee8a3; D0a25: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\x41\156\40\145\162\x72\157\x72\x20\x68\x61\x73\40\x6f\143\143\165\x72\x72\x65\x64\x2c\x20\145\x72\162\x6f\162\40\155\145\x73\163\141\147\x65\x3a\x20\45\x65\162\162\157\x72\x4d\x65\x73\x73\141\147\145\45", ["\45\x65\162\x72\x6f\x72\115\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto Ee0d0; e2db9: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\163")); goto aa55d; aa55d: return $response; goto a3fc5; Bd13d: return $response; goto ce4e7; E6091: $this->checkCsrfToken($request, "\144\141\164\x61\x62\141\163\145\55\x75\163\145\x72\55\144\x65\154\x65\164\145"); goto A494d; a3fc5: } public function varnishCache(Request $request) : Response { goto abe96; aaf56: $response = $this->render("\x46\x72\157\x6e\164\145\x6e\144\57\x53\x69\x74\x65\x2f\x76\141\x72\x6e\151\163\150\x2d\143\x61\x63\150\x65\x2e\x68\164\x6d\x6c\56\x74\x77\151\147", ["\x73\x69\164\x65" => $site, "\x73\145\164\x74\x69\156\147\x73\x46\157\162\x6d" => $settingsForm->createView(), "\160\165\162\x67\145\103\141\143\150\x65\106\157\162\155" => $purgeCacheForm->createView(), "\146\157\162\155\x45\x72\x72\157\x72\x73" => $this->formErrors]); goto E6868; fc630: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto e8545; e8545: $varnishCacheSettingsData = ["\151\x73\105\156\x61\142\x6c\145\x64" => true === isset($varnishCacheSettings["\x65\156\x61\x62\x6c\145\144"]) && true === $varnishCacheSettings["\x65\x6e\x61\x62\154\x65\x64"] ? true : false, "\163\x65\162\x76\145\162" => true === isset($varnishCacheSettings["\163\x65\x72\x76\x65\x72"]) ? $varnishCacheSettings["\163\145\x72\166\145\162"] : "\61\62\67\56\60\x2e\60\56\61\x3a\66\60\70\61", "\143\141\143\150\145\124\141\x67\120\162\145\146\x69\170" => true === isset($varnishCacheSettings["\143\x61\143\x68\145\124\x61\147\x50\x72\145\x66\x69\170"]) ? $varnishCacheSettings["\143\x61\x63\150\145\124\x61\x67\120\x72\x65\146\x69\x78"] : substr(md5(time()), 0, 4), "\143\x61\x63\150\145\114\x69\x66\x65\164\151\x6d\x65" => true === isset($varnishCacheSettings["\x63\141\143\x68\145\114\151\146\145\164\x69\x6d\145"]) ? $varnishCacheSettings["\143\x61\x63\x68\145\x4c\151\146\145\x74\151\155\145"] : "\x36\60\x34\70\x30\x30", "\145\170\143\154\165\x64\145\144\x50\141\x72\141\155\x73" => true === isset($varnishCacheSettings["\x65\x78\x63\x6c\165\x64\x65\x64\120\141\x72\x61\155\x73"]) ? implode("\54", $varnishCacheSettings["\145\x78\143\x6c\x75\x64\x65\144\x50\141\162\x61\x6d\x73"]) : "\x5f\137\123\111\104\54\156\157\103\141\x63\x68\145\x2c", "\x65\x78\143\x6c\165\144\145\x73" => true === isset($varnishCacheSettings["\145\170\143\154\165\144\x65\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\x78\x63\x6c\165\144\x65\x73"]) : '']; goto Eea1d; Eea1d: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto fd999; A6e62: if (!(true === $purgeCacheForm->isSubmitted())) { goto B6abc; } goto Bcbfa; f2edd: if (!(true === $settingsForm->isSubmitted())) { goto b0654; } goto Fb39a; fd999: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto cc0ca; b0965: if (!(false === is_null($response))) { goto E51c6; } goto Cb37a; Bb5a4: goto ccb09; goto f7f99; dcd2e: $purgeCacheForm->handleRequest($request); goto f2edd; abe96: $site = $this->getSite($request); goto A6721; f7f99: c39cd: goto fc630; cc0ca: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto ebf5e; } goto a3bcf; A6721: if (false === is_null($site) && true === $site->getVarnishCache()) { goto c39cd; } goto Fc7b0; Af72f: E154d: goto B18a9; B18a9: B6abc: goto ed3b4; E6868: ccb09: goto E62a0; Dca41: if (!(false === is_null($response))) { goto E154d; } goto ce7e6; ed3b4: ebf5e: goto aaf56; ad302: E51c6: goto e4372; Fc7b0: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\x73")); goto Bb5a4; Fb39a: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto b0965; Bcbfa: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto Dca41; E62a0: return $response; goto B271d; ce7e6: return $response; goto Af72f; e4372: b0654: goto A6e62; Cb37a: return $response; goto ad302; a3bcf: $settingsForm->handleRequest($request); goto dcd2e; B271d: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto f516a; A0b69: $form->add("\163\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\164\164\x72" => ["\x63\154\x61\x73\x73" => "\x62\x74\156\x20\x62\x74\x6e\x2d\142\x6c\x75\145\40\142\x74\156\55\x6c\x67"], "\x6c\141\142\x65\154" => "\x53\141\x76\x65"]); goto e89b4; f516a: $form = $this->createForm("\x41\x70\160\x5c\x46\157\x72\x6d\x5c\123\151\164\145\126\x61\x72\156\x69\x73\150\103\141\x63\x68\145\x53\145\164\164\151\x6e\147\x73\x54\x79\160\x65", $data, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\x5f\166\141\162\x6e\x69\163\x68\x5f\143\141\143\150\x65", ["\144\157\155\x61\x69\x6e\x4e\141\155\145" => $site->getDomainName()]), "\x6d\x65\x74\150\157\144" => "\x50\117\123\124", "\x61\164\x74\x72" => []]); goto A0b69; e89b4: return $form; goto e2c9f; e2c9f: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto Ae03a; ebb4c: return $form; goto D478b; Eb87b: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\x63\154\141\163\163" => "\x62\x74\156\40\x62\164\156\x2d\x62\154\x75\145\x20\x62\x74\156\x2d\x6c\147"], "\154\x61\x62\x65\154" => "\x50\165\x72\x67\x65\40\103\141\143\150\x65"]); goto ebb4c; Ae03a: $form = $this->createForm("\x41\x70\x70\134\x46\157\x72\x6d\x5c\x53\151\x74\145\x56\141\x72\156\x69\x73\150\x43\x61\x63\150\x65\x50\x75\x72\147\145\103\141\x63\x68\x65\124\x79\160\145", ["\x73\151\x74\x65" => $site], ["\141\x63\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\145\137\x76\x61\x72\x6e\151\163\x68\137\143\141\143\x68\145", ["\144\x6f\155\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()]), "\x6d\145\164\x68\157\x64" => "\x50\117\123\x54", "\x61\164\164\162" => []]); goto Eb87b; D478b: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto ac294; a5073: D5b32: goto cad95; bc6dd: goto D5b32; goto b848a; b848a: ff2f7: goto Ce690; Ce690: try { goto e7162; E55ec: $siteEntity = $this->getSiteEntity($domainName); goto Fa9a9; e7162: $session = $request->getSession(); goto D3b7b; Fa9a9: if (false === is_null($siteEntity)) { goto Eb12b; } goto C3536; F9566: $varnishCacheSettings = ["\x65\156\x61\142\154\145\x64" => $isEnabled, "\x73\x65\x72\x76\145\162" => $server, "\143\x61\x63\x68\x65\124\141\147\x50\162\x65\146\x69\x78" => $cacheTagPrefix, "\x63\x61\143\x68\x65\x4c\151\146\145\x74\x69\x6d\x65" => $cacheLifetime, "\x65\170\x63\x6c\x75\144\x65\x73" => $excludes, "\145\170\x63\x6c\165\144\145\x64\x50\x61\x72\141\x6d\x73" => $excludedParams]; goto F0271; A7c37: $cacheTagPrefix = $form->get("\143\141\143\x68\x65\124\x61\x67\x50\162\x65\x66\151\170")->getData(); goto F6dac; A3cb0: $excludes = array_map("\x74\162\x69\x6d", array_filter(explode(PHP_EOL, trim($form->get("\145\170\143\154\165\144\x65\163")->getData())))); goto F9566; cadc3: $siteUpdater->phpSettings(); goto Cbef0; Add88: $cacheLifetime = $form->get("\x63\x61\143\x68\145\114\x69\146\145\164\151\x6d\145")->getData(); goto A7c37; C0267: Eb12b: goto A05ac; C3536: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\163")); goto fc11d; Cbef0: $eventData = ["\x73\x69\164\x65" => $domainName, "\166\141\162\156\x69\x73\x68\x43\141\143\x68\x65\x45\156\x61\142\154\x65\144" => $isEnabled, "\x73\145\162\x76\145\162" => $server, "\x63\x61\143\150\145\124\x61\x67\120\162\145\x66\x69\x78" => $cacheTagPrefix, "\143\x61\x63\x68\145\x4c\x69\146\145\164\151\x6d\x65" => $cacheLifetime, "\x65\170\143\x6c\165\144\x65\163" => $excludes, "\x65\x78\143\154\165\144\145\x64\120\x61\162\x61\x6d\163" => $excludedParams]; goto E6e73; a48f0: $session->getFlashBag()->set("\163\165\143\x63\x65\163\x73", $this->translator->trans("\126\x61\x72\x6e\151\x73\x68\40\103\141\143\150\145\x20\123\x65\x74\x74\x69\x6e\x67\163\x20\150\141\166\145\40\142\145\145\x6e\40\163\141\x76\x65\144\56")); goto Cf060; B33c5: return $response; goto a3cdb; A05ac: $user = $this->getUser(); goto C2201; F6dac: $excludedParams = array_map("\x74\162\x69\x6d", array_filter(explode("\x2c", trim($form->get("\x65\x78\x63\x6c\x75\144\145\x64\x50\141\x72\141\155\x73")->getData())))); goto A3cb0; D3b7b: $domainName = $site->getDomainName(); goto E55ec; F0271: $site->setVarnishCacheSettings($varnishCacheSettings); goto c3386; fc11d: goto d0393; goto C0267; dea2c: d0393: goto B33c5; A45ab: $server = $form->get("\x73\145\x72\166\x65\x72")->getData(); goto Add88; C2201: $isEnabled = $form->get("\x69\x73\x45\156\x61\142\x6c\145\144")->getData(); goto A45ab; c3386: $siteUpdater = $this->getSiteUpdater($site); goto B8513; B8513: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto cadc3; E6e73: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto a48f0; Cf060: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\145\137\166\141\x72\156\x69\x73\150\137\x63\x61\x63\x68\x65", ["\144\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto dea2c; a3cdb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\145\x72\x72\x6f\162\40\150\141\x73\40\x6f\143\143\x75\x72\x72\145\x64\x2c\x20\x65\162\162\x6f\162\40\155\145\163\163\x61\x67\x65\x3a\40\45\x65\x72\162\x6f\162\x4d\145\163\163\x61\147\145\45", ["\x25\x65\162\x72\157\x72\115\145\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto a5073; ac294: if (true === $form->isValid()) { goto ff2f7; } goto f16cd; f16cd: $this->formErrors = $this->getErrorMessages($form); goto bc6dd; cad95: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto dfeee; A09db: e464e: goto Af924; dfeee: if (true === $form->isValid()) { goto Ef634; } goto F1c77; F1c77: $this->formErrors = $this->getErrorMessages($form); goto e8e5f; c2d22: try { goto c0e22; Ecc70: $domainName = $site->getDomainName(); goto F00ce; b269b: foreach ($purgeValues as $purgeValue) { goto E784d; Fa846: e3153: goto D1822; c21f8: $varnishCacheClient->purgeTag($purgeValue); goto ad1fd; A9c64: if (true === str_starts_with($purgeValue, "\150\164\164\x70")) { goto B5676; } goto c21f8; ad1fd: goto e3153; goto B8277; D1822: bb65f: goto Df77a; B8277: B5676: goto A5260; E784d: $purgeValue = trim($purgeValue); goto ebc1f; ebc1f: if (!(false === empty($purgeValue))) { goto bb65f; } goto A9c64; A5260: $varnishCacheClient->purgeUrl($purgeValue); goto Fa846; Df77a: Ba356: goto ae88f; ae88f: } goto b2815; b2815: E149a: goto E4e75; A416e: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\x73", $this->translator->trans("\126\141\x72\x6e\x69\163\x68\x20\103\141\143\x68\145\x20\150\141\163\x20\x62\145\x65\156\x20\x70\x75\162\x67\145\x64\x2e")); goto Bcded; E5c98: f2dab: goto a3dfb; b1351: $varnishCacheClient = new VarnishCacheClient(); goto b7b1c; F9170: bcc7d: goto b1351; C8947: goto Fb15b; goto E5c98; Bcded: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\137\166\x61\x72\x6e\151\163\x68\x5f\143\x61\143\150\x65", ["\x64\157\155\141\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Bdc1a; ba1a2: if (false === is_null($siteEntity)) { goto f2dab; } goto A2564; A74d4: $purgeValues = array_map("\164\162\x69\155", array_filter(explode("\x2c", trim($form->get("\166\x61\x6c\165\145")->getData())))); goto B154b; E424f: throw new \Exception("\126\x61\x72\x6e\x69\163\x68\x20\103\141\x63\150\145\40\x53\145\164\164\151\x6e\x67\163\x20\x63\x61\156\x6e\x6f\x74\40\x62\145\x20\145\x6d\x70\x74\171\x2e"); goto bcc12; D7e13: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto A74d4; d7a89: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto A416e; c0e22: $session = $request->getSession(); goto Ecc70; F00ce: $siteEntity = $this->getSiteEntity($domainName); goto ba1a2; a3dfb: $user = $this->getUser(); goto D7e13; A2564: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\x65\x73")); goto C8947; bcc12: goto D6857; goto F9170; b7b1c: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\162\166\x65\162"]); goto b269b; Bdc1a: Fb15b: goto c8c5b; B154b: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\x73\x65\162\x76\145\162"]) && false === empty($varnishCacheSettings["\x73\145\x72\x76\145\x72"])) { goto bcc7d; } goto E424f; c8c5b: return $response; goto C7780; E4e75: D6857: goto Cc972; Cc972: $eventData = ["\x73\151\164\145" => $domainName, "\166\141\154\165\x65\163" => implode("\54", $purgeValues)]; goto d7a89; C7780: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\x6f\162\x20\150\x61\163\x20\x6f\143\x63\165\x72\x72\x65\144\x2c\40\145\x72\162\x6f\162\40\155\x65\x73\x73\x61\147\145\x3a\40\45\145\x72\162\x6f\162\115\145\x73\x73\x61\147\x65\45", ["\x25\145\162\162\x6f\x72\x4d\145\163\163\141\147\145\45" => $e->getMessage()])); } goto A09db; bd2ab: Ef634: goto c2d22; e8e5f: goto e464e; goto bd2ab; Af924: } public function purgeVarnishCache(Request $request) : Response { goto a5061; F03a0: return $response; goto a07da; dcfdb: try { goto d706b; d706b: $user = $this->getUser(); goto D3eaf; E9e69: $domainName = $site->getDomainName(); goto e2fcf; e2fcf: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto A637d; A637d: if (!(true === isset($varnishCacheSettings["\163\145\x72\166\145\x72"]) && true === isset($varnishCacheSettings["\143\141\x63\150\x65\124\141\x67\x50\x72\145\x66\151\x78"]) && false === empty($varnishCacheSettings["\x63\x61\143\150\x65\124\141\x67\x50\162\x65\146\x69\x78"]))) { goto f4cba; } goto Deb6c; d438f: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\x73", $this->translator->trans("\x56\x61\x72\156\x69\x73\x68\40\103\141\143\x68\145\40\x68\x61\x73\x20\x62\x65\145\x6e\x20\x70\x75\x72\x67\x65\144\x2e")); goto B8ebb; Deb6c: $cacheTagPrefix = $varnishCacheSettings["\143\x61\143\150\x65\124\141\147\120\162\145\146\151\x78"]; goto Cdc79; C8d31: $varnishCacheClient->purgeHost($domainName); goto ff341; D9810: $varnishCacheClient->purgeTag($cacheTagPrefix); goto C8d31; ff341: f4cba: goto C0948; D3eaf: $session = $request->getSession(); goto E9e69; F0483: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto d438f; Bf910: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\x72\166\x65\x72"]); goto D9810; Cdc79: $varnishCacheClient = new VarnishCacheClient(); goto Bf910; C0948: $eventData = ["\x73\x69\x74\145" => $domainName, "\160\x75\x72\x67\x65" => "\146\165\x6c\x6c"]; goto F0483; B8ebb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\x41\x6e\40\145\162\x72\157\162\40\150\x61\163\x20\157\143\x63\165\x72\162\145\x64\x2c\40\x65\162\x72\x6f\162\x20\155\x65\163\x73\141\x67\x65\x3a\40\x25\x65\162\162\x6f\162\115\x65\163\163\141\147\145\45", ["\x25\x65\x72\162\x6f\162\x4d\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto B5508; a07da: D81f5: goto f0222; Afbf0: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\x65\x73")); goto B8df5; f0222: return $response; goto D04c3; B8df5: goto D81f5; goto D019a; B5508: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\166\141\162\x6e\x69\163\150\x5f\x63\141\x63\x68\x65", ["\144\157\x6d\141\x69\156\x4e\141\x6d\145" => $site->getDomainName()])); goto F03a0; D019a: de451: goto dcfdb; a5061: $site = $this->getSite($request); goto df8b1; df8b1: if (false === is_null($site)) { goto de451; } goto Afbf0; D04c3: } public function vhost(Request $request) : Response { goto Bc114; de939: goto F131d; goto B21b3; b761b: $domainName = $site->getDomainName(); goto fe107; C3628: B1e0b: goto cdf97; B2057: $response = $this->render("\106\x72\157\x6e\164\145\x6e\144\x2f\x53\151\x74\x65\x2f\166\x68\157\163\x74\x2e\150\x74\x6d\x6c\x2e\x74\167\151\x67", ["\x73\151\164\x65" => $site]); goto cd351; ef3e7: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto fd417; } goto B46bc; B46bc: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\x68\157\163\164\55\x75\x70\x64\x61\164\x65", (string) $request->get("\164\x6f\153\x65\156")); goto ba9a7; d010c: if (false === is_null($site)) { goto e3e7e; } goto D4617; e12c7: return $response; goto d9f68; B1c16: cc614: goto C9035; cd351: F131d: goto e12c7; Bc114: $site = $this->getSite($request); goto d010c; ba9a7: if (!(false === $isCsrfTokenValid)) { goto cc614; } goto B0aeb; d4452: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto cdb24; cdb24: if (!(false === is_null($response))) { goto B1e0b; } goto db47a; D4617: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\x73")); goto de939; B21b3: e3e7e: goto ef3e7; cdf97: c2415: goto E0a76; b7ec4: if (!(false === empty($vhostTemplate))) { goto c2415; } goto b761b; ebec7: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto Ca1b5; Ca1b5: $site->setVhostTemplate($vhostTemplate); goto d4452; B0aeb: throw new InvalidCsrfTokenException("\124\x68\x65\40\x43\123\122\106\40\164\x6f\153\x65\x6e\x20\x69\x73\x20\x69\x6e\x76\x61\154\151\144\56"); goto B1c16; C9035: $vhostTemplate = trim($request->get("\166\x68\x6f\163\164\x2d\x74\145\x6d\160\154\141\x74\145")); goto b7ec4; E0a76: fd417: goto B2057; fe107: $siteEntity = $this->getSiteEntity($domainName); goto ebec7; db47a: return $response; goto C3628; d9f68: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto Ce345; Add12: $session = $request->getSession(); goto aa086; Ae896: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\137\x76\150\x6f\163\164", ["\x64\157\x6d\141\x69\156\116\141\x6d\145" => $domainName])); goto e92cf; A6825: $domainName = $site->getDomainName(); goto f9a87; e92cf: return $response; goto df77a; f9a87: $vhostTemplate = $site->getVhostTemplate(); goto D6c5c; aa086: if (!(true === str_contains($site->getVhostTemplate(), "\144\x69\x73\x61\x62\x6c\x65\x5f\x73\171\x6d\x6c\151\x6e\153\x73"))) { goto Ac865; } goto E0e19; E0e19: throw new InvalidVhostException("\x64\x69\163\141\x62\154\145\x5f\x73\x79\x6d\x6c\151\x6e\153\x73\40\151\163\40\156\157\164\x20\141\x6c\154\157\x77\145\x64\x2e"); goto ddd85; Eb5a8: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\x73", $this->translator->trans("\126\x68\157\x73\164\40\x68\141\163\x20\142\145\145\x6e\40\x73\141\x76\145\x64\56")); goto Bda67; A9e90: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto Ae896; ddd85: Ac865: goto A6825; Ce345: $user = $this->getUser(); goto Add12; Bda67: $eventData = ["\163\151\x74\145" => $domainName, "\x76\x68\x6f\x73\164" => $vhostTemplate, "\x6f\154\144\x56\x68\157\163\164" => $oldVhostTemplate]; goto A9e90; A508e: $this->siteEntityManager->updateEntity($siteEntity); goto Eb5a8; Da195: $siteUpdater->updateNginxVhostWithRollback(); goto Ffc66; Ffc66: $siteEntity->setVhostTemplate($vhostTemplate); goto A508e; D6c5c: $siteUpdater = $this->getSiteUpdater($site); goto Da195; df77a: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\126\150\x6f\x73\x74\40\151\x73\40\156\157\x74\40\166\x61\x6c\151\144\54\x20\x65\x72\162\x6f\162\40\x6d\145\x73\163\x61\147\x65\x3a\40\x25\145\x72\162\157\x72\x4d\145\x73\x73\141\147\145\x25", ["\x25\145\162\162\157\162\x4d\145\x73\x73\141\x67\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\x72", $this->translator->trans("\101\156\40\145\162\x72\157\x72\x20\150\x61\163\x20\x6f\143\x63\165\x72\x72\x65\x64\x2c\40\x65\x72\162\157\162\40\155\145\163\x73\x61\147\x65\72\40\45\145\162\162\157\x72\115\145\163\x73\x61\x67\x65\x25", ["\x25\145\162\x72\x6f\162\115\145\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto e69c1; D73b7: unset($parameters["\160\x61\x67\145\x53\x70\145\145\144\123\x65\x74\x74\x69\156\x67\x73\106\x6f\x72\155"]); goto B41df; c842c: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto Bdbb5; } goto bd992; C20f1: $parameters["\x72\x65\x76\145\x72\163\145\120\162\x6f\170\171\x53\x65\x74\164\151\x6e\x67\163\106\x6f\162\x6d"] = $reverseProxySettingsForm->createView(); goto D73b7; d787a: C5aea: goto c585d; Ec23b: aac41: goto Ac96c; fef8f: return $response; goto B51e1; C829f: return $response; goto B0e61; D24b5: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto D5862; b8536: A42cc: goto B485a; A1afa: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto Bb8b3; } goto Af2da; D66be: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto aabb1; } goto Db6c3; fa160: $currentNodeSettings = clone $nodejsSettings; goto E9ff2; eca61: return $response; goto ee768; Cda0d: aabb1: goto Cf340; A3044: Ef708: goto a9411; d586b: if (!(true === $siteDeleteForm->isSubmitted())) { goto C5aea; } goto ef47c; A77d3: $parameters["\160\150\160\123\145\x74\164\151\x6e\147\163\106\157\162\x6d"] = $phpSettingsForm->createView(); goto Cda0d; fb0d2: $pageSpeedSettingsForm->handleRequest($request); goto dd243; a0dd1: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto a1f26; } goto d4f18; E1e51: C9f0c: goto C4cfd; Ac859: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto db490; dd243: $response = null; goto cc92f; Eb1b6: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto Fb258; ef47c: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto d787a; ea9d3: $currentPhpSettings = clone $phpSettings; goto e093f; Fe7a4: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto f8728; a5bcb: Ff0e4: goto A1afa; F0079: if (!(true === $phpSettingsForm->isSubmitted())) { goto A42cc; } goto Dfc57; Ad2ce: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\145\x73")); goto F1bf7; D5862: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto Dd3da; E9ff2: $nodejsSettingsForm->handleRequest($request); goto e5a54; b346e: $siteUserSettingsForm->handleRequest($request); goto Fc1e8; B51e1: C0b09: goto A3044; bd992: $nodejsSettings = $site->getNodejsSettings(); goto E04d6; B0e61: Ee093: goto D8bd8; Eea52: $parameters["\156\157\144\145\152\163\x53\x65\x74\164\151\156\x67\163\106\x6f\x72\x6d"] = $nodejsSettingsForm->createView(); goto ef229; a2fc6: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto bd82f; } goto ea6a6; C4cfd: $parameters["\160\171\x74\x68\x6f\x6e\x53\145\x74\x74\151\x6e\x67\x73\106\157\x72\155"] = $pythonSettingsForm->createView(); goto ecfcc; a2dd2: $domainSettingsForm->handleRequest($request); goto b346e; ecfcc: de393: goto a2fc6; c585d: if (!(false === is_null($response))) { goto F3c2f; } goto Badfb; dc1e9: $pythonSettingsForm->handleRequest($request); goto D6e89; Fb8a1: f1b58: goto Dc5ce; B6835: if (!(false === is_null($response))) { goto C0b09; } goto fef8f; e69c1: $site = $this->getSite($request); goto Ed026; Db6c3: $phpSettings = $site->getPhpSettings(); goto e4727; E04d6: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto E465a; E89ca: $response = $this->render("\106\162\157\x6e\164\145\156\144\57\123\x69\x74\x65\x2f\163\x65\164\x74\x69\x6e\x67\x73\56\x68\x74\155\154\56\164\167\x69\x67", $parameters); goto Ec23b; b6475: A9482: goto Eea52; b62dd: return $response; goto E8ad0; ee768: b6f79: goto A68c9; e093f: $phpSettingsForm->handleRequest($request); goto F0079; f4220: Fa7f0: goto d586b; Fb258: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto f1b58; } goto a2dd2; Ed026: if (false === is_null($site)) { goto C1edf; } goto Ad2ce; ef229: unset($parameters["\160\x61\147\x65\x53\x70\145\145\x64\x53\x65\x74\164\151\156\147\163\106\157\x72\155"]); goto A7c40; d75d3: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto Ef708; } goto F320f; C1674: $siteDeleteData = ["\144\x6f\155\x61\x69\156\116\141\155\x65" => $site->getDomainName()]; goto Ee31d; bfb0b: if (!(false === is_null($response))) { goto f6e58; } goto b62dd; E465a: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto A9482; } goto fa160; C878c: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto a5bcb; Cf340: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto de393; } goto E36a2; Aefcd: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto ca606; A7c40: Bdbb5: goto D66be; db490: if (!(false === is_null($response))) { goto b6f79; } goto eca61; b1ecd: $parameters["\x66\157\162\x6d\105\x72\x72\157\x72\x73"] = $this->formErrors; goto E89ca; F1bf7: goto aac41; goto acc42; Badfb: return $response; goto eaab2; Af2da: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto c5431; B485a: b2dd2: goto A77d3; Ee31d: $pageSpeedSettingsData = ["\151\163\105\156\141\142\x6c\145\144" => $site->getPageSpeedEnabled(), "\163\145\164\x74\151\156\x67\x73" => $site->getPageSpeedSettings()]; goto D24b5; Dfc57: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto bfb0b; D8bd8: f302d: goto E1e51; c5431: Bb8b3: goto D3077; d4f18: $reverseProxySettingsForm->handleRequest($request); goto d75d3; a9411: a1f26: goto C20f1; Dd3da: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto Eb1b6; ea6a6: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto a0dd1; f8728: if (!(false === is_null($response))) { goto Ee093; } goto C829f; eaab2: F3c2f: goto Fb8a1; c6160: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto b2dd2; } goto ea9d3; cc92f: if (!(true === $domainSettingsForm->isSubmitted())) { goto Ff0e4; } goto C878c; Fc1e8: $siteDeleteForm->handleRequest($request); goto fb0d2; Ac96c: return $response; goto c2069; Dc5ce: $parameters = ["\163\x69\164\x65" => $site, "\x64\157\155\141\151\156\x53\145\x74\x74\151\x6e\x67\x73\106\x6f\162\155" => $domainSettingsForm->createView(), "\163\x69\164\x65\x55\x73\x65\x72\x53\x65\164\164\151\x6e\x67\x73\x46\157\x72\155" => $siteUserSettingsForm->createView(), "\x70\x61\x67\x65\123\160\145\x65\x64\x53\x65\x74\x74\x69\x6e\x67\x73\106\x6f\162\x6d" => $pageSpeedSettingsForm->createView(), "\x73\x69\x74\145\x44\145\x6c\x65\164\x65\x46\157\x72\x6d" => $siteDeleteForm->createView()]; goto c842c; D3077: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto Fa7f0; } goto D88e5; D6e89: if (!(true === $pythonSettingsForm->isSubmitted())) { goto f302d; } goto Fe7a4; ca606: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto C9f0c; } goto dc1e9; F9824: $domainSettingsData = ["\x64\x6f\155\x61\151\x6e\116\141\x6d\145" => $site->getDomainName(), "\162\157\157\x74\104\x69\x72\x65\143\164\157\162\171" => $site->getRootDirectory()]; goto d7fbb; B41df: bd82f: goto b1ecd; d7fbb: $siteUserSettingsData = ["\163\151\164\145\x55\163\145\162" => $site->getUser(), "\163\163\x68\113\145\x79\x73" => $site->getSshKeys()]; goto C1674; E36a2: $pythonSettings = $site->getPythonSettings(); goto Aefcd; e4727: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto c6160; A68c9: C1d9e: goto b6475; e5a54: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto C1d9e; } goto Ac859; F320f: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto B6835; E8ad0: f6e58: goto b8536; acc42: C1edf: goto F9824; D88e5: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto f4220; c2069: } public function purgePageSpeedCache(Request $request) : Response { goto dddf4; cb935: return $response; goto E74a5; ce318: return $response; goto e0e42; E74a5: F9d97: goto ce318; Bb503: if (false === is_null($site)) { goto fcd24; } goto F5dfb; f303d: try { goto d385f; d385f: $user = $this->getUser(); goto f3a05; E8959: $siteUpdater = $this->getSiteUpdater($site); goto B23f7; B23f7: $siteUpdater->purgePageSpeedCache(); goto c3fac; c3fac: $eventData = ["\x73\x69\164\145" => $site->getDomainName()]; goto Db17b; Aedf1: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\163", $this->translator->trans("\x50\x61\x67\x65\x20\x53\160\x65\145\x64\40\x43\141\143\x68\145\x20\150\141\163\40\x62\x65\145\x6e\x20\160\x75\162\147\145\144\x2e")); goto Fbd92; f3a05: $session = $request->getSession(); goto E8959; Db17b: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto Aedf1; Fbd92: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\101\156\40\145\x72\162\157\x72\40\x68\x61\163\40\x6f\x63\143\x75\x72\x72\145\x64\x2c\40\x65\x72\162\x6f\162\x20\155\145\163\x73\x61\x67\x65\72\40\45\145\x72\x72\x6f\x72\x4d\145\163\x73\141\147\x65\x25", ["\45\x65\162\162\x6f\162\115\145\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto cea96; cea96: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\x5f\x73\145\x74\164\x69\156\x67\x73", ["\x64\157\x6d\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto cb935; F5dfb: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\x73")); goto F76fc; afe09: fcd24: goto f303d; F76fc: goto F9d97; goto afe09; dddf4: $site = $this->getSite($request); goto Bb503; e0e42: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto Da2b7; C600f: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\x61\163\x73" => "\x62\x74\x6e\40\142\x74\x6e\55\142\154\165\x65\x20\142\x74\156\55\x6c\147"], "\x6c\141\x62\x65\154" => "\x53\141\x76\145"]); goto Adf82; Da2b7: $form = $this->createForm("\x41\160\160\134\106\x6f\162\155\134\123\151\x74\x65\104\157\155\x61\x69\156\x53\x65\x74\164\x69\x6e\147\163\124\x79\x70\145", $data, ["\141\143\x74\x69\x6f\156" => $this->generateUrl("\143\154\160\137\163\151\x74\145\137\x73\145\x74\164\x69\x6e\147\163", ["\144\157\155\141\x69\x6e\116\x61\155\145" => $site->getDomainName()]), "\155\145\164\x68\x6f\144" => "\120\117\x53\124", "\141\164\164\162" => []]); goto C600f; Adf82: return $form; goto e7f1b; e7f1b: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto D11a1; Ef3eb: return $form; goto E4909; D11a1: $form = $this->createForm("\101\x70\x70\x5c\x46\x6f\x72\x6d\134\123\151\164\145\125\163\x65\x72\123\x65\x74\164\151\156\x67\163\124\x79\160\x65", $data, ["\x61\143\164\x69\157\156" => $this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\137\x73\x65\164\x74\151\x6e\147\163", ["\x64\x6f\x6d\x61\151\x6e\x4e\141\155\x65" => $site->getDomainName()]), "\x6d\145\164\150\x6f\144" => "\x50\117\x53\124", "\141\x74\164\162" => []]); goto A557a; A557a: $form->add("\x73\x75\x62\155\151\x74", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\141\163\163" => "\142\x74\x6e\x20\x62\164\156\x2d\x62\x6c\x75\145\40\x62\164\156\55\154\x67"], "\x6c\x61\x62\145\154" => "\123\141\x76\x65"]); goto Ef3eb; E4909: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto D4209; D4209: $form = $this->createForm("\x41\160\160\x5c\x46\157\162\155\134\x53\151\x74\x65\x50\141\x67\x65\123\x70\145\145\144\123\145\164\x74\151\156\147\163\124\x79\x70\x65", $data, ["\141\143\164\x69\x6f\156" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\x73\145\x74\x74\x69\156\x67\x73", ["\144\157\x6d\x61\151\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\x74\150\x6f\x64" => "\120\117\x53\x54", "\141\164\164\x72" => []]); goto a13ce; a697f: return $form; goto ffb1e; a13ce: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\141\x74\164\x72" => ["\x63\154\141\x73\163" => "\142\164\x6e\x20\142\x74\156\55\142\x6c\x75\145\40\142\x74\x6e\55\154\147"], "\154\141\142\x65\x6c" => "\x53\141\x76\145"]); goto a697f; ffb1e: } private function createReverseProxySettingsForm(Site $site) : Form { goto e0110; acc41: return $form; goto cad0a; B2243: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\141\164\164\162" => ["\x63\154\x61\163\163" => "\142\x74\156\x20\142\x74\x6e\x2d\142\154\x75\145\40\142\x74\156\55\x6c\147"], "\154\141\x62\145\x6c" => "\123\141\166\145"]); goto acc41; e0110: $data = ["\x72\x65\x76\145\162\x73\145\120\162\157\170\x79\x55\x72\x6c" => $site->getReverseProxyUrl()]; goto Ec07d; Ec07d: $form = $this->createForm("\101\x70\x70\x5c\x46\x6f\x72\x6d\134\x53\x69\164\x65\x52\145\166\145\162\x73\x65\x50\x72\x6f\x78\171\123\145\164\164\151\156\147\x73\124\171\x70\x65", $data, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\x5f\163\x65\x74\x74\x69\156\x67\x73", ["\x64\x6f\x6d\x61\151\x6e\x4e\141\155\145" => $site->getDomainName()]), "\155\x65\164\x68\157\x64" => "\x50\117\x53\x54", "\141\164\164\x72" => ["\151\x64" => "\162\x65\166\x65\x72\163\145\55\160\162\x6f\170\x79\x2d\x73\145\x74\164\x69\156\x67\163\55\x66\x6f\162\x6d"]]); goto B2243; cad0a: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto bdf3b; f0667: $form->add("\x73\165\x62\155\x69\x74", SubmitType::class, ["\x61\x74\164\x72" => ["\143\x6c\x61\163\x73" => "\x62\x74\x6e\40\142\164\x6e\55\142\154\x75\145\x20\x62\x74\x6e\55\x6c\x67"], "\x6c\x61\x62\145\x6c" => "\x53\141\x76\145"]); goto dc4d6; bdf3b: $form = $this->createForm("\101\160\x70\x5c\x46\157\162\x6d\134\123\151\164\x65\x4e\157\144\145\152\163\x53\145\164\164\151\156\147\x73\x54\171\x70\145", $nodejsSettings, ["\141\143\x74\x69\x6f\x6e" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\145\137\x73\145\x74\164\151\x6e\x67\163", ["\144\x6f\x6d\x61\x69\156\116\x61\155\x65" => $site->getDomainName()]), "\x6d\x65\x74\x68\157\x64" => "\x50\117\x53\124", "\141\x74\164\x72" => ["\151\x64" => "\156\x6f\144\145\x6a\x73\55\x73\x65\164\164\151\156\147\x73\x2d\x66\x6f\x72\155"]]); goto f0667; dc4d6: return $form; goto B8557; B8557: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto Fc236; Fc236: $form = $this->createForm("\x41\160\x70\134\x46\157\x72\x6d\134\x53\151\x74\145\120\x68\160\x53\145\x74\164\x69\x6e\147\x73\x54\x79\x70\x65", $phpSettings, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\163\x69\164\x65\x5f\x73\145\164\164\x69\x6e\x67\x73", ["\144\x6f\x6d\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()]), "\155\x65\x74\150\x6f\144" => "\120\117\x53\x54", "\x61\164\x74\x72" => []]); goto bea71; Cf10d: return $form; goto Ad26b; bea71: $form->add("\163\165\142\x6d\151\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\x6c\x61\x73\x73" => "\x62\164\x6e\x20\x62\x74\x6e\x2d\x62\x6c\x75\145\40\142\x74\156\x2d\154\147"], "\154\141\x62\145\x6c" => "\123\x61\166\x65"]); goto Cf10d; Ad26b: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto d4885; c4fc4: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\x63\x6c\x61\163\x73" => "\x62\x74\156\40\142\x74\156\55\x62\154\x75\x65\40\x62\x74\x6e\55\x6c\147"], "\154\141\x62\x65\154" => "\123\x61\166\x65"]); goto F3984; F3984: return $form; goto D518d; d4885: $form = $this->createForm("\x41\160\160\134\x46\157\x72\x6d\134\x53\151\164\145\120\x79\164\150\x6f\x6e\123\x65\x74\x74\x69\156\x67\163\124\x79\x70\x65", $pythonSettings, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\x5f\x73\145\x74\x74\151\x6e\147\x73", ["\x64\x6f\x6d\x61\151\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\x6d\145\x74\x68\x6f\x64" => "\120\x4f\x53\x54", "\141\164\164\x72" => []]); goto c4fc4; D518d: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto F6733; E4c82: return $form; goto C83d2; E750d: $form->add("\x73\x75\x62\x6d\151\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\x61\163\x73" => "\142\x74\156\x20\142\x74\156\55\142\154\165\x65\x20\142\164\156\x2d\154\x67", "\x64\x69\x73\x61\x62\154\x65\x64" => "\x64\x69\x73\x61\142\x6c\145\x64"], "\x6c\141\x62\x65\154" => "\x44\x65\x6c\x65\164\x65\x20\x53\x69\164\145"]); goto E4c82; F6733: $form = $this->createForm("\x41\160\x70\134\106\157\x72\x6d\x5c\123\151\164\x65\x44\x65\x6c\x65\x74\145\124\171\160\x65", $data, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\137\x73\x65\164\x74\x69\x6e\x67\163", ["\x64\x6f\155\x61\x69\156\116\x61\x6d\145" => $site->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\x4f\123\124", "\141\164\x74\162" => []]); goto E750d; C83d2: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto c31d6; bfc52: $this->formErrors = $this->getErrorMessages($form); goto C2bf6; C2bf6: goto Df951; goto D9954; c31d6: if (true === $form->isValid()) { goto e6a45; } goto bfc52; D9954: e6a45: goto c6b85; c6b85: try { goto B8dd8; E6b78: return $response; goto b27e4; E245b: $siteEntity->setRootDirectory($rootDirectory); goto Ca533; ffdfd: if (!(false === is_null($siteEntity))) { goto Eb62d; } goto c6cac; fa3a5: $site->setRootDirectory($rootDirectory); goto E245b; Fdf0a: $session = $request->getSession(); goto be43c; f3d07: Eb62d: goto dd94f; D3e89: $siteUpdater->domainSettings(); goto Ffcfe; Ffcfe: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x72\157\x6f\164\104\151\x72\145\143\x74\157\x72\171" => $rootDirectory]; goto C3b9d; A799b: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\122\x6f\x6f\164\40\x44\x69\162\x65\x63\164\157\x72\x79\x20\x68\x61\x73\x20\x62\x65\x65\156\40\163\x61\166\145\x64\x2e")); goto f3d07; d8642: $siteEntity = $this->getSiteEntity($domainName); goto ffdfd; Ca533: $this->siteEntityManager->updateEntity($siteEntity); goto da1a7; da1a7: $siteUpdater = $this->getSiteUpdater($site); goto D3e89; c6cac: $rootDirectory = rtrim($form->get("\162\x6f\157\x74\104\x69\162\145\143\164\x6f\x72\171")->getData(), "\x2f"); goto fa3a5; C3b9d: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto A799b; B8dd8: $user = $this->getUser(); goto Fdf0a; be43c: $domainName = $site->getDomainName(); goto d8642; dd94f: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\x5f\163\145\164\164\151\x6e\x67\x73", ["\144\x6f\x6d\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto E6b78; b27e4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\156\x20\x65\162\x72\157\162\x20\150\141\163\40\157\x63\143\x75\162\162\x65\144\54\40\145\162\162\x6f\162\x20\155\145\163\x73\x61\x67\x65\72\x20\x25\145\x72\x72\157\x72\115\145\x73\x73\x61\x67\145\45", ["\x25\145\162\x72\x6f\x72\115\x65\163\x73\x61\x67\145\x25" => $e->getMessage()])); } goto F3e53; F3e53: Df951: goto Ca406; Ca406: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto B7b9a; f1ea9: c7c01: goto c1913; b8624: $this->formErrors = $this->getErrorMessages($form); goto bcae2; bcae2: goto c7c01; goto Fd740; B7b9a: if (true === $form->isValid()) { goto Cbfbb; } goto b8624; Dc4be: try { goto f9ba0; f9ba0: $user = $this->getUser(); goto Bf723; C0269: if (!(false === empty($password))) { goto E2ce6; } goto ca23c; C420c: $eventData = ["\163\151\164\x65" => $domainName, "\x73\x73\150\x4b\x65\171\163" => $sshKeys]; goto C9cb6; Bf723: $session = $request->getSession(); goto D26aa; e2371: $siteUser = $site->getUser(); goto ec21f; ca23c: $siteUpdater->changeUserPassword($siteUser, $password); goto Af9f0; A0cbe: if (!(false === is_null($siteEntity))) { goto B3459; } goto e2371; e9f1d: $siteUpdater = $this->getSiteUpdater($site); goto c4c11; D26aa: $domainName = $site->getDomainName(); goto E56e8; B5fed: $siteEntity->setSshKeys($sshKeys); goto a3561; ec21f: $sshKeys = trim($form->get("\163\163\x68\x4b\145\171\x73")->getData()); goto d6853; Ce347: return $response; goto a27ae; a3561: $this->siteEntityManager->updateEntity($siteEntity); goto e9f1d; c4c11: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto C0269; d6853: $password = trim($form->get("\x70\x61\163\163\x77\157\162\x64")->getData()); goto B5fed; d3f18: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\163", $this->translator->trans("\123\151\x74\x65\40\x55\x73\145\162\40\123\145\164\x74\x69\156\x67\x73\40\x68\141\166\x65\40\x62\145\145\x6e\40\x73\x61\x76\145\x64\x2e")); goto A5b62; E56e8: $siteEntity = $this->getSiteEntity($domainName); goto A0cbe; D09e8: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\x5f\x73\x65\164\164\151\156\x67\163", ["\x64\157\155\x61\151\156\116\141\155\145" => $site->getDomainName()])); goto Ce347; C9cb6: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto d3f18; A5b62: B3459: goto D09e8; Af9f0: E2ce6: goto C420c; a27ae: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\101\156\x20\x65\x72\162\157\162\x20\x68\141\x73\x20\x6f\143\143\165\x72\x72\x65\x64\54\40\x65\162\x72\157\162\40\x6d\x65\x73\x73\141\147\x65\72\x20\x25\145\162\162\x6f\x72\115\145\x73\x73\x61\147\145\x25", ["\x25\145\162\x72\x6f\162\x4d\145\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto f1ea9; Fd740: Cbfbb: goto Dc4be; c1913: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto B91a8; F0a79: $this->formErrors = $this->getErrorMessages($form); goto Fb690; Fb690: goto a15bb; goto C6fbf; E75d3: a15bb: goto A0695; C2b22: try { goto Ae1ce; F2c61: $siteUpdater->updateNginxVhostWithRollback(); goto A7b6e; Aa827: $this->siteEntityManager->updateEntity($siteEntity); goto e28b5; ccbaa: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\x50\141\147\x65\x20\123\160\145\145\x64\x20\x53\145\x74\x74\x69\x6e\147\163\40\150\141\x76\145\40\142\145\145\x6e\x20\x73\141\x76\145\144\x2e")); goto C9514; cf478: $siteEntity->setPageSpeedSettings($settings); goto Aa827; f6edc: return $response; goto E71b0; Ad002: $siteEntity = $this->getSiteEntity($domainName); goto d3ce0; E09f3: $settings = trim($form->get("\163\145\164\x74\x69\156\147\163")->getData()); goto Eea25; A7b6e: $siteUpdater->purgePageSpeedCache(); goto ffffd; D0134: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\163\x65\164\164\x69\156\147\x73", ["\144\157\155\141\x69\156\x4e\141\x6d\145" => $site->getDomainName()])); goto f6edc; D9fd7: $domainName = $site->getDomainName(); goto Ad002; e28b5: $eventData = ["\163\x69\x74\145" => $domainName, "\160\x61\x67\145\x53\x70\145\145\144\x45\x6e\x61\142\154\x65\144" => $isEnabled, "\x70\141\147\145\123\x70\145\x65\x64\123\145\x74\164\x69\x6e\x67\163" => $settings]; goto d5cbc; d3ce0: if (!(false === is_null($siteEntity))) { goto e9e47; } goto a3cd9; d5cbc: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto ccbaa; Ae1ce: $user = $this->getUser(); goto Ab159; D6082: $siteUpdater = $this->getSiteUpdater($site); goto F2c61; C9514: e9e47: goto D0134; E816c: $site->setPageSpeedSettings($settings); goto D6082; ffffd: $siteEntity->setPageSpeedEnabled($isEnabled); goto cf478; a3cd9: $isEnabled = $form->get("\151\x73\x45\x6e\x61\142\x6c\145\144")->getData(); goto E09f3; Ab159: $session = $request->getSession(); goto D9fd7; Eea25: $site->setPageSpeedEnabled($isEnabled); goto E816c; E71b0: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\120\x61\147\x65\123\160\145\x65\144\x20\123\145\x74\x74\151\156\147\40\x61\x72\145\x20\x6e\157\x74\x20\x76\141\154\x69\144\x2c\40\145\162\x72\157\162\40\155\145\x73\163\141\x67\145\72\40\45\x65\x72\x72\x6f\x72\115\x65\163\163\141\x67\x65\x25", ["\45\x65\162\162\157\162\115\145\x73\163\x61\147\x65\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\x72\40\x68\x61\163\40\157\x63\143\x75\162\162\145\144\x2c\x20\x65\x72\162\x6f\x72\40\x6d\145\163\x73\141\x67\145\x3a\x20\45\145\x72\162\x6f\x72\x4d\145\x73\163\141\147\x65\45", ["\45\145\x72\x72\157\x72\115\x65\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto E75d3; C6fbf: Bbc1e: goto C2b22; B91a8: if (true === $form->isValid()) { goto Bbc1e; } goto F0a79; A0695: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto Edbf7; Da2ff: f54e2: goto Cbd5d; fe201: C9dee: goto C49e6; Cbd5d: try { goto e816b; B3b08: e4c29: goto Dce34; C40e6: $siteDeleter = $this->getSiteDeleter($site); goto E22ae; c81c4: return $response; goto e84ca; d8711: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto Adce4; C4955: $domainName = $site->getDomainName(); goto F55d8; Adce4: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\x73", $this->translator->trans("\x53\151\x74\x65\x20\x68\141\163\40\x62\x65\145\156\40\x64\x65\x6c\x65\x74\145\144\56")); goto B3b08; E22ae: $siteDeleter->delete(); goto B532d; F55d8: $siteEntity = $this->getSiteEntity($domainName); goto db5bc; e816b: $user = $this->getUser(); goto ec889; B532d: $this->siteEntityManager->deleteEntity($siteEntity); goto c542f; db5bc: if (!(false === is_null($siteEntity))) { goto e4c29; } goto C40e6; c542f: $eventData = ["\x73\151\x74\x65" => $domainName, "\164\171\160\145" => $site->getType()]; goto d8711; ec889: $session = $request->getSession(); goto C4955; Dce34: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\x65\x73")); goto c81c4; e84ca: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\101\156\40\145\x72\162\157\x72\40\x68\x61\x73\x20\x6f\x63\x63\x75\x72\x72\145\144\54\x20\145\162\x72\157\162\40\155\145\x73\x73\x61\x67\145\72\40\x25\145\x72\x72\157\162\x4d\x65\x73\x73\x61\147\145\45", ["\x25\x65\x72\162\x6f\x72\x4d\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto fe201; B2075: $this->formErrors = $this->getErrorMessages($form); goto Bb559; Bb559: goto C9dee; goto Da2ff; Edbf7: if (true === $form->isValid()) { goto f54e2; } goto B2075; C49e6: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto C241b; B0d88: goto B3b62; goto F2ff3; Ebc88: $this->formErrors = $this->getErrorMessages($form); goto B0d88; d34af: try { goto C0997; d6f27: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\145\x5f\x73\145\x74\x74\151\x6e\147\163", ["\x64\x6f\x6d\x61\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto Ad623; cac83: $nodejsSettings = $form->getData(); goto E3573; eee23: $this->siteEntityManager->updateEntity($siteEntity); goto Ce500; F5368: $siteUpdater->installNodejsVersion(); goto fddbd; Cbd5f: $siteEntity = $this->getSiteEntity($domainName); goto c9902; fddbd: ed4d1: goto Af375; E3573: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto E00e8; ac64b: if (!(true === $hasNodejsVersionChanged)) { goto ed4d1; } goto F5368; e5e21: F2120: goto d6f27; Af375: $siteUpdater->nodejsSettings(); goto eee23; c9902: if (!(false === is_null($siteEntity))) { goto F2120; } goto cac83; Ce500: $eventData = ["\163\x69\164\145" => $domainName, "\x6e\x6f\144\145\x6a\x73\126\145\162\x73\x69\x6f\x6e" => $nodejsVersion, "\x70\x6f\162\x74" => $nodejsSettings->getPort()]; goto cedc3; Fa9dc: $siteUpdater = $this->getSiteUpdater($site); goto ac64b; Ad623: return $response; goto acae8; E00e8: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto Fa9dc; cedc3: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto B6880; B6880: $session->getFlashBag()->set("\163\165\143\x63\145\x73\163", $this->translator->trans("\116\157\144\145\56\152\163\40\x53\x65\164\164\x69\156\147\163\40\150\x61\x76\145\x20\142\145\x65\x6e\x20\163\x61\x76\x65\144\56")); goto e5e21; C0997: $user = $this->getUser(); goto ee01d; fbba0: $domainName = $site->getDomainName(); goto Cbd5f; ee01d: $session = $request->getSession(); goto fbba0; acae8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\101\x6e\x20\145\162\x72\x6f\162\40\x68\141\x73\40\x6f\143\x63\165\162\162\x65\144\54\40\145\x72\x72\x6f\162\40\x6d\x65\x73\163\x61\147\x65\72\x20\x25\145\x72\162\157\x72\x4d\x65\x73\163\141\147\145\45", ["\45\x65\x72\x72\157\x72\x4d\x65\163\x73\141\x67\145\45" => $e->getMessage()])); } goto Fc6f6; C241b: if (true === $form->isValid()) { goto E16f3; } goto Ebc88; F2ff3: E16f3: goto d34af; Fc6f6: B3b62: goto c0879; c0879: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto B3399; E9f07: try { goto A8b0f; F5495: $siteUpdater->pythonSettings(); goto Edd3a; affd3: if (!(false === is_null($siteEntity))) { goto A684b; } goto B7d87; B37c7: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto a3ff4; b86ac: A684b: goto F27d9; d3aa7: return $response; goto C8746; F8601: $pythonVersion = $pythonSettings->getPythonVersion(); goto ed3d6; A8b0f: $user = $this->getUser(); goto F5bae; Edd3a: $this->siteEntityManager->updateEntity($siteEntity); goto c1d37; F27d9: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\x5f\x73\145\164\x74\151\156\x67\163", ["\x64\157\x6d\141\x69\156\116\141\155\x65" => $site->getDomainName()])); goto d3aa7; a3ff4: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\163", $this->translator->trans("\x50\171\164\x68\157\x6e\x20\123\145\x74\164\x69\156\x67\163\40\x68\x61\166\145\x20\142\145\145\x6e\40\x73\141\166\145\x64\56")); goto b86ac; Ed62f: $siteUpdater->writePythonVersionFile(); goto F5495; B7d87: $pythonSettings = $form->getData(); goto F8601; D4fc5: $siteEntity = $this->getSiteEntity($domainName); goto affd3; ed3d6: $siteUpdater = $this->getSiteUpdater($site); goto Ed62f; F5bae: $session = $request->getSession(); goto bbcfc; c1d37: $eventData = ["\163\x69\x74\x65" => $domainName, "\x70\x79\x74\x68\157\x6e\x56\x65\x72\x73\x69\157\x6e" => $pythonVersion, "\x70\157\162\x74" => $pythonSettings->getPort()]; goto B37c7; bbcfc: $domainName = $site->getDomainName(); goto D4fc5; C8746: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\x41\x6e\x20\x65\162\x72\157\162\40\150\x61\x73\40\x6f\143\143\165\162\x72\x65\x64\54\40\145\162\x72\157\162\x20\x6d\x65\x73\x73\x61\147\x65\72\40\x25\x65\162\x72\157\x72\115\145\163\163\x61\x67\145\45", ["\45\145\162\x72\157\x72\115\145\163\x73\141\x67\145\45" => $e->getMessage()])); } goto f99af; Cf294: goto e5f8c; goto af451; B3399: if (true === $form->isValid()) { goto ebd0e; } goto Af8f0; Af8f0: $this->formErrors = $this->getErrorMessages($form); goto Cf294; f99af: e5f8c: goto D6984; af451: ebd0e: goto E9f07; D6984: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto D78f3; D78f3: if (true === $form->isValid()) { goto e64fe; } goto C2e6b; C2e6b: $this->formErrors = $this->getErrorMessages($form); goto E0db4; Ad011: e64fe: goto E0789; E0db4: goto B99cf; goto Ad011; Adecf: B99cf: goto a0d5c; E0789: try { goto B9ad6; f04a3: $eventData = ["\163\151\x74\145" => $domainName, "\x72\145\x76\145\x72\x73\145\120\x72\157\x78\x79\125\162\x6c" => $reverseProxyUrl]; goto bd481; a9d2b: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\x52\x65\166\145\x72\x73\x65\40\120\x72\x6f\x78\x79\40\123\145\164\x74\x69\x6e\x67\x73\40\x68\x61\x76\145\x20\142\145\145\156\40\x73\141\x76\145\x64\56")); goto Cdacc; d703a: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto cbf02; bd481: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto a9d2b; b02da: $this->siteEntityManager->updateEntity($siteEntity); goto f04a3; E8e48: $site->setReverseProxyUrl($reverseProxyUrl); goto d703a; cbf02: $siteUpdater = $this->getSiteUpdater($site); goto e471b; Cdacc: c8bdd: goto C54e6; E9ad3: return $response; goto Ba6eb; A2cb8: $domainName = $site->getDomainName(); goto e8e46; e471b: $siteUpdater->updateNginxVhostWithRollback(); goto b02da; B9ad6: $user = $this->getUser(); goto C9df3; C54e6: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\x74\x65\x5f\163\145\x74\x74\151\156\x67\x73", ["\x64\157\x6d\141\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto E9ad3; e8e46: $siteEntity = $this->getSiteEntity($domainName); goto c6a64; c6a64: if (!(false === is_null($siteEntity))) { goto c8bdd; } goto e812b; e812b: $reverseProxyUrl = $form->get("\x72\145\x76\x65\162\163\x65\x50\x72\157\x78\x79\125\x72\154")->getData(); goto E8e48; C9df3: $session = $request->getSession(); goto A2cb8; Ba6eb: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\101\x6e\x20\145\162\162\157\162\40\x68\141\x73\x20\x6f\x63\143\x75\162\162\145\144\54\40\x65\x72\162\x6f\x72\x20\x6d\x65\163\163\x61\147\145\x3a\x20\45\x65\162\162\157\x72\x4d\145\x73\x73\x61\147\145\45", ["\45\x65\x72\x72\x6f\162\x4d\x65\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto Adecf; a0d5c: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto F5843; Dc4ba: $this->formErrors = $this->getErrorMessages($form); goto Ec372; c399a: D6d35: goto d71da; d71da: try { goto F8e00; efa0f: $siteUpdater->phpSettings(); goto Feec2; Bc91d: ee86a: goto Ff3d4; Ac52e: $session = $request->getSession(); goto f4295; A7de1: $phpSettings = $form->getData(); goto Ff2da; b6285: $siteEntity = $this->getSiteEntity($domainName); goto bac98; bac98: if (!(false === is_null($siteEntity))) { goto ee86a; } goto A7de1; f4295: $domainName = $site->getDomainName(); goto b6285; Ba9ad: F256d: goto efa0f; B0455: if (!(true === $hasPhpVersionChanged)) { goto F256d; } goto a80bd; a80bd: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto Ba9ad; Ff2da: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto caba1; Ff3d4: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\x65\x5f\163\x65\x74\x74\x69\x6e\x67\x73", ["\144\157\155\141\x69\156\116\141\155\x65" => $site->getDomainName()])); goto E6334; A80a4: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto C955f; F8e00: $user = $this->getUser(); goto Ac52e; F2655: $eventData = ["\163\x69\x74\145" => $domainName, "\x70\150\x70\126\145\x72\x73\151\x6f\156" => $phpSettings->getPhpVersion(), "\x6d\x65\x6d\157\162\171\137\154\x69\x6d\151\x74" => $phpSettings->getMemoryLimit(), "\x6d\x61\170\137\x65\x78\x65\x63\x75\164\151\157\x6e\137\x74\x69\x6d\x65" => $phpSettings->getMaxExecutionTime(), "\155\141\x78\137\x69\156\x70\x75\x74\x5f\x74\151\155\x65" => $phpSettings->getMaxInputTime(), "\x6d\141\170\x5f\x69\156\x70\x75\164\x5f\166\x61\162\x73" => $phpSettings->getMaxInputVars(), "\160\x6f\x73\x74\x5f\155\x61\x78\137\163\x69\x7a\x65" => $phpSettings->getPostMaxSize(), "\165\160\x6c\157\141\x64\137\x6d\x61\x78\x5f\146\x69\154\145\x73\x69\172\145" => $phpSettings->getUploadMaxFileSize()]; goto A80a4; Feec2: $this->siteEntityManager->updateEntity($siteEntity); goto F2655; C955f: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\x50\110\120\40\123\145\164\164\x69\156\147\x73\x20\150\141\x76\x65\40\142\x65\x65\156\40\x73\x61\x76\x65\x64\56")); goto Bc91d; caba1: $siteUpdater = $this->getSiteUpdater($site); goto B0455; E6334: return $response; goto Cee16; Cee16: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\101\156\x20\x65\162\162\157\x72\40\x68\x61\x73\40\157\x63\x63\165\162\162\x65\x64\x2c\40\145\162\162\157\x72\40\x6d\x65\163\x73\141\x67\x65\72\x20\x25\145\162\162\x6f\162\x4d\145\163\x73\x61\x67\x65\x25", ["\45\145\x72\162\x6f\x72\x4d\145\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto d3828; Ec372: goto ae8b2; goto c399a; d3828: ae8b2: goto e9170; F5843: if (true === $form->isValid()) { goto D6d35; } goto Dc4ba; e9170: } private function getSite(Request $request) : ?Site { goto ce80a; e0b8d: $siteEntity = $this->getSiteEntity($domainName); goto dd8c0; dd169: $site->setCronJobs($siteEntity->getCronJobs()); goto F8c37; c79fd: if (!(false === is_null($site))) { goto d2688; } goto Ace31; fa715: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto D299c; E3823: c9433: goto b83d6; fd0a5: return null; goto E3823; Ca04f: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto f942e; Ace31: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F96b1; cacdf: $siteDatabases = $this->getSiteDatabases($siteEntity); goto F69eb; cbe40: $site->setBasicAuth($siteEntity->getBasicAuth()); goto ef354; Ce26c: $site->setSubdomain($subdomain); goto A4192; B9059: $site->setDatabases($siteDatabases); goto Eddd1; F8c37: $site->setFtpUsers($siteEntity->getFtpUsers()); goto D36df; f3045: d2688: goto Af9ba; F2f03: $subdomain = false === empty($subdomain) ? $subdomain : null; goto cacdf; F96b1: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto ba9f8; dd8c0: $site = null; goto f325f; A4192: $site->setRootDirectory($siteEntity->getRootDirectory()); goto cbe40; ef354: $site->setBlockedBots($siteEntity->getBlockedBots()); goto b529e; F69eb: $site->setUser($siteEntity->getUser()); goto ec347; Aca38: F6ca7: goto d6560; ef56c: $site->setSshKeys($siteEntity->getSshKeys()); goto Ca04f; B21b6: $site->setCertificates($siteEntity->getCertificates()); goto dd169; Eddd1: $site->setCertificate($siteEntity->getCertificate()); goto B21b6; ba9f8: $subdomain = $resolvedDomainName->subDomain()->toString(); goto F2f03; F8794: $domainName = $request->get("\144\157\x6d\x61\x69\x6e\116\x61\155\145"); goto e0b8d; d405a: return $site; goto ec7a2; a7ccc: $site->setRegistrableDomain($registrableDomain); goto Ce26c; b529e: $site->setBlockedIps($siteEntity->getBlockedIps()); goto B9059; f942e: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto fa715; ce80a: $user = $this->getUser(); goto F8794; D299c: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto f3045; f325f: if (!(false === is_null($siteEntity))) { goto Da40b; } goto B80f8; Db794: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto cf993; d3920: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Eca16; Eca16: goto B84b2; goto E506c; cf993: $site = new NodejsSite(); goto d3920; E506c: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto B84b2; case SiteEntity::TYPE_PHP: goto beffa; Ca6d9: $site->setVarnishCache($siteEntity->getVarnishCache()); goto df94b; b502c: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Ca6d9; df94b: goto B84b2; goto Bc8cd; beffa: $site = new PhpSite(); goto b502c; Bc8cd: case SiteEntity::TYPE_PYTHON: goto C80ae; b0808: $site->setPythonSettings($siteEntity->getPythonSettings()); goto E782a; C80ae: $site = new PythonSite(); goto b0808; E782a: goto B84b2; goto Cb26b; Cb26b: case SiteEntity::TYPE_REVERSE_PROXY: goto f341c; f17e6: goto B84b2; goto C7122; e8e88: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto f17e6; f341c: $site = new ReverseProxySite(); goto e8e88; C7122: } goto Aca38; Af9ba: Da40b: goto d405a; b83d6: $siteType = $siteEntity->getType(); goto Db794; d6560: B84b2: goto c79fd; ec347: $site->setDomainName($siteEntity->getDomainName()); goto a7ccc; B80f8: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto c9433; } goto fd0a5; D36df: $site->setSshUsers($siteEntity->getSshUsers()); goto ef56c; ec7a2: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto E5a40; f7bcf: return $siteDatabases; goto c3437; d9645: e0a8d: goto f7bcf; C1ca5: $databaseEntities = $siteEntity->getDatabases(); goto De37d; fd41b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto C1ca5; De37d: foreach ($databaseEntities as $databaseEntity) { goto Bcc0e; Ef213: f650d: goto Df0af; Ab2d6: $siteDatabases->add($databaseEntity); goto Ef213; Bcc0e: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto bc1c7; bc1c7: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto f650d; } goto Ab2d6; Df0af: D6ac5: goto Eb96f; Eb96f: } goto d9645; E5a40: $siteDatabases = new ArrayCollection(); goto fd41b; c3437: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto A35ec; b5c38: $siteType = $site->getType(); goto aa384; A35ec: $siteUpdater = null; goto b5c38; ed0d4: Ab5a9: goto ffa51; aa384: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto a2b71; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto a2b71; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto a2b71; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto a2b71; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto a2b71; } goto ed0d4; ffa51: a2b71: goto e3905; e3905: return $siteUpdater; goto e5fb4; e5fb4: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto ca331; f42b5: $siteType = $site->getType(); goto Bdcb6; Bdcb6: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto d57df; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto d57df; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto d57df; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto d57df; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto d57df; } goto Fb33f; a02e3: d57df: goto a382e; a382e: return $siteDeleter; goto Bcd85; Fb33f: Cac7f: goto a02e3; ca331: $siteDeleter = null; goto f42b5; Bcd85: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
