<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\x74\164\160\x73\72\57\x2f\x64\63\161\x6e\144\x35\64\x71\70\x67\x62\x33\152\x65\x2e\143\x6c\157\x75\144\x66\x72\157\156\x74\56\x6e\x65\164\57"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto fbe1b; caa61: $this->cachePool = $cachePool; goto D6956; fbe1b: $this->configManager = $configManager; goto c26cb; Cfbc2: $this->userManager = $userManager; goto caa61; c26cb: $this->databaseServerManager = $databaseServerManager; goto Cfbc2; D6956: $this->twig = $twig; goto Faa0c; Faa0c: } public function onKernelRequest(RequestEvent $event) : void { goto A2d46; c86fb: $this->initialize($event); goto c5ba7; ec7a5: return; goto f2167; f2167: C9807: goto c86fb; A2d46: if (!(false === $event->isMainRequest())) { goto C9807; } goto ec7a5; c5ba7: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto c8203; D98d1: if (!$command instanceof Command) { goto dd21f; } goto c561e; Fd545: dd21f: goto D6c6f; c561e: $this->initialize($event); goto Fd545; c8203: $command = $event->getCommand(); goto D98d1; D6c6f: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto E6e00; c5c2a: $this->setLetsEncryptPrivateKey(); goto Dede2; Dede2: $this->setDatabaseServer($event); goto E615a; E615a: $this->setEnvironment($event); goto Cb4cc; Ddee2: $this->setInstanceUid(); goto cf247; C23f2: $this->setCloudPanelReleaseChannel(); goto c5c2a; E6e00: $this->setTimezone(); goto Ddee2; cf247: $this->setCloudPanelVersion(); goto C23f2; Cb4cc: } private function setTimezone() : void { goto Bd403; F901d: if (!(true === is_null($timezone))) { goto D65e3; } goto E3a8f; E3a8f: $this->configManager->set("\164\151\x6d\145\x7a\157\156\x65", "\x55\124\103"); goto cbf1e; cbf1e: D65e3: goto dfa6b; Bd403: $timezone = $this->configManager->get("\x74\x69\x6d\x65\x7a\157\156\x65"); goto F901d; dfa6b: } private function setInstanceUid() : void { goto ac4b1; a24b5: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto f9098; F7f29: if (!(true === is_null($instanceUid))) { goto cb3d9; } goto a24b5; f9098: $this->configManager->set("\151\156\x73\x74\x61\156\x63\145\137\x75\151\144", $instanceUid); goto d445b; d445b: cb3d9: goto c1067; ac4b1: $instanceUid = $this->configManager->get("\x69\156\x73\164\x61\156\143\x65\x5f\x75\151\x64"); goto F7f29; c1067: } private function setCloudPanelVersion() : void { goto Fa4aa; De3a6: f7183: goto f65b8; fe80c: if (!(false === is_null($appVersion))) { goto f7183; } goto a344d; Fa4aa: $appVersion = $_ENV["\x41\x50\x50\137\126\105\x52\x53\x49\x4f\116"] ?? null; goto fe80c; a344d: $this->configManager->set("\141\160\160\x5f\166\x65\x72\x73\151\x6f\156", trim($appVersion)); goto De3a6; f65b8: } private function setCloudPanelReleaseChannel() : void { goto B7263; a0496: e67b4: goto b5103; d2f55: $this->configManager->set("\x72\145\154\x65\141\x73\145\137\143\x68\x61\156\x6e\145\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto a0496; B7263: $releaseChannel = $this->configManager->get("\162\x65\154\x65\141\x73\x65\x5f\x63\150\141\156\x6e\x65\154"); goto e53c8; e53c8: if (!(true === is_null($releaseChannel))) { goto e67b4; } goto d2f55; b5103: } private function setLetsEncryptPrivateKey() { goto F1a7b; a7644: $this->configManager->set("\x6c\x65\x5f\160\162\151\x76\141\164\x65\x5f\153\x65\171", $privateKey->getPEM()); goto f0bc6; F1a7b: $numberOfUsers = $this->userManager->countAll(); goto c257a; Fbb26: if (!(true === is_null($letsEncryptPrivateKey))) { goto d5fcc; } goto B65d7; C7266: b0694: goto dccef; c257a: if (!(0 < $numberOfUsers)) { goto b0694; } goto F8fed; f0bc6: d5fcc: goto C7266; aca2d: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto a7644; F8fed: $letsEncryptPrivateKey = $this->configManager->get("\x6c\x65\137\160\162\151\x76\x61\x74\x65\137\153\x65\x79"); goto Fbb26; B65d7: $rsaKeyGenerator = new RsaKeyGenerator(); goto aca2d; dccef: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto c2a3f; ab2e1: $databaseServer->setIsDefault(true); goto Be138; f7262: $changeDatabaseUserPasswordCommand->setUserName("\162\x6f\x6f\x74"); goto f86bc; ffc30: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto bf91d; f86bc: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto ef032; B97ea: $this->databaseServerManager->updateEntity($databaseServer); goto B5a6d; C7ec1: if (!("\x64\x65\166" != $_ENV["\x41\x50\x50\x5f\105\x4e\126"])) { goto A1485; } goto b1233; c2a3f: $numberOfUsers = $this->userManager->countAll(); goto Bba8f; F289c: $encryptedPassword = Crypto::encrypt($password); goto c0bdc; c47bf: $databaseServer->setPassword($encryptedPassword); goto C7ec1; Df0a6: $databaseServer->setVersion($databaseConnection->getVersion()); goto c47bf; B5a6d: d47ae: goto B8385; ef032: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto ffc30; bfbee: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto f7262; Bba8f: $databaseServers = $this->databaseServerManager->findAll(); goto E3884; b1233: $tmpDatabaseServer = clone $databaseServer; goto D45f2; D41a6: if ("\144\145\x76" == $_ENV["\x41\x50\x50\x5f\105\x4e\126"]) { goto d972a; } goto C68d6; fd534: b3010: goto F289c; Be138: $databaseConnection = new DatabaseConnection($databaseServer); goto e7854; D45f2: $tmpDatabaseServer->setPassword("\x72\157\x6f\x74"); goto Ccdd6; e4ebe: $password = $passwordGenerator->generate(); goto D48fa; d0f86: $databaseServer->setUserName("\x72\x6f\x6f\164"); goto b2381; Af904: $password = "\x72\x6f\x6f\x74"; goto fd534; Ccdd6: $commandExecutor = new CommandExecutor(); goto bfbee; E3884: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto d47ae; } goto D41a6; e7854: $databaseServer->setEngine($databaseConnection->getEngine()); goto Df0a6; D48fa: goto b3010; goto ab423; c0bdc: $databaseServer = $this->databaseServerManager->createEntity(); goto afb65; bf91d: A1485: goto B97ea; ca39a: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto Fd425; ab423: d972a: goto Af904; C68d6: $passwordGenerator = new PasswordGenerator(); goto e4ebe; Fd425: $databaseServer->setIsActive(true); goto ab2e1; b2381: $databaseServer->setPassword(Crypto::encrypt("\x72\x6f\157\164")); goto ca39a; afb65: $databaseServer->setHost("\x31\x32\x37\x2e\x30\56\x30\x2e\x31"); goto d0f86; B8385: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto b465c; Cfe80: $this->twig->addGlobal("\x69\156\x73\164\141\156\x63\x65", $instance); goto Eb3d7; A7bc0: $isDarkMode = false === is_null($request->cookies->get("\x74\150\x65\x6d\145")) && "\x64\x61\162\153" == $request->cookies->get("\x74\x68\x65\x6d\145") ? true : false; goto bf233; Fd2e2: try { $ipv4PublicIp = $this->cachePool->get("\x69\x70\166\x34\137\x70\165\142\x6c\151\143\x5f\x69\x70", function (ItemInterface $item) { goto Eb5c5; e6adb: $httpClient = new HttpClient($config); goto D44f0; E4959: e9b8e: goto a4c30; a4c30: return $ipv4PublicIp; goto ec110; E6406: $config = ["\x74\151\x6d\x65\x6f\165\164" => 5, "\x76\145\x72\151\146\x79" => false, "\x68\145\x61\144\145\x72\x73" => ["\x55\x73\x65\162\55\x41\x67\145\156\x74" => "\x43\154\157\165\x64\x50\x61\156\145\154\40\x76\x32"]]; goto e6adb; Eb5c5: $item->expiresAfter(3600); goto Ceb93; Be340: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto d1157; d24eb: if (!(200 == $responseStatusCode)) { goto e9b8e; } goto f7675; f7675: $ipv4PublicIp = trim((string) $response->getBody()); goto E4959; Ceb93: $ipv4PublicIp = null; goto E6406; D44f0: $request = new Request("\x47\105\x54", self::IP_REQUEST_URL); goto Be340; d1157: $responseStatusCode = $response->getStatusCode(); goto d24eb; ec110: }); } catch (\Exception $e) { } goto a9ab8; C31e8: $instanceUid = $this->configManager->get("\151\x6e\x73\x74\x61\156\x63\x65\x5f\165\x69\x64"); goto bcc43; bcc43: if (!(false === is_null($instanceUid))) { goto ca0df; } goto A29ba; bf233: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto efa5c; A90e5: dc94c: goto b6b61; Eb3d7: $this->twig->addGlobal("\151\x73\104\x61\x72\x6b\115\157\x64\x65", $isDarkMode); goto bbbc4; Dd8dc: $command->setInstance($instance); goto aa7fd; bbbc4: B9c85: goto ab75e; c9e53: c9bb4: goto C31e8; Cfc75: $instance->setEnvironment($environment); goto Aad8d; c117e: b20ad: goto c9e53; A8b55: if ($event instanceof RequestEvent) { goto dc94c; } goto d5119; d5119: $command = $event->getCommand(); goto Dd8dc; c0254: E44c0: goto C6737; d4380: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto c4515; E58e2: $instanceId = $_ENV["\104\x45\126\137\101\127\123\137\x49\x4e\x53\124\x41\x4e\103\x45\137\x49\104"] ?? ''; goto Cd813; a0a64: if (!("\144\x65\x76" == $_ENV["\101\120\120\x5f\x45\116\x56"])) { goto cb59b; } goto E58e2; E4657: cb59b: goto be17a; A5c67: $instance->setInstanceType("\x74\x33\x2e\x78\154\x61\162\x67\145"); goto D66e5; be17a: goto c9bb4; goto ea04b; ce04c: $instance = new AwsInstance(); goto a0a64; c4515: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto ce04c; D66e5: $instance->setRegion($region); goto E4657; d9fd4: $instance->setInstanceId($instanceId); goto A5c67; Cd813: $region = $_ENV["\x44\105\126\137\101\127\123\x5f\122\105\107\111\117\116"] ?? ''; goto d9fd4; ea04b: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto F0832; Eb441: goto c9bb4; goto c28c0; e03a4: $dropletId = $_ENV["\x44\x45\126\137\x44\x4f\137\x44\x52\x4f\120\x4c\105\124\137\x49\104"] ?? ''; goto Ba908; f01c7: cc396: goto e9554; fd6af: if (!("\x64\145\x76" == $_ENV["\x41\x50\120\137\105\116\126"])) { goto f64d9; } goto e03a4; F0832: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto Dac6e; D7164: $instance->setIpv4PublicIp("\x31\62\x37\56\x30\56\x30\56\61"); goto cf68f; A1be4: $instance->setDropletId($dropletId); goto D95e8; cf68f: f64d9: goto Eb441; e9554: $instance = new DoInstance($doClient); goto d430b; Dac6e: $doClient = new DoClient(); goto cd815; D95e8: $instance->setRegion($region); goto B4542; f132d: $doClient->setToken($token); goto f01c7; cd815: $token = $this->configManager->get("\144\x6f\137\141\143\x63\145\163\x73\137\x74\x6f\x6b\145\x6e"); goto f06bd; d430b: $doClient->setInstance($instance); goto fd6af; B4542: $instance->setFloatingIp("\x31\x32\67\56\x30\x2e\60\56\x31"); goto D7164; f06bd: if (!(false === is_null($token))) { goto cc396; } goto f132d; Ba908: $region = $_ENV["\104\x45\126\137\x44\x4f\137\x52\x45\107\111\117\x4e"] ?? ''; goto A1be4; c28c0: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto F7df0; A7c0f: $serviceAccountKeys = $this->configManager->get("\147\143\x65\x5f\163\x65\162\x76\151\143\145\x5f\141\143\x63\157\165\x6e\x74\x5f\153\145\x79\163"); goto dfc61; F588c: $instance->setProjectId($projectId); goto ec9ff; f725f: goto c9bb4; goto F4b91; e54e3: $instance->setIpv4PublicIp("\x31\x32\67\56\60\56\x30\56\61"); goto F588c; Fa4e5: if (!("\x64\x65\166" == $_ENV["\101\120\120\137\x45\x4e\126"])) { goto D6378; } goto ed72d; D3c91: C25ea: goto fff0c; ce03c: $instanceName = $_ENV["\104\105\x56\x5f\107\x43\x45\x5f\111\116\x53\x54\101\x4e\x43\105\x5f\116\x41\115\105"] ?? ''; goto cee30; ed72d: $projectId = $_ENV["\x44\x45\126\x5f\x47\x43\x45\x5f\x50\x52\x4f\112\x45\x43\124\x5f\111\104"] ?? ''; goto Ded91; dfc61: if (!(false === is_null($serviceAccountKeys))) { goto C25ea; } goto f57a3; e9642: $gceClient->setAuthConfig($serviceAccountKeys); goto D3c91; c0890: $zone = $_ENV["\x44\105\x56\x5f\107\103\x45\x5f\x5a\117\x4e\x45"] ?? ''; goto e54e3; F7df0: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto b4fbb; b6962: D6378: goto f725f; D51c9: $gceClient->setGceInstance($instance); goto Fa4e5; Ded91: $instanceId = $_ENV["\x44\105\126\137\107\x43\105\137\111\x4e\x53\124\101\x4e\103\105\137\111\104"] ?? ''; goto ce03c; fff0c: $instance = new GceInstance($gceClient); goto D51c9; Cca04: $instance->setZone($zone); goto b6962; D5743: $instance->setInstanceName($instanceName); goto e7054; cee30: $machineType = $_ENV["\x44\x45\126\137\107\x43\x45\137\x4d\x41\x43\x48\x49\x4e\105\137\124\x59\x50\x45"] ?? ''; goto c0890; b4fbb: $gceClient = new GceClient(); goto A7c0f; ec9ff: $instance->setInstanceId($instanceId); goto D5743; f57a3: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto e9642; e7054: $instance->setMachineType($machineType); goto Cca04; F4b91: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto f58ee; D1ccd: $apiToken = $this->configManager->get("\150\x65\x74\x7a\156\x65\x72\137\x61\x70\151\x5f\x74\157\x6b\145\156"); goto bf9fd; fb9f9: $hetznerClient = new HetznerClient(); goto D1ccd; f4fd8: $instance->setInstanceId($instanceId); goto E6717; F76e9: $hetznerClient->setInstance($instance); goto F8577; f58ee: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto fb9f9; af580: $instance->setIpv4PublicIp("\x31\62\67\x2e\x30\56\60\56\61"); goto f4fd8; ddf1d: $instance = new HetznerInstance($hetznerClient); goto F76e9; Cb8e8: cdd07: goto ddf1d; c8577: goto c9bb4; goto A1a40; F8577: if (!("\x64\x65\166" == $_ENV["\101\120\120\x5f\105\116\x56"])) { goto Ba240; } goto A1c03; bf9fd: if (!(false === is_null($apiToken))) { goto cdd07; } goto a98c6; a98c6: $hetznerClient->setToken($apiToken); goto Cb8e8; A1c03: $instanceId = $_ENV["\x44\105\126\x5f\x48\105\x54\x5a\x4e\x45\122\137\x49\116\123\x54\x41\x4e\103\x45\x5f\111\104"] ?? ''; goto af580; E6717: Ba240: goto c8577; A1a40: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto c0a21; da6db: $apiKey = $this->configManager->get("\166\165\154\164\162\137\x61\x70\x69\x5f\x6b\145\x79"); goto ac2c6; f78d0: $vultrClient->setVultrInstance($instance); goto fc6ae; ec6ad: $vultrClient = new VultrClient(); goto da6db; fc6ae: if (!("\144\145\x76" == $_ENV["\x41\x50\120\x5f\105\x4e\x56"])) { goto bf4bd; } goto Ba212; b03fe: goto c9bb4; goto ccb34; a7b24: $instance = new VultrInstance($vultrClient); goto f78d0; F6b4b: $instance->setInstanceId($instanceId); goto Fab21; Fab21: bf4bd: goto b03fe; a03f1: $ipv4PublicIp = $_ENV["\x44\x45\x56\137\x56\125\x4c\x54\122\137\x49\120\137\x56\64\137\x50\x55\x42\x4c\x49\x43"] ?? "\x31\x32\x37\56\60\56\x30\56\x31"; goto de6b9; D5074: $vultrClient->setApiKey($apiKey); goto fdda3; c0a21: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto ec6ad; fdda3: fb269: goto a7b24; ac2c6: if (!(false === is_null($apiKey))) { goto fb269; } goto D5074; Ba212: $instanceId = $_ENV["\x44\x45\x56\x5f\126\125\114\124\122\137\111\x4e\123\x54\x41\116\103\x45\x5f\x49\104"] ?? ''; goto a03f1; de6b9: $instance->setIpv4PublicIp($ipv4PublicIp); goto F6b4b; ccb34: default: $instance = new Instance(); goto c9bb4; } goto c117e; b0ac7: $host = $request->getHost(); goto A7bc0; B390e: $environment = new CloudPanelEnvironment(); goto d4380; a9ab8: $instance->setIpv4PublicIp($ipv4PublicIp); goto c0254; efa5c: if (!(true === empty($ipv4PublicIp))) { goto E44c0; } goto bf115; A6dd1: $request->attributes->set("\x69\163\104\x61\x72\x6b\115\157\x64\145", $isDarkMode); goto Cfe80; E4fb3: $instance->setHostname($hostname); goto A8b55; E5b8a: ca0df: goto Cfc75; b6b61: $request = $event->getRequest(); goto b0ac7; aa7fd: goto B9c85; goto A90e5; A29ba: $instance->setUid($instanceUid); goto E5b8a; C6737: $request->attributes->set("\x69\x6e\163\164\141\x6e\x63\145", $instance); goto A6dd1; Aad8d: $hostname = gethostname(); goto E4fb3; b465c: $cloud = $this->configManager->get("\143\154\157\x75\x64"); goto B390e; bf115: $ipv4PublicIp = ''; goto Fd2e2; ab75e: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\113\145\x72\156\x65\154\x52\145\161\x75\x65\163\164", 25]], ConsoleEvents::COMMAND => [["\157\x6e\x43\x6f\156\x73\x6f\154\145\x43\x6f\155\x6d\141\x6e\144", 25]]]; } }
