<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto C6c5f; debd9: $this->addProcessor($serverNameProcessor); goto e69ed; b7431: $this->addProcessor($nginxAccessLogProcessor); goto C54ba; A6fe3: $this->addProcessor($redirectDomainProcessor); goto b7431; c42d4: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto cffa7; C6c5f: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto ed708; ad432: $this->addProcessor($certificateKeyProcessor); goto A012b; Bf2ca: $this->addProcessor($rootDirectoryProcessor); goto debd9; e69ed: $this->addProcessor($redirectServerNameProcessor); goto A6fe3; ed708: $serverNameProcessor = new ServerNameProcessor(); goto Ed0d3; A1a31: $redirectDomainProcessor = new RedirectDomainProcessor(); goto E92b6; ca848: $certificateProcessor = new NginxCertificateProcessor(); goto c7320; A012b: $this->addProcessor($certificateProcessor); goto F6b94; E92b6: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto c42d4; cffa7: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto ca848; F6b94: $this->addProcessor($settingsProcessor); goto fd00e; Ed0d3: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto A1a31; c7320: $settingsProcessor = new SettingsProcessor(); goto Bf2ca; C54ba: $this->addProcessor($nginxErrorLogProcessor); goto ad432; fd00e: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto c75a6; a03ba: foreach ($placeholders as $placeholder) { goto Caf15; c3034: $processor->setSite($this->site); goto A0713; Ffc75: $this->removePlaceholder($placeholder); goto D95e1; D95e1: Aa968: goto Ffe9c; Caf15: $hasProcessor = $this->hasProcessor($placeholder); goto c36d9; c36d9: if (!(true === $hasProcessor)) { goto Aa968; } goto d9716; Ffe9c: ed01f: goto d9938; d9716: $processor = $processors[$placeholder]; goto c3034; A0713: $this->content = $processor->process($this->content); goto Ffc75; d9938: } goto a197f; a197f: bd5a5: goto Bceef; a33d5: $placeholders = $this->getPlaceholders(); goto a03ba; c75a6: $processors = $this->getProcessors(); goto a33d5; Bceef: } public function removeEmptyPlaceholders() : void { goto D9ca6; f4b77: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); Ab8cb: } goto d01fd; D9ca6: $placeholders = $this->getPlaceholders(); goto f4b77; d01fd: E18ac: goto F5c62; F5c62: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto d567d; e61fb: dc33b: goto D1750; C9397: return $this->placeholders; goto b01e2; f70a6: preg_match_all("\57\133\173\x7b\x5d\173\62\x7d\50\x5b\134\x73\x61\x2d\172\101\x2d\x5a\60\x2d\x39\137\x5d\53\x29\x5b\175\x7d\135\x7b\62\175\57", $this->content, $placeholders); goto e5378; Bd847: foreach ($placeholders as $placeholder) { goto B4e51; be938: $this->addPlaceholder($placeholder); goto f73a0; B0584: B6015: goto E82ce; B4e51: $placeholder = trim($placeholder); goto Da5e9; f73a0: C4020: goto B0584; Da5e9: if (!(false === empty($placeholder))) { goto C4020; } goto be938; E82ce: } goto a9641; D1750: ef1b9: goto C9397; a9641: Ffff0: goto e61fb; e4d5d: $placeholders = $placeholders[0]; goto Bd847; d567d: if (!(true === empty($this->placeholders))) { goto ef1b9; } goto f70a6; e5378: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto dc33b; } goto e4d5d; b01e2: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto a3920; Dfcf0: unset($this->placeholders[$placeholder]); goto E9542; a3920: if (!(true === isset($this->placeholders[$placeholder]))) { goto b8a68; } goto Dfcf0; E9542: b8a68: goto Dd3cd; Dd3cd: } }
