<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\x65\x74\143\57\x6e\147\151\156\x78\57\142\141\163\151\143\55\x61\165\x74\x68\x2f"; public const NGINX_VHOST_DIRECTORY = "\57\x65\164\143\x2f\x6e\147\151\156\x78\57\x73\151\164\x65\163\55\145\x6e\141\142\154\x65\144\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\145\164\x63\57\156\x67\x69\x6e\x78\x2f\x73\163\x6c\x2d\x63\145\162\164\x69\x66\x69\x63\141\x74\x65\163\57"; public const CRON_DIRECTORY = "\x2f\145\164\x63\x2f\143\162\x6f\156\x2e\144\57"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto f39a6; A11c0: $vhostFileContent = $this->site->getVhostTemplate(); goto A9a58; Cdba7: $vhostTemplate->setContent($vhostFileContent); goto d0904; e0c6f: edd60: goto Cdba7; E4488: $writeVhostFileCommand->setContent($vhostContent); goto f9c1e; b11ae: $writeVhostFileCommand = new WriteFileCommand(); goto C9bda; f39a6: $domainName = $this->site->getDomainName(); goto A11c0; ec307: $vhostTemplate->build(); goto Ff3d5; A9a58: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto edd60; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto edd60; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto edd60; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto edd60; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto edd60; } goto Db3fb; Ff3d5: $vhostTemplate->removeEmptyPlaceholders(); goto dd402; dd402: $vhostContent = $vhostTemplate->getContent(); goto b11ae; Db3fb: E73d4: goto e0c6f; f9c1e: $this->commandExecutor->execute($writeVhostFileCommand); goto F59c7; C9bda: $writeVhostFileCommand->setFile($vhostFile); goto E4488; d0904: $vhostFile = sprintf("\45\163\57\45\163\56\143\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto ec307; F59c7: } public function updateNginxVhostWithRollback() : void { try { goto ab2a4; fb36f: if (!("\144\x65\x76" != $_ENV["\x41\120\x50\137\x45\x4e\126"])) { goto cd4b6; } goto F9dac; c6b6a: $writeVhostFileCommand = new WriteFileCommand(); goto D7474; f307f: $vhostTemplate->build(); goto B950b; F1611: $vhostTemplate->setContent($vhostFileContent); goto e5e17; B1aea: $vhostFileContent = $this->site->getVhostTemplate(); goto c7afe; ab2a4: $domainName = $this->site->getDomainName(); goto B1aea; ca3dc: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto De54a; F9dac: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto c67f6; A02b6: F9a3f: goto f6519; D7474: $writeVhostFileCommand->setFile($vhostFile); goto fa4be; B950b: $vhostTemplate->removeEmptyPlaceholders(); goto d37b8; D29db: $this->commandExecutor->execute($writeVhostFileCommand); goto d281a; Dd15e: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto ca3dc; De54a: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto eafd3; c67f6: $reloadNginxServiceCommand->setServiceName("\156\x67\151\156\170"); goto Bf432; eafd3: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto D29db; c53b9: $copyVhostBackupFileCommand = new CopyFileCommand(); goto F0188; c7afe: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Babde; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Babde; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Babde; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Babde; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Babde; } goto A02b6; d37b8: $vhostContent = $vhostTemplate->getContent(); goto c4a46; Be396: cd4b6: goto Fb815; f6519: Babde: goto F1611; Bf432: $this->commandExecutor->execute($reloadNginxServiceCommand); goto Be396; Fb815: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto ee058; F0188: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto c8bbf; c4a46: $vhostBackupFile = sprintf("\x25\163\x2f\x25\163\x2e\x63\157\156\x66\x2e\x62\x61\153", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto c53b9; d281a: $this->commandExecutor->execute($nginxConfigTestCommand); goto fb36f; e5e17: $vhostFile = sprintf("\45\x73\x2f\45\163\56\143\x6f\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto f307f; c8bbf: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto c6b6a; fa4be: $writeVhostFileCommand->setContent($vhostContent); goto Dd15e; ee058: } catch (\Exception $e) { goto A70bc; E2207: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto e15a9; ff70b: $restoreBackupFileCommand = new CopyFileCommand(); goto E2207; A70bc: $errorMessage = $e->getMessage(); goto Cd04d; Cd04d: if (!(true === isset($nginxConfigTestCommand))) { goto b011c; } goto B7ec3; c5ad2: b011c: goto ff70b; B7ec3: $errorMessage = $nginxConfigTestCommand->getOutput(); goto c5ad2; e09ee: $this->commandExecutor->execute($restoreBackupFileCommand); goto Cc32a; Cc32a: if (!(true === isset($reloadNginxServiceCommand))) { goto b0091; } goto b3207; D2cfb: throw new InvalidVhostException($errorMessage); goto f8724; B3548: b0091: goto E21bd; E21bd: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto D2cfb; e15a9: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto e09ee; b3207: $this->commandExecutor->execute($reloadNginxServiceCommand); goto B3548; f8724: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto Bdaee; C49fb: $sshDirectoryChmodCommand->setFile($sshDirectory); goto e4ebf; D48fd: $homeDirectory = sprintf("\x2f\x68\157\155\x65\x2f\45\x73", $sshUserName); goto B6fb2; b1d1f: $sshDirectory = sprintf("\x2f\150\157\155\x65\x2f\45\x73\57\56\163\x73\150", $sshUserName); goto d5f63; d5f63: $sshDirectoryChmodCommand = new FindChmodCommand(); goto C49fb; Bd405: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto dfcd9; eedb5: $createUserCommand->setShell("\57\x62\151\156\x2f\x62\141\x73\150"); goto F1c6e; cee78: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto de2f9; Faf3c: $sshDirectoryChmodCommand->setFileChmod(600); goto C76af; dfcd9: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto cee78; C76af: $siteUserHomeDirectory = sprintf("\57\150\x6f\x6d\x65\57\x25\x73", $siteUser); goto Bd405; E1bfe: $sshUserName = $sshUserEntity->getUserName(); goto a0990; Facf1: $createUserCommand->setUserName($sshUserName); goto F259c; E7a1f: $siteUser = $site->getUser(); goto E1bfe; ec20b: Cf530: goto b1d1f; Bf3df: $createUserCommand->createHomeDirectory(true); goto cf0b1; b56ee: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto A8ffe; F259c: $createUserCommand->setPassword($sshUserPassword); goto F40da; cf0b1: $this->commandExecutor->execute($createUserCommand); goto d9ad0; A8ffe: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto d4d54; d9ad0: $symlinkDirectories = ["\142\141\x63\x6b\165\160\163", "\150\164\x64\x6f\x63\163", "\154\x6f\x67\x73"]; goto ae61b; de2f9: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto b56ee; E2203: $createUserCommand = new CreateUserCommand(); goto Facf1; a0990: $sshUserPassword = $sshUserEntity->getPassword(); goto D48fd; B6fb2: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\x2e\x2e\57\x2e\x2e\57\162\x65\x73\x6f\x75\162\x63\x65\163\57\x65\164\x63\57\163\x6b\145\154\57\x73\163\150\x2d\165\163\145\x72\x2f"); goto E2203; ae61b: foreach ($symlinkDirectories as $symlinkDirectory) { goto faf48; c0fba: a877d: goto B6246; faf48: $source = sprintf("\x2f\x68\x6f\x6d\145\x2f\x25\163\x2f\45\x73", $siteUser, $symlinkDirectory); goto E3508; cf60f: ba9ea: goto c0fba; D67b8: $symlinkCommand->setDestination($destination); goto c84e7; db551: $symlinkCommand->setRunAsUser($sshUserName); goto Fcd36; Fcd36: $symlinkCommand->setSource($source); goto D67b8; E3508: $destination = sprintf("\x2f\150\x6f\x6d\145\x2f\45\x73\57\45\x73", $sshUserName, $symlinkDirectory); goto a2504; a2504: $symlinkCommand = new CreateSymlinkCommand(); goto db551; c84e7: if (!("\144\x65\166" != $_ENV["\x41\x50\120\x5f\x45\x4e\126"])) { goto ba9ea; } goto Ce8f1; Ce8f1: $this->commandExecutor->execute($symlinkCommand); goto cf60f; B6246: } goto ec20b; f7a41: $createUserCommand->setHomeDirectory($homeDirectory); goto Bf3df; F1c6e: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto f7a41; e4ebf: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto Faf3c; Bdaee: $site = $sshUserEntity->getSite(); goto E7a1f; F40da: $createUserCommand->setGroup($siteUser); goto eedb5; d4d54: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto c0126; d8dcd: $ftpUserName = $ftpUserEntity->getUserName(); goto Fcf68; c1c9b: $createUserCommand->createHomeDirectory(false); goto E5267; b4de3: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto af688; af688: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto e2df1; b009e: $createUserCommand = new CreateUserCommand(); goto a122b; Fcc52: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto b4de3; a122b: $createUserCommand->setUserName($ftpUserName); goto D5a98; D002d: $siteUser = $site->getUser(); goto d8dcd; Eef25: $createUserCommand->setShell("\57\x62\x69\156\x2f\x66\141\154\163\x65"); goto Bfedb; feee5: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto Fcc52; D5a98: $createUserCommand->setPassword($ftpUserPassword); goto A1b12; A1b12: $createUserCommand->setGroup($siteUser); goto D07a4; e2df1: $this->commandExecutor->execute($createUserCommand); goto D156a; E5267: $siteUserHomeDirectory = sprintf("\57\150\157\155\145\57\x25\x73", $siteUser); goto feee5; Fcf68: $ftpUserPassword = $ftpUserEntity->getPassword(); goto F9b60; c0126: $site = $ftpUserEntity->getSite(); goto D002d; Bfedb: $createUserCommand->setHomeDirectory($homeDirectory); goto c1c9b; F9b60: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto b009e; D07a4: $createUserCommand->setGroups(["\x66\x74\x70\x2d\x75\x73\145\162"]); goto Eef25; D156a: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto A0899; A0899: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto da122; da122: $deleteUserCommand = new DeleteUserCommand(); goto e2d6b; e2d6b: $deleteUserCommand->setUserName($userName); goto D3c85; d9911: $this->commandExecutor->execute($deleteUserCommand); goto A13af; D3c85: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto d9911; A13af: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto F58e9; aa0ee: $this->commandExecutor->execute($writeCertificateFileCommand); goto e911c; F29e9: $certificateFile = sprintf("\45\163\57\x25\163\x2e\143\162\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto F9d2a; F58e9: $domainName = $this->site->getDomainName(); goto Fd765; fae4d: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto f3f26; Fd765: $privateKeyFile = sprintf("\45\x73\x2f\x25\x73\56\x6b\x65\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto F29e9; C491b: $writeCertificateFileCommand->setFile($certificateFile); goto Aebca; F9d2a: $certificate = $certificateEntity->getCertificate(); goto Ea9c5; Ea9c5: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto f4c51; } goto f4dde; f4dde: $certificate .= sprintf("\x25\163\45\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto A7497; B4554: $writeCertificateFileCommand = new WriteFileCommand(); goto C491b; f3f26: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto B4554; e911c: $this->reloadService("\x6e\147\x69\x6e\170"); goto d6991; b0c31: $writePrivateKeyFileCommand = new WriteFileCommand(); goto fae4d; b822b: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto aa0ee; Aebca: $writeCertificateFileCommand->setContent($certificate); goto b822b; A7497: f4c51: goto b0c31; d6991: } public function deleteLetsEncryptChallengeDirectory() : void { goto E976c; dc8ac: $acemeChallengeDirectory = sprintf("\x25\163\x2f\56\x77\x65\154\x6c\x2d\x6b\x6e\157\x77\156\x2f\141\x63\x6d\145\55\143\150\141\154\x6c\145\x6e\x67\x65\x2f", rtrim($rootDirectory, "\x2f")); goto cf6a3; C55ab: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto ccc53; d2ba9: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto C55ab; cf6a3: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto d2ba9; E976c: $rootDirectory = $this->getRootDirectory(); goto dc8ac; ccc53: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto f6435; de5ed: $basicAuthFileContent = sprintf("\x25\x73\72\45\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto Abc9e; f6435: $basicAuthFile = sprintf("\x25\x73\x2f\x25\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto de5ed; C7f80: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto f5dbd; F5245: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto Fe64a; f5dbd: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto F5245; Abc9e: $writeBasicAuthFileCommand = new WriteFileCommand(); goto C7f80; Fe64a: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto e4504; e76ac: Db9c7: goto Bb866; f7051: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto c6771; Fb8b1: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto Ae499; d7928: if (!count($challenges)) { goto Db9c7; } goto D6055; d2f7a: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto B4acb; e8baf: B9767: goto e76ac; D30d0: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto F1e61; fa43c: $wellKnownDirectory = sprintf("\x25\163\57\56\167\145\x6c\x6c\55\x6b\156\157\167\x6e\57", rtrim($rootDirectory, "\x2f")); goto F9515; D6055: foreach ($challenges as $challenge) { goto e1ab7; e5800: $challengeWriteFileCommand = new WriteFileCommand(); goto E7109; E6375: $this->commandExecutor->execute($challengeWriteFileCommand); goto d2a45; a4bf8: $challengeFile = sprintf("\x25\163\x2f\45\x73", rtrim($acemeChallengeDirectory, "\57"), $token); goto e5800; E535c: A6072: goto D45b3; f5375: $challengeWriteFileCommand->setContent($verificationContent); goto E6375; E7109: $challengeWriteFileCommand->setFile($challengeFile); goto f5375; d2a45: Df794: goto E535c; e1ab7: $token = $challenge["\164\157\153\145\156"] ?? null; goto D571c; D571c: $verificationContent = $challenge["\166\x65\x72\x69\146\151\x63\x61\164\151\x6f\x6e\103\157\156\x74\x65\x6e\164"] ?? null; goto Be64a; Be64a: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto Df794; } goto a4bf8; D45b3: } goto e8baf; B4acb: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto F3f36; Ecef6: $rootDirectory = $this->getRootDirectory(); goto fa43c; F1e61: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto c9a43; d7f88: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto d2f7a; F9515: $acemeChallengeDirectory = sprintf("\45\163\57\x2e\167\145\154\x6c\55\153\x6e\157\x77\156\x2f\x61\143\155\145\55\143\150\x61\154\154\x65\156\x67\x65\57", rtrim($rootDirectory, "\x2f")); goto f2eca; Bb866: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto d7f88; e1431: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto f7051; c9a43: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto d7928; f2eca: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto D30d0; Ae499: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto e1431; de465: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto Fb8b1; F3f36: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto de465; e4504: $siteUser = $this->site->getUser(); goto Ecef6; c6771: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto a2cca; a2cca: } public function updateUserCrontab() : void { goto D49a2; f2bb0: $crontabFile = sprintf("\x25\x73\x2f\45\163", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto B251e; D49a2: $siteUser = $this->site->getUser(); goto f2bb0; Ad6f3: $writeCrontabFileCommand = new WriteFileCommand(); goto Cd840; D5de7: $writeCrontabFileCommand->setContent($crontabContent); goto de426; C9532: $crontabContent = implode(PHP_EOL, $crontabEntries); goto Ad6f3; D5314: $cronJobs = $this->site->getCronJobs(); goto Bc83a; de426: $this->commandExecutor->execute($writeCrontabFileCommand); goto d000d; B251e: $crontabEntries = ["\x4d\x41\111\x4c\x54\x4f\75\x22\42"]; goto D5314; d5ab8: a7166: goto Fc511; Bc83a: if (!count($cronJobs)) { goto F3332; } goto d63ab; Cd840: $writeCrontabFileCommand->setFile($crontabFile); goto D5de7; d63ab: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); C8e1c: } goto d5ab8; Fc511: F3332: goto C9532; d000d: } public function purgePageSpeedCache() : void { goto A6431; A6431: $siteUser = $this->site->getUser(); goto F90bb; F3ae6: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto Ab599; C462c: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto e3f30; e3f30: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto F3ae6; F90bb: $cacheDirectory = sprintf("\x2f\x68\x6f\x6d\145\57\45\x73\x2f\164\x6d\x70\57\160\141\147\x65\x73\x70\x65\x65\144\137\143\x61\143\150\x65", $siteUser); goto C462c; Ab599: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto E358d; B3b24: $readLinkCommand->setFile($authorizedKeysFile); goto fc4bd; eac9e: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto a0650; } goto fe27f; fe27f: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto cec66; fc4bd: $this->commandExecutor->execute($readLinkCommand); goto E82b1; Fffa1: a0650: goto b446b; cec66: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto A051e; E82b1: $readLinkPath = $readLinkCommand->getOutput(); goto eac9e; A6523: $readLinkCommand = new ReadLinkCommand(); goto B3b24; f978f: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto Fffa1; E358d: $authorizedKeysFile = sprintf("\57\150\x6f\x6d\x65\57\x25\163\x2f\56\x73\163\x68\x2f\141\165\x74\x68\157\162\151\x7a\145\x64\137\153\x65\x79\x73", $userName); goto A6523; A051e: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto f978f; b446b: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto c41f5; Bde84: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto F4bf8; c41f5: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto c0935; c0935: $changeUserHomeDirectoryCommand->setUserName($userName); goto F5317; F5317: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto Bde84; F4bf8: } public function changeUserPassword(string $userName, string $password) : void { goto C2663; fd763: $changeUserPasswordCommand->setUserName($userName); goto Ec665; Ec665: $changeUserPasswordCommand->setPassword($password); goto e0246; e0246: $this->commandExecutor->execute($changeUserPasswordCommand); goto e09dd; C2663: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto fd763; e09dd: } protected function getRootDirectory() : string { goto F93cd; C3bcc: $rootDirectory = sprintf("\x2f\150\157\x6d\145\57\x25\163\57\150\164\x64\157\x63\163\x2f\45\163", $siteUser, $rootDirectory); goto Ccf50; F93cd: $siteUser = $this->site->getUser(); goto fafba; Ccf50: return $rootDirectory; goto Fd29c; fafba: $rootDirectory = $this->site->getRootDirectory(); goto C3bcc; Fd29c: } public function reloadNginxService() : void { $this->reloadService("\156\147\x69\x6e\170"); } public function reloadService($serviceName) { goto B4c3c; E998b: b6ca3: goto F7a7c; D0cfc: $reloadServiceCommand->setServiceName($serviceName); goto aef35; f3c08: $reloadServiceCommand = new ServiceReloadCommand(); goto D0cfc; aef35: $this->commandExecutor->execute($reloadServiceCommand); goto E998b; B4c3c: if (!("\x64\x65\x76" != $_ENV["\x41\120\120\137\x45\116\x56"])) { goto b6ca3; } goto f3c08; F7a7c: } }
